SystemOrganization addCategory: 'OrbeonBizagiReader2_Tests'!

TestCase subclass: #XPDLReaderTest
	instanceVariableNames: 'reader'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiReader2_Tests'!

XPDLReaderTest subclass: #XPDLReaderTest2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiReader2_Tests'!

!XPDLReaderTest2 commentStamp: '' prior: 0!
Three level reusable Processes.

Repository:
Procesos\Test Model - 3 level subproc!

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
getFixIssuePool

	^(reader getPackageNamed: 'fix-issue') getPoolNamed: 'fix-issue' ifNone: [self assert: false]! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
getFixIssueWorkflow

	^(reader getPackageNamed: 'fix-issue') getWorkflowNamed: 'fix-issue' ifNone: [self assert: false]! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
getReportToArchitectPool

	^(reader getPackageNamed: 'report-to-architect') getPoolNamed: 'architect-process' ifNone: [self assert: false]! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
getReportToArchitectWorkflow

	^(reader getPackageNamed: 'report-to-architect') getWorkflowNamed: 'architect-process' ifNone: [self assert: false]! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
getTestCasePool

	^(reader getPackageNamed: 'test-case') getPoolNamed: 'test-case-process' ifNone: [self assert: false]! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
getTestCaseWorkflow

	^(reader getPackageNamed: 'test-case') getWorkflowNamed: 'test-case-process' ifNone: [self assert: false]! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
setUp

	reader := (XPDLReader2 for: 'TestCase' withString: XPDLProcessDefinitionTemplate xpdlExample_ProcessTestCase)
				addXPDLDocument: (XMLDOMParser parse: XPDLProcessDefinitionTemplate xpdlExample_ProcessFixIssue) namedAs: 'FixIssue';
				addXPDLDocument: (XMLDOMParser parse: XPDLProcessDefinitionTemplate xpdlExample_ProcessReportToArchitect) namedAs: 'ReportToArchitect';
				connectProcesses;
				yourself! !

!XPDLReaderTest2 methodsFor: 'test proc 1 activities' stamp: 'BrunoBB 07/05/2016 07:34'!
testActivitiesNames
	| taskNames |

	taskNames := #('test-case' 'execute-test' 'test-ok' 'analyze-issue-report').

	self assert: (self getTestCaseWorkflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getTestCaseWorkflow getTaskNodes size = taskNames size).! !

!XPDLReaderTest2 methodsFor: 'test proc 2 activities' stamp: 'BrunoBB 07/05/2016 07:34'!
testActivitiesNames2
	| taskNames |

	taskNames := #('analyze-issue' 'report-fixes' 'internal-test').

	self assert: (self getFixIssueWorkflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getFixIssueWorkflow getTaskNodes size = taskNames size).! !

!XPDLReaderTest2 methodsFor: 'test proc 3 activities' stamp: 'BrunoBB 07/05/2016 07:34'!
testActivitiesNames3
	| taskNames |

	taskNames := #('analyze-developer-report' 'report-workaround' 'report-solution').

	self assert: (self getReportToArchitectWorkflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getReportToArchitectWorkflow getTaskNodes size = taskNames size).! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:45'!
testEndsNodesNames
	| endNames |

	endNames := #('end').

	self assert: (self getTestCaseWorkflow endNodes allSatisfy: [:each | endNames includes: each getName]).

	self assert: (self getTestCaseWorkflow endNodes size = endNames size).! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:46'!
testEndsNodesNames2
	| endNames |

	endNames := #('end').

	self assert: (self getFixIssueWorkflow endNodes allSatisfy: [:each | endNames includes: each getName]).

	self assert: (self getFixIssueWorkflow endNodes size = endNames size).! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:46'!
testEndsNodesNames3
	| endNames |

	endNames := #('end').

	self assert: (self getReportToArchitectWorkflow endNodes allSatisfy: [:each | endNames includes: each getName]).

	self assert: (self getReportToArchitectWorkflow endNodes size = endNames size).! !

!XPDLReaderTest2 methodsFor: 'test proc 1 activities' stamp: 'BrunoBB 07/05/2016 07:34'!
testGatewaysNames
	| gatewaysNames |

	gatewaysNames := #('is-issue' 'accept-issue').

	self assert: (self getTestCaseWorkflow getGatewayNodes allSatisfy: [:each | gatewaysNames includes: each getName]).

	self assert: (self getTestCaseWorkflow getGatewayNodes size = gatewaysNames size).! !

!XPDLReaderTest2 methodsFor: 'test proc 2 activities' stamp: 'BrunoBB 07/05/2016 07:34'!
testGatewaysNames2
	| gatewaysNames |

	gatewaysNames := #('can fix').

	self assert: (self getFixIssueWorkflow getGatewayNodes allSatisfy: [:each | gatewaysNames includes: each getName]).

	self assert: (self getFixIssueWorkflow getGatewayNodes size = gatewaysNames size).! !

!XPDLReaderTest2 methodsFor: 'test proc 3 activities' stamp: 'BrunoBB 07/05/2016 07:34'!
testGatewaysNames3
	| gatewaysNames |

	gatewaysNames := #('has-solution').

	self assert: (self getReportToArchitectWorkflow getGatewayNodes allSatisfy: [:each | gatewaysNames includes: each getName]).

	self assert: (self getReportToArchitectWorkflow getGatewayNodes size = gatewaysNames size).! !

!XPDLReaderTest2 methodsFor: 'test proc 1 inout transitions' stamp: 'BrunoBB 07/05/2016 07:34'!
testInTransitions
	| process transition task1 gateway |

	process := self getTestCaseWorkflow.

	task1 := process getTaskNamed: 'test-case' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'start-case' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	task1 := process getTaskNamed: 'execute-test' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'run-test' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	gateway := process getGatewayNamed: 'is-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-issue' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getTaskNamed: 'test-ok' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'test-ok' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'report-issue' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	gateway := process getGatewayNamed: 'accept-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-report' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'reject-issue' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'test-finished' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	task1 := process getSubprocessNamed: 'fix-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'fix' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'test-case' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'test-again' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).! !

!XPDLReaderTest2 methodsFor: 'test proc 2 inout transitions' stamp: 'BrunoBB 07/05/2016 07:34'!
testInTransitions2
	| process transition task1 gateway |

	process := self getFixIssueWorkflow.

	task1 := process getTaskNamed: 'analyze-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'start-analyze' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	gateway := process getGatewayNamed: 'can fix' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-fix' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getTaskNamed: 'report-fixes' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-report' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getSubprocessNamed: 'report-to-architect' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'no-fix-report' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'internal-test' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'do-internal-test' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'architect-done' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'finish-internal-test' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).! !

!XPDLReaderTest2 methodsFor: 'test proc 3 inout transitions' stamp: 'BrunoBB 07/05/2016 07:34'!
testInTransitions3
	| process transition task1 gateway |

	process := self getReportToArchitectWorkflow.

	task1 := process getTaskNamed: 'analyze-developer-report' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'start-dev-analysis' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	gateway := process getGatewayNamed: 'has-solution' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-a-solution' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getTaskNamed: 'report-workaround' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-workaround' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'report-solution' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-solution' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'end-solution' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'end-workaround' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).! !

!XPDLReaderTest2 methodsFor: 'test proc 1 activities' stamp: 'BrunoBB 07/05/2016 07:34'!
testLoop

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'test-case' ifNone: [self assert: false]) loopType = 'Standard').

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'test-case' ifNone: [self assert: false]) loopCondition = 
			'[:form | form approved = ''false'']').

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'test-case' ifNone: [self assert: false]) getStartQuantity == nil).

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'test-case' ifNone: [self assert: false]) getCompletionQuantity = 5).

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'execute-test' ifNone: [self assert: false]) loopType = 'MultiInstance').

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'execute-test' ifNone: [self assert: false]) loopCondition == nil).

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'execute-test' ifNone: [self assert: false]) getStartQuantity == 2).

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'execute-test' ifNone: [self assert: false]) getCompletionQuantity = 10).

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false]) loopType = 'MultiInstance').

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false]) loopCondition = 
			'[:form | form numberOfLoops]').

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false]) getStartQuantity == nil).

	self assert: 
		((self getTestCaseWorkflow getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false]) getCompletionQuantity = 9).! !

!XPDLReaderTest2 methodsFor: 'test proc 1 lanes' stamp: 'BrunoBB 07/05/2016 07:34'!
testObjectsInLanes
	| pool workflow lane1 lane2 lane3 |

	pool := self getTestCasePool.
	workflow := self getTestCaseWorkflow.

	lane1 := pool getLaneNamed: 'developer' ifNone: [self assert: false].
	lane2 := pool getLaneNamed: 'test-expert' ifNone: [self assert: false].
	lane3 := pool getLaneNamed: 'tester' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'fix-issue' ifNone: [self assert: false]) == (workflow getSubprocessNamed: 'fix-issue' ifNone: [self assert: false])).

	self assert: ((lane2 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	self assert: ((lane2 getAnyObjectNamed: 'analyze-issue-report' ifNone: [self assert: false]) == (workflow getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false])).

	self assert: ((lane2 getAnyObjectNamed: 'accept-issue' ifNone: [self assert: false]) == (workflow getGatewayNamed: 'accept-issue' ifNone: [self assert: false])).

	self assert: ((lane2 getAnyObjectNamed: 'end' ifNone: [self assert: false]) == (workflow getEndNodeNamed: 'end' ifNone: [self assert: false])).

	self assert: ((lane3 getAnyObjectNamed: 'execute-test' ifNone: [self assert: false]) == (workflow getTaskNamed: 'execute-test' ifNone: [self assert: false])).

	self assert: ((lane3 getAnyObjectNamed: 'is-issue' ifNone: [self assert: false]) == (workflow getGatewayNamed: 'is-issue' ifNone: [self assert: false])).

	self assert: ((lane3 getAnyObjectNamed: 'test-ok' ifNone: [self assert: false]) == (workflow getTaskNamed: 'test-ok' ifNone: [self assert: false])).! !

!XPDLReaderTest2 methodsFor: 'test proc 2 lanes' stamp: 'BrunoBB 07/05/2016 07:34'!
testObjectsInLanes2
	| pool workflow lane1 |

	pool := self getFixIssuePool.
	workflow := self getFixIssueWorkflow.

	lane1 := pool getLaneNamed: 'developer' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	self assert: ((lane1 getAnyObjectNamed: 'analyze-issue' ifNone: [self assert: false]) == (workflow getTaskNamed: 'analyze-issue' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'can fix' ifNone: [self assert: false]) == (workflow getGatewayNamed: 'can fix' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'report-fixes' ifNone: [self assert: false]) == (workflow getTaskNamed: 'report-fixes' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'internal-test' ifNone: [self assert: false]) == (workflow getTaskNamed: 'internal-test' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'report-to-architect' ifNone: [self assert: false]) == (workflow getSubprocessNamed: 'report-to-architect' ifNone: [self assert: false])).! !

!XPDLReaderTest2 methodsFor: 'test proc 3 lanes' stamp: 'BrunoBB 07/05/2016 07:34'!
testObjectsInLanes3
	| pool workflow lane1 |

	pool := self getReportToArchitectPool.
	workflow := self getReportToArchitectWorkflow.

	lane1 := pool getLaneNamed: 'architect' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	self assert: ((lane1 getAnyObjectNamed: 'analyze-developer-report' ifNone: [self assert: false]) == (workflow getTaskNamed: 'analyze-developer-report' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'has-solution' ifNone: [self assert: false]) == (workflow getGatewayNamed: 'has-solution' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'report-workaround' ifNone: [self assert: false]) == (workflow getTaskNamed: 'report-workaround' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'report-solution' ifNone: [self assert: false]) == (workflow getTaskNamed: 'report-solution' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'end' ifNone: [self assert: false]) == (workflow getEndNodeNamed: 'end' ifNone: [self assert: false])).! !

!XPDLReaderTest2 methodsFor: 'test proc 1 inout transitions' stamp: 'BrunoBB 07/05/2016 07:34'!
testOutTransitions
	| process transition task1 gateway |

	process := self getTestCaseWorkflow.
	transition := process getTransitionNamed: 'start-case' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).

	task1 := process getTaskNamed: 'test-case' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'run-test' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'execute-test' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-issue' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'is-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'test-ok' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).

	gateway := process getGatewayNamed: 'is-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'report-issue' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	task1 := process getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-report' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'accept-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'reject-issue' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	gateway := process getGatewayNamed: 'accept-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'fix' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).

	task1 := process getSubprocessNamed: 'fix-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'test-again' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).! !

!XPDLReaderTest2 methodsFor: 'test proc 2 inout transitions' stamp: 'BrunoBB 07/05/2016 07:34'!
testOutTransitions2
	| process transition task1 gateway |

	process := self getFixIssueWorkflow.
	transition := process getTransitionNamed: 'start-analyze' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).

	task1 := process getTaskNamed: 'analyze-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-fix' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'can fix' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-report' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	gateway := process getGatewayNamed: 'can fix' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'no-fix-report' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).

	task1 := process getTaskNamed: 'report-fixes' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'do-internal-test' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getSubprocessNamed: 'report-to-architect' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'architect-done' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'internal-test' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'finish-internal-test' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).! !

!XPDLReaderTest2 methodsFor: 'test proc 3 inout transitions' stamp: 'BrunoBB 07/05/2016 07:34'!
testOutTransitions3
	| process transition task1 gateway |

	process := self getReportToArchitectWorkflow.
	transition := process getTransitionNamed: 'start-dev-analysis' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).

	task1 := process getTaskNamed: 'analyze-developer-report' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-a-solution' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'has-solution' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-workaround' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).

	gateway := process getGatewayNamed: 'has-solution' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-solution' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	task1 := process getTaskNamed: 'report-workaround' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'end-workaround' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'report-solution' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'end-solution' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
testProcessTypes

	self assert: (self getTestCasePool hasParentProcess not). "this is the top process"

	self assert: (self getFixIssuePool hasParentProcess). "is subprocess"

	self assert: (self getReportToArchitectPool hasParentProcess). "is subprocess"! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:46'!
testStartNodeName

	self assert: (self getTestCaseWorkflow startNode getName = 'start')! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:47'!
testStartNodeName2

	self assert: (self getFixIssueWorkflow startNode getName = 'start')! !

!XPDLReaderTest2 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:47'!
testStartNodeName3

	self assert: (self getReportToArchitectWorkflow startNode getName = 'start')! !

!XPDLReaderTest2 methodsFor: 'test subprocess' stamp: 'BrunoBB 07/05/2016 07:34'!
testSubProcessesConnection

	self assert: (
		(self getTestCasePool) getSubProcessNodes asArray last subProcess == self getFixIssuePool).

	self assert: (
		(self getFixIssuePool) getSubProcessNodes asArray last subProcess == self getReportToArchitectPool).! !

!XPDLReaderTest2 methodsFor: 'test proc 1 activities' stamp: 'BrunoBB 07/05/2016 07:34'!
testSubProcessNames
	| subprocessesNames |

	subprocessesNames := #('fix-issue').

	self assert: (self getTestCaseWorkflow getSubProcessNodes allSatisfy: [:each | subprocessesNames includes: each getName]).

	self assert: (self getTestCaseWorkflow getSubProcessNodes size = subprocessesNames size).! !

!XPDLReaderTest2 methodsFor: 'test proc 2 activities' stamp: 'BrunoBB 07/05/2016 07:34'!
testSubProcessNames2
	| subprocessesNames |

	subprocessesNames := #('report-to-architect').

	self assert: (self getFixIssueWorkflow getSubProcessNodes allSatisfy: [:each | subprocessesNames includes: each getName]).

	self assert: (self getFixIssueWorkflow getSubProcessNodes size = subprocessesNames size).! !

!XPDLReaderTest2 methodsFor: 'test proc 2 conditions' stamp: 'BrunoBB 07/05/2016 07:34'!
testTransitionCreateReportConditions
	| process transition |

	process := self getFixIssueWorkflow.
	transition := process transitions detect: [:each | each endNode == (process getTaskNamed: 'report-fixes' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form developerCanFix = ''yes'']')! !

!XPDLReaderTest2 methodsFor: 'test proc 3 conditions' stamp: 'BrunoBB 07/05/2016 07:34'!
testTransitionCreateSolutionConditions
	| process transition |

	process := self getReportToArchitectWorkflow.

	transition := process transitions detect: [:each | each endNode == (process getTaskNamed: 'report-solution' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form hasSolution = ''yes'']')! !

!XPDLReaderTest2 methodsFor: 'test proc 3 conditions' stamp: 'BrunoBB 07/05/2016 07:34'!
testTransitionCreateWorkaroundConditions
	| process transition |

	process := self getReportToArchitectWorkflow.

	transition := process transitions detect: [:each | each endNode == (process getTaskNamed: 'report-workaround' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form hasSolution = ''no'']')! !

!XPDLReaderTest2 methodsFor: 'test proc 1 conditions' stamp: 'BrunoBB 07/05/2016 07:34'!
testTransitionFixIssueConditions
	| process transition |

	process := self getTestCaseWorkflow.
	transition := process transitions detect: [:each | each endNode == (process getSubprocessNamed: 'fix-issue' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form acceptOrReject = ''accept'']')! !

!XPDLReaderTest2 methodsFor: 'test proc 2 conditions' stamp: 'BrunoBB 07/05/2016 07:34'!
testTransitionNoFixReportConditions
	| process transition |

	process := self getFixIssueWorkflow.
	transition := process transitions detect: [:each | each endNode == (process getSubprocessNamed: 'report-to-architect' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form developerCanFix = ''no'']')! !

!XPDLReaderTest2 methodsFor: 'test proc 1 conditions' stamp: 'BrunoBB 07/05/2016 07:34'!
testTransitionRejectIssueConditions
	| process transition |

	process := self getTestCaseWorkflow.
	transition := process transitions detect: [:each | (each endNode == (process getEndNodeNamed: 'end' ifNone: [self assert: false]))
		and: [each startNode isGatewayNode]
	].

	self assert: (transition startCondition = '[:form | form acceptOrReject = ''reject'']')! !

!XPDLReaderTest2 methodsFor: 'test proc 1 conditions' stamp: 'BrunoBB 07/05/2016 07:34'!
testTransitionReportIssueConditions
	| process transition |

	process := self getTestCaseWorkflow.
	transition := process transitions detect: [:each | each endNode == (process getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form result = ''failed'']')! !

!XPDLReaderTest2 methodsFor: 'test proc 1 conditions' stamp: 'BrunoBB 07/05/2016 07:34'!
testTransitionTestOkConditions
	| process transition |

	process := self getTestCaseWorkflow.
	transition := process transitions detect: [:each | each endNode == (process getTaskNamed: 'test-ok' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form result ~= ''failed'']')! !

XPDLReaderTest subclass: #XPDLReaderTest3
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiReader2_Tests'!

!XPDLReaderTest3 commentStamp: '' prior: 0!
Multiple Pools in one Sheet.

Repository:
Procesos\Two Process Same Sheet!

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
getProcess1Pool

	^(reader getPackageNamed: 'Diagram 1') getPoolNamed: 'Process 1' ifNone: [self assert: false]! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
getProcess1Workflow

	^(reader getPackageNamed: 'Diagram 1') getWorkflowNamed: 'Process 1' ifNone: [self assert: false]! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
getProcess2Pool

	^(reader getPackageNamed: 'Diagram 1') getPoolNamed: 'Process 2' ifNone: [self assert: false]! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
getProcess2Workflow

	^(reader getPackageNamed: 'Diagram 1') getWorkflowNamed: 'Process 2' ifNone: [self assert: false]! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
setUp

	reader := (XPDLReader2 for: 'MultiplePools' withString: XPDLProcessDefinitionTemplate xpdlExample_MultiplePools)
				yourself! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
testActivitiesNames
	| taskNames |

	taskNames := #('Task 1' 'Task 2' 'Task 3' 'Task 4' 'Task 5' 'Task 6').

	self assert: (self getProcess1Workflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getProcess1Workflow getTaskNodes size = taskNames size).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
testActivitiesNames2
	| taskNames |

	taskNames := #('Task 7' 'Task 8' 'Task 9').

	self assert: (self getProcess2Workflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getProcess2Workflow getTaskNodes size = taskNames size).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:41'!
testEndsNodesNames
	| endNames |

	endNames := #('end 1' 'end 2').

	self assert: (self getProcess1Workflow endNodes allSatisfy: [:each | endNames includes: each getName]).

	self assert: (self getProcess1Workflow endNodes size = endNames size).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:42'!
testEndsNodesNames2
	| endNames |

	endNames := #('end 1' 'end 2').

	self assert: (self getProcess2Workflow endNodes allSatisfy: [:each | endNames includes: each getName]).

	self assert: (self getProcess2Workflow endNodes size = endNames size).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
testGatewaysNames
	| gatewaysNames |

	gatewaysNames := #('important' 'define').

	self assert: (self getProcess1Workflow getGatewayNodes allSatisfy: [:each | gatewaysNames includes: each getName]).

	self assert: (self getProcess1Workflow getGatewayNodes size = gatewaysNames size).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
testGatewaysNames2
	| gatewaysNames |

	gatewaysNames := #('do it').

	self assert: (self getProcess2Workflow getGatewayNodes allSatisfy: [:each | gatewaysNames includes: each getName]).

	self assert: (self getProcess2Workflow getGatewayNodes size = gatewaysNames size).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
testInTransitions
	| process transition task1 gateway |

	process := self getProcess1Workflow.

	task1 := process getTaskNamed: 'Task 1' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr1' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'Task 2' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr2' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	gateway := process getGatewayNamed: 'important' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr3' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getTaskNamed: 'Task 4' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr4' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end 1' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr5' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	task1 := process getTaskNamed: 'Task 5' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr6' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'Task 3' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr7' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	task1 := process getEndNodeNamed: 'end 1' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr8' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'Task 6' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr9' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	gateway := process getGatewayNamed: 'define' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr10' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getTaskNamed: 'Task 3' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr11' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end 2' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr12' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
testInTransitions2
	| process transition task1 gateway |

	process := self getProcess2Workflow.

	task1 := process getTaskNamed: 'Task 7' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr1' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	gateway := process getGatewayNamed: 'do it' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr2' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end 1' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr3' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	task1 := process getTaskNamed: 'Task 8' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr4' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'Task 9' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr5' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end 2' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr6' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:37'!
testLanesNames
	| lanesNames |

	lanesNames := #('Lane 1' 'Lane 2' 'Lane 3').

	self assert: (self getProcess1Pool lanes allSatisfy: [:each | lanesNames includes: each getName]).

	self assert: (self getProcess1Pool lanes size = lanesNames size).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:38'!
testLanesNames2
	| lanesNames |

	lanesNames := #('Lane 4' 'Lane 5').

	self assert: (self getProcess2Pool lanes allSatisfy: [:each | lanesNames includes: each getName]).

	self assert: (self getProcess2Pool lanes size = lanesNames size).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:57'!
testObjectsInLanes
	| pool workflow lane1 lane2 lane3 |

	pool := self getProcess1Pool.
	workflow := self getProcess1Workflow.

	lane1 := pool getLaneNamed: 'Lane 1' ifNone: [self assert: false].
	lane2 := pool getLaneNamed: 'Lane 2' ifNone: [self assert: false].
	lane3 := pool getLaneNamed: 'Lane 3' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	#('Task 1' 'Task 2' 'Task 4') do: [:each | 
		self assert: 
			((lane1 getAnyObjectNamed: each ifNone: [self assert: false]) == 
			(workflow getTaskNamed: each ifNone: [self assert: false])).].

	#('Task 6') do: [:each | 
		self assert: 
			((lane2 getAnyObjectNamed: each ifNone: [self assert: false]) == 
			(workflow getTaskNamed: each ifNone: [self assert: false])).].

	#('Task 3' 'Task 5') do: [:each | 
		self assert: 
			((lane3 getAnyObjectNamed: each ifNone: [self assert: false]) == 
			(workflow getTaskNamed: each ifNone: [self assert: false])).].! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 08:12'!
testObjectsInLanes2
	| pool workflow lane4 lane5 |

	pool := self getProcess2Pool.
	workflow := self getProcess2Workflow.

	lane4 := pool getLaneNamed: 'Lane 4' ifNone: [self assert: false].
	lane5 := pool getLaneNamed: 'Lane 5' ifNone: [self assert: false].

	self assert: ((lane5 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	#('Task 8' 'Task 9') do: [:each | 
		self assert: 
			((lane4 getAnyObjectNamed: each ifNone: [self assert: false]) == 
			(workflow getTaskNamed: each ifNone: [self assert: false])).].

	#('Task 7') do: [:each | 
		self assert: 
			((lane5 getAnyObjectNamed: each ifNone: [self assert: false]) == 
			(workflow getTaskNamed: each ifNone: [self assert: false])).].! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
testOutTransitions
	| process transition task1 gateway |

	process := self getProcess1Workflow.
	transition := process getTransitionNamed: 'tr1' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).

	task1 := process getTaskNamed: 'Task 1' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr2' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'Task 2' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr3' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'important' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr4' ifNone: [self assert: false].
	self assert: (gateway outTransitions second == transition).

	gateway := process getGatewayNamed: 'important' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr6' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).

	gateway := process getGatewayNamed: 'important' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr7' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	task1 := process getTaskNamed: 'Task 4' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr5' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'Task 3' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr8' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'Task 5' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr9' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'Task 6' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr10' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'define' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr11' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	gateway := process getGatewayNamed: 'define' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr12' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:34'!
testOutTransitions2
	| process transition task1 gateway |

	process := self getProcess2Workflow.
	transition := process getTransitionNamed: 'tr1' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).

	task1 := process getTaskNamed: 'Task 7' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr2' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'do it' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr3' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).

	gateway := process getGatewayNamed: 'do it' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr4' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	task1 := process getTaskNamed: 'Task 8' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr5' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'Task 9' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr6' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:42'!
testStartNodeName

	self assert: (self getProcess1Workflow startNode getName = 'start')! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:42'!
testStartNodeName2

	self assert: (self getProcess2Workflow startNode getName = 'start')! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:32'!
testTransitionsNames
	| transitionsNames |

	transitionsNames := #('tr1' 'tr2' 'tr3' 'tr4' 'tr5' 'tr6' 'tr7' 'tr8' 'tr9' 'tr10' 'tr11' 'tr12').

	self assert: (self getProcess1Workflow transitions allSatisfy: [:each | transitionsNames includes: each getName]).

	self assert: (self getProcess1Workflow transitions size = transitionsNames size).! !

!XPDLReaderTest3 methodsFor: 'other' stamp: 'BrunoBB 07/06/2016 07:33'!
testTransitionsNames2
	| transitionsNames |

	transitionsNames := #('tr1' 'tr2' 'tr3' 'tr4' 'tr5' 'tr6').

	self assert: (self getProcess2Workflow transitions allSatisfy: [:each | transitionsNames includes: each getName]).

	self assert: (self getProcess2Workflow transitions size = transitionsNames size).! !

XPDLReaderTest subclass: #XPDLReaderTest4
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiReader2_Tests'!

!XPDLReaderTest4 commentStamp: '' prior: 0!
Process with one script.

Repository:
Procesos\Script Process!

!XPDLReaderTest4 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
getProcess1Pool

	^(reader getPackageNamed: 'Diagram 1') getPoolNamed: 'Process with Scripts' ifNone: [self assert: false]! !

!XPDLReaderTest4 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
getProcess1Workflow

	^(reader getPackageNamed: 'Diagram 1') getWorkflowNamed: 'Process with Scripts' ifNone: [self assert: false]! !

!XPDLReaderTest4 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
setUp

	reader := (XPDLReader2 for: 'Process with Script' withString: XPDLProcessDefinitionTemplate xpdlExample_process_with_script)
				connectProcesses; 
				yourself! !

!XPDLReaderTest4 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
testActivitiesNames
	| taskNames |

	taskNames := #('script').

	self assert: (self getProcess1Workflow getScriptNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getProcess1Workflow getScriptNodes size = taskNames size).! !

!XPDLReaderTest4 methodsFor: 'other' stamp: 'BrunoBB 07/07/2016 07:28'!
testInOutTransitions
	| process task1 |

	process := self getProcess1Workflow.

	task1 := process getScriptNamed: 'script' ifNone: [self assert: false].

	self assert: (process startNode outTransitions last == task1 inTransitions last).

	self assert: (process endNodes asArray last inTransitions last == task1 outTransitions last).! !

!XPDLReaderTest4 methodsFor: 'other' stamp: 'BrunoBB 07/07/2016 07:21'!
testObjectsInLanes
	| pool workflow lane1 |

	pool := self getProcess1Pool.
	workflow := self getProcess1Workflow.

	lane1 := pool getLaneNamed: 'manager' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	self assert: ((lane1 getAnyObjectNamed: 'end' ifNone: [self assert: false]) == workflow endNodes asArray last).

	#('script') do: [:each | 
		self assert: 
			((lane1 getAnyObjectNamed: each ifNone: [self assert: false]) == 
			(workflow getScriptNamed: each ifNone: [self assert: false])).].! !

!XPDLReaderTest4 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
testScript
	| scriptNode |

	scriptNode := 	self getProcess1Workflow getScriptNodes asArray last.

	self assert: (scriptNode script = '[:script :process |    Smalltalk at: #Test_Temps put: process.   script setVariableNamed: ''myTempVar'' withValue: 64].')! !

XPDLReaderTest subclass: #XPDLReaderTest5
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiReader2_Tests'!

!XPDLReaderTest5 commentStamp: '' prior: 0!
One Top Process with one Reusable Subprocess and one Embedded Process.

Repository:
Procesos\ReusableEmbeddedProc!

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
getEmbeddedWorkflow

	^self getMainWorkflow embeddedSubprocesses asArray last! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
getMainProcessXpdlPackage

	^reader getPackageNamed: 'ReusableEmbeddedProc'! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
getMainWorkflow

	^self getMainProcessXpdlPackage getWorkflowNamed: 'ReusableEmbeddedProc' ifNone: [self assert: false]! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
getReusableWorkflow

	^self getSubProcessXpdlPackage getWorkflowNamed: 'Reusable-Script' ifNone: [self assert: false]! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
getSubProcessXpdlPackage

	^reader getPackageNamed: 'reusabe-sub-proc'! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
setUp

	reader := XPDLProcessDefinitionTemplate xpdlReaderForReusableEmbeddedProcess.! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
testActivitiesNames
	| taskNames |

	taskNames := #('script' 'embedded-sub-proc' 'reusabe-sub-proc').

	self assert: (self getMainWorkflow getScriptNodes allSatisfy: [:each | taskNames includes: each getName]).
	self assert: (self getMainWorkflow getScriptNodes size = 1).

	self assert: (self getMainWorkflow getSubProcessNodes allSatisfy: [:each | taskNames includes: each getName]).
	self assert: (self getMainWorkflow getSubProcessNodes size = 2).! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
testActivitiesType
	| taskNames |

	taskNames := #('script' 'embedded-sub-proc' 'reusabe-sub-proc').

	self assert: ((self getMainWorkflow getScriptNodes detect: [:each | each getName = 'script'] ifNone: [^self assert: false]) class == XPDLScriptNode).

	self assert: ((self getMainWorkflow getSubProcessNodes detect: [:each | each getName = 'reusabe-sub-proc'] ifNone: [^self assert: false]) class == XPDLSubProcessNode).! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
testEmbeddedActivitiesNames
	| taskNames |

	taskNames := #('script-embedded').

	self assert: (self getEmbeddedWorkflow getScriptNodes allSatisfy: [:each | taskNames includes: each getName]).
	self assert: (self getEmbeddedWorkflow getScriptNodes size = 1).

	self assert: (self getEmbeddedWorkflow startNode getName = 'start-embedded').
	self assert: (self getEmbeddedWorkflow endNodes asArray last getName = 'end-embedded').! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
testEmbeddedProcess

	self assert: (self getMainWorkflow embeddedSubprocesses asArray last == self getEmbeddedWorkflow).

	self assert: (self getMainWorkflow == self getEmbeddedWorkflow parentWorkflow).! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/07/2016 07:49'!
testObjectsInLanes
	| pool workflow lane1 |

	workflow := self getMainWorkflow.
	pool := workflow parentPool.

	lane1 := pool getLaneNamed: 'administrator' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	self assert: ((lane1 getAnyObjectNamed: 'end' ifNone: [self assert: false]) == workflow endNodes asArray last).

	self assert: ((lane1 getAnyObjectNamed: 'script' ifNone: [self assert: false]) == (workflow getScriptNamed: 'script' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'embedded-sub-proc' ifNone: [self assert: false]) == (workflow getSubprocessNamed: 'embedded-sub-proc' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'reusabe-sub-proc' ifNone: [self assert: false]) == (workflow getSubprocessNamed: 'reusabe-sub-proc' ifNone: [self assert: false])).! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/07/2016 07:50'!
testObjectsInLanes2
	| pool workflow lane1 |

	workflow := self getReusableWorkflow.
	pool := workflow parentPool.

	lane1 := pool getLaneNamed: 'administrator' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'start-resusable' ifNone: [self assert: false]) == workflow startNode).

	self assert: ((lane1 getAnyObjectNamed: 'end-reusable' ifNone: [self assert: false]) == workflow endNodes asArray last).

	self assert: ((lane1 getAnyObjectNamed: 'script-reusable' ifNone: [self assert: false]) == (workflow getScriptNamed: 'script-reusable' ifNone: [self assert: false])).! !

!XPDLReaderTest5 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
testReusableActivitiesNames
	| taskNames |

	taskNames := #('script-reusable').

	self assert: (self getReusableWorkflow getScriptNodes allSatisfy: [:each | taskNames includes: each getName]).
	self assert: (self getReusableWorkflow getScriptNodes size = 1).

	self assert: (self getReusableWorkflow startNode getName = 'start-resusable').
	self assert: (self getReusableWorkflow endNodes asArray last getName = 'end-reusable').! !

XPDLReaderTest subclass: #XPDLReaderTest6
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiReader2_Tests'!

!XPDLReaderTest6 commentStamp: '' prior: 0!
One Top Process with two Embedded Process (one subprocess of the other).

This is one process because Embedded Sub Process are included in the XPDL file.

Repository:
Procesos\EmbeddedSubAndSubSubProc!

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 09:13'!
getLevel1_EmbeddedWorkflow

	^self getMainWorkflow embeddedSubprocesses asArray last! !

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 09:18'!
getLevel2_EmbeddedWorkflow

	^self getLevel1_EmbeddedWorkflow embeddedSubprocesses asArray last! !

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 09:12'!
getMainProcessXpdlPackage

	^reader getPackageNamed: 'multi-embedded'! !

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 09:11'!
getMainWorkflow

	^self getMainProcessXpdlPackage getWorkflowNamed: 'multi-embedded' ifNone: [self assert: false]! !

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 07:36'!
setUp

	reader := XPDLProcessDefinitionTemplate xpdlReaderForEmbeddedEmbeddedProcess.! !

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 09:23'!
testEmbeddedSubProcessesNames


	self assert: (self getMainWorkflow getSubProcessNodes anySatisfy: [:e | e getName = 'embedded 01']).
	self assert: (self getLevel1_EmbeddedWorkflow getName = 'embedded 01').

	self assert: (self getLevel1_EmbeddedWorkflow getSubProcessNodes anySatisfy: [:e | e getName = 'embedded 02']).
	self assert: (self getLevel2_EmbeddedWorkflow getName = 'embedded 02').! !

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/07/2016 10:56'!
testInOutTransitions
	| process task1 subProc |

	process := self getMainWorkflow.

	task1 := process getScriptNamed: 'script' ifNone: [self assert: false].
	subProc := process getSubprocessNamed: 'embedded 01' ifNone: [self assert: false].

	self assert: (process startNode outTransitions last == task1 inTransitions last).

	self assert: (task1 outTransitions last == subProc inTransitions last).

	self assert: (subProc outTransitions last == process endNodes asArray last inTransitions last).! !

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/07/2016 10:57'!
testInOutTransitions2
	| process task1 subProc |

	process := self getLevel1_EmbeddedWorkflow.

	task1 := process getScriptNamed: 'script-embedded-01' ifNone: [self assert: false].
	subProc := process getSubprocessNamed: 'embedded 02' ifNone: [self assert: false].

	self assert: (process startNode outTransitions last == task1 inTransitions last).

	self assert: (task1 outTransitions last == subProc inTransitions last).

	self assert: (subProc outTransitions last == process endNodes asArray last inTransitions last).! !

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/07/2016 10:58'!
testInOutTransitions3
	| process task1 |

	process := self getLevel2_EmbeddedWorkflow.

	task1 := process getScriptNamed: 'script-embedded-02' ifNone: [self assert: false].

	self assert: (process startNode outTransitions last == task1 inTransitions last).

	self assert: (task1 outTransitions last == process endNodes asArray last inTransitions last).! !

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/07/2016 10:12'!
testObjectsInLanes
	| pool workflow lane1 |

	workflow := self getMainWorkflow.
	pool := workflow parentPool.

	lane1 := pool getLaneNamed: 'administrator' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	self assert: ((lane1 getAnyObjectNamed: 'end' ifNone: [self assert: false]) == workflow endNodes asArray last).

	self assert: ((lane1 getAnyObjectNamed: 'embedded 01' ifNone: [self assert: false]) == (workflow getSubprocessNamed: 'embedded 01' ifNone: [self assert: false])).

	#('script') do: [:each | 
		self assert: 
			((lane1 getAnyObjectNamed: each ifNone: [self assert: false]) == 
			(workflow getScriptNamed: each ifNone: [self assert: false])).].! !

!XPDLReaderTest6 methodsFor: 'other' stamp: 'BrunoBB 07/05/2016 09:17'!
testScriptsNames
	| taskNames |

	taskNames := #('script').

	self assert: (self getMainWorkflow getScriptNodes allSatisfy: [:each | taskNames includes: each getName]).
	self assert: (self getMainWorkflow getScriptNodes size = 1).

	taskNames := #('script-embedded-01').
	self assert: (self getLevel1_EmbeddedWorkflow getScriptNodes allSatisfy: [:each | taskNames includes: each getName]).

	taskNames := #('script-embedded-02').
	self assert: (self getLevel2_EmbeddedWorkflow getScriptNodes allSatisfy: [:each | taskNames includes: each getName]).! !

XPDLReaderTest subclass: #XPDLReaderTest7
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiReader2_Tests'!

!XPDLReaderTest7 commentStamp: '' prior: 0!
Multiple Pools in one Sheet.

Repository:
Procesos\Multiple Pools in one Sheet 2  - complex!

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:51'!
getProcess1Workflow

	^(reader getPackageNamed: 'Diagram 1') getWorkflowNamed: 'Process 1' ifNone: [self assert: false]! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:52'!
getProcess2Workflow

	^(reader getPackageNamed: 'Diagram 1') getWorkflowNamed: 'Process 2' ifNone: [self assert: false]! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:52'!
getProcess3Workflow

	^(reader getPackageNamed: 'Diagram 1') getWorkflowNamed: 'Process 3' ifNone: [self assert: false]! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:52'!
getProcess4Workflow

	^(reader getPackageNamed: 'Diagram 1') getWorkflowNamed: 'Process 4' ifNone: [self assert: false]! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:52'!
getProcess5Workflow

	^(reader getPackageNamed: 'Diagram 1') getWorkflowNamed: 'Process 5' ifNone: [self assert: false]! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:51'!
setUp

	reader := (XPDLReader2 for: 'MultiplePools' withString: XPDLProcessDefinitionTemplate xpdlExample_VariousMultiplePools)
				yourself! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:53'!
testActivitiesNames1
	| taskNames |

	taskNames := #('Task 1' 'Task 2').

	self assert: (self getProcess1Workflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getProcess1Workflow getTaskNodes size = taskNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:54'!
testActivitiesNames2
	| taskNames |

	taskNames := #('Task 3' 'Task 4' 'Task 5' 'Task 6' 'Task 7' 'Task 8').

	self assert: (self getProcess2Workflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getProcess2Workflow getTaskNodes size = taskNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:55'!
testActivitiesNames3
	| taskNames |

	taskNames := #('Task 9' 'Task 10' 'Task 11' 'Task 12').

	self assert: (self getProcess3Workflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getProcess3Workflow getTaskNodes size = taskNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:55'!
testActivitiesNames4
	| taskNames |

	taskNames := #('Task 13' 'Task 14').

	self assert: (self getProcess4Workflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getProcess4Workflow getTaskNodes size = taskNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 09:56'!
testActivitiesNames5
	| taskNames |

	taskNames := #('Task 15' 'Task 16' 'Task 17').

	self assert: (self getProcess5Workflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getProcess5Workflow getTaskNodes size = taskNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 10:39'!
testEndsNodesNames1
	| endNames |

	endNames := #('pr1_end1' 'pr1_end2').

	self assert: (self getProcess1Workflow endNodes allSatisfy: [:each | endNames includes: each getName]).

	self assert: (self getProcess1Workflow endNodes size = endNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 10:39'!
testEndsNodesNames2
	| endNames |

	endNames := #('pr2_end1' 'pr2_end2').

	self assert: (self getProcess2Workflow endNodes allSatisfy: [:each | endNames includes: each getName]).

	self assert: (self getProcess2Workflow endNodes size = endNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 10:39'!
testEndsNodesNames3
	| endNames |

	endNames := #('pr3_end').

	self assert: (self getProcess3Workflow endNodes allSatisfy: [:each | endNames includes: each getName]).

	self assert: (self getProcess3Workflow endNodes size = endNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 10:40'!
testEndsNodesNames4
	| endNames |

	endNames := #('pr4_end1' 'pr4_end2').

	self assert: (self getProcess4Workflow endNodes allSatisfy: [:each | endNames includes: each getName]).

	self assert: (self getProcess4Workflow endNodes size = endNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 10:40'!
testEndsNodesNames5
	| endNames |

	endNames := #('pr5_end1' 'pr5_end2').

	self assert: (self getProcess5Workflow endNodes allSatisfy: [:each | endNames includes: each getName]).

	self assert: (self getProcess5Workflow endNodes size = endNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 10:09'!
testInOutTransitions1
	| process transition task1 task2 |

	process := self getProcess1Workflow.

	task1 := process getTaskNamed: 'Task 1' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 2' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: start t1' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).
	self assert: (task1 inTransitions last == transition).

	transition := process getTransitionNamed: 'tr: t1 t2' ifNone: [self assert: false].
	self assert: (task1 outTransitions first == transition).
	self assert: (task2 inTransitions first == transition).

	transition := process getTransitionNamed: 'tr: t1 end1' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).
	self assert: (process endNodes asArray last inTransitions last == transition).

	transition := process getTransitionNamed: 'tr: t2 end2' ifNone: [self assert: false].
	self assert: (task2 outTransitions last == transition).
	self assert: (process endNodes asArray first inTransitions first == transition).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 10:22'!
testInOutTransitions2
	| process transition task1 task2 |

	process := self getProcess2Workflow.

	task1 := process getTaskNamed: 'Task 3' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 4' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: start t3' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).
	self assert: (task1 inTransitions last == transition).

	transition := process getTransitionNamed: 'tr: t3 t4' ifNone: [self assert: false].
	self assert: (task1 outTransitions first == transition).
	self assert: (task2 inTransitions first == transition).

	task1 := process getTaskNamed: 'Task 4' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 5' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t4 t5' ifNone: [self assert: false].
	self assert: (task1 outTransitions first == transition).
	self assert: (task2 inTransitions first == transition).

	task1 := process getTaskNamed: 'Task 5' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 8' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t5 t8' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).
	self assert: (task2 inTransitions first == transition).

	task2 := process getTaskNamed: 'Task 6' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t5 t6' ifNone: [self assert: false].
	self assert: (task1 outTransitions first == transition).
	self assert: (task2 inTransitions first == transition).

	task1 := process getTaskNamed: 'Task 6' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 7' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t6 t7' ifNone: [self assert: false].
	self assert: (task1 outTransitions first == transition).
	self assert: (task2 inTransitions first == transition).

	task1 := process getTaskNamed: 'Task 8' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t8 end2' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).
	self assert: (process endNodes asArray last inTransitions last == transition).

	task1 := process getTaskNamed: 'Task 6' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t6 end1' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).
	self assert: (process endNodes asArray first inTransitions last == transition).

	task1 := process getTaskNamed: 'Task 7' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t7 end2' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).
	self assert: (process endNodes asArray last inTransitions first == transition).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 10:25'!
testInOutTransitions3
	| process transition task1 task2 |

	process := self getProcess3Workflow.

	task1 := process getTaskNamed: 'Task 9' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 10' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: start t9' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).
	self assert: (task1 inTransitions last == transition).

	transition := process getTransitionNamed: 'tr: t9 t10' ifNone: [self assert: false].
	self assert: (task1 outTransitions first == transition).
	self assert: (task2 inTransitions first == transition).

	task1 := process getTaskNamed: 'Task 10' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 11' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t10 t11' ifNone: [self assert: false].
	self assert: (task1 outTransitions first == transition).
	self assert: (task2 inTransitions first == transition).

	task1 := process getTaskNamed: 'Task 11' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 12' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t11 t12' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).
	self assert: (task2 inTransitions first == transition).

	task1 := process getTaskNamed: 'Task 12' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t12 end' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).
	self assert: (process endNodes asArray last inTransitions last == transition).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 10:30'!
testInOutTransitions4
	| process transition task1 task2 |

	process := self getProcess4Workflow.

	task1 := process getTaskNamed: 'Task 13' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 14' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: start t13' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).
	self assert: (task1 inTransitions last == transition).

	transition := process getTransitionNamed: 'tr: t13 t14' ifNone: [self assert: false].
	self assert: (task1 outTransitions first == transition).
	self assert: (task2 inTransitions first == transition).

	transition := process getTransitionNamed: 'tr: t13 end1' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).
	self assert: (process endNodes asArray last inTransitions last == transition).

	transition := process getTransitionNamed: 'tr: t14 end2' ifNone: [self assert: false].
	self assert: (task2 outTransitions last == transition).
	self assert: (process endNodes asArray first inTransitions last == transition).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 10:35'!
testInOutTransitions5
	| process transition task1 task2 |

	process := self getProcess5Workflow.

	task1 := process getTaskNamed: 'Task 15' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 16' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: start t15' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).
	self assert: (task1 inTransitions last == transition).

	transition := process getTransitionNamed: 'tr: t15 t16' ifNone: [self assert: false].
	self assert: (task1 outTransitions first == transition).
	self assert: (task2 inTransitions first == transition).

	transition := process getTransitionNamed: 'tr: t16 t17' ifNone: [self assert: false].
	task1 := process getTaskNamed: 'Task 16' ifNone: [self assert: false].
	task2 := process getTaskNamed: 'Task 17' ifNone: [self assert: false].
	self assert: (task1 outTransitions first == transition).
	self assert: (task2 inTransitions first == transition).

	task1 := process getTaskNamed: 'Task 15' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'tr: t15 end1' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).
	self assert: (process endNodes asArray first inTransitions last == transition).

	transition := process getTransitionNamed: 'tr: t17 end2' ifNone: [self assert: false].
	self assert: (task2 outTransitions last == transition).
	self assert: (process endNodes asArray last inTransitions last == transition).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 11:00'!
testLanesNames1
	| lanesNames |

	lanesNames := #('Lane 1' 'Lane 2' 'Lane 3').

	self assert: (self getProcess1Workflow parentPool lanes allSatisfy: [:each | lanesNames includes: each getName]).

	self assert: (self getProcess1Workflow parentPool lanes size = lanesNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 11:00'!
testLanesNames2
	| lanesNames |

	lanesNames := #('Lane 4' 'Lane 5').

	self assert: (self getProcess2Workflow parentPool lanes allSatisfy: [:each | lanesNames includes: each getName]).

	self assert: (self getProcess2Workflow parentPool lanes size = lanesNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 11:01'!
testLanesNames3
	| lanesNames |

	lanesNames := #('Lane 6' 'Lane 7').

	self assert: (self getProcess3Workflow parentPool lanes allSatisfy: [:each | lanesNames includes: each getName]).

	self assert: (self getProcess3Workflow parentPool lanes size = lanesNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 11:01'!
testLanesNames4
	| lanesNames |

	lanesNames := #('Lane 8' 'Lane 9').

	self assert: (self getProcess4Workflow parentPool lanes allSatisfy: [:each | lanesNames includes: each getName]).

	self assert: (self getProcess4Workflow parentPool lanes size = lanesNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 11:01'!
testLanesNames5
	| lanesNames |

	lanesNames := #('Lane 10').

	self assert: (self getProcess5Workflow parentPool lanes allSatisfy: [:each | lanesNames includes: each getName]).

	self assert: (self getProcess5Workflow parentPool lanes size = lanesNames size).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 11:08'!
testObjectsInLanes1
	| pool workflow lane1 lane2 lane3 task |

	workflow := self getProcess1Workflow.
	pool := workflow parentPool.
	lane1 := pool getLaneNamed: 'Lane 1' ifNone: [self assert: false].
	lane2 := pool getLaneNamed: 'Lane 2' ifNone: [self assert: false].
	lane3 := pool getLaneNamed: 'Lane 3' ifNone: [self assert: false].

	self assert: ((lane2 getAnyObjectNamed: 'pr1_start' ifNone: [self assert: false]) == workflow startNode).

	task := workflow getTaskNamed: 'Task 1' ifNone: [self assert: false].
	self assert: ((lane3 getAnyObjectNamed: 'Task 1' ifNone: [self assert: false]) == task).

	self assert: ((lane1 getAnyObjectNamed: 'pr1_end1' ifNone: [self assert: false]) == (workflow endNodes asArray last)).
	self assert: ((lane1 getAnyObjectNamed: 'pr1_end2' ifNone: [self assert: false]) == (workflow endNodes asArray first)).

	task := workflow getTaskNamed: 'Task 2' ifNone: [self assert: false].
	self assert: ((lane1 getAnyObjectNamed: 'Task 2' ifNone: [self assert: false]) == task).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 11:31'!
testObjectsInLanes2
	| pool workflow lane4 lane5 task |

	workflow := self getProcess2Workflow.
	pool := workflow parentPool.
	lane4 := pool getLaneNamed: 'Lane 4' ifNone: [self assert: false].
	lane5 := pool getLaneNamed: 'Lane 5' ifNone: [self assert: false].

	self assert: ((lane5 getAnyObjectNamed: 'pr2_start' ifNone: [self assert: false]) == workflow startNode).

	#('Task 3' 'Task 4' 'Task 6') do: [:each | 
		task := workflow getTaskNamed: each ifNone: [self assert: false].
		self assert: ((lane5 getAnyObjectNamed: each ifNone: [self assert: false]) == task)].

	#('Task 5' 'Task 7' 'Task 8') do: [:each | 
		task := workflow getTaskNamed: each ifNone: [self assert: false].
		self assert: ((lane4 getAnyObjectNamed: each ifNone: [self assert: false]) == task)].

	self assert: ((lane4 getAnyObjectNamed: 'pr2_end1' ifNone: [self assert: false]) == (workflow endNodes asArray first)).
	self assert: ((lane4 getAnyObjectNamed: 'pr2_end2' ifNone: [self assert: false]) == (workflow endNodes asArray last)).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 11:35'!
testObjectsInLanes3
	| pool workflow lane6 lane7 task |

	workflow := self getProcess3Workflow.
	pool := workflow parentPool.
	lane6 := pool getLaneNamed: 'Lane 6' ifNone: [self assert: false].
	lane7 := pool getLaneNamed: 'Lane 7' ifNone: [self assert: false].

	self assert: ((lane7 getAnyObjectNamed: 'pr3_start' ifNone: [self assert: false]) == workflow startNode).

	#('Task 9' 'Task 10') do: [:each | 
		task := workflow getTaskNamed: each ifNone: [self assert: false].
		self assert: ((lane7 getAnyObjectNamed: each ifNone: [self assert: false]) == task)].

	#('Task 11' 'Task 12') do: [:each | 
		task := workflow getTaskNamed: each ifNone: [self assert: false].
		self assert: ((lane6 getAnyObjectNamed: each ifNone: [self assert: false]) == task)].

	self assert: ((lane6 getAnyObjectNamed: 'pr3_end' ifNone: [self assert: false]) == (workflow endNodes asArray first)).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 11:39'!
testObjectsInLanes4
	| pool workflow lane8 lane9 task |

	workflow := self getProcess4Workflow.
	pool := workflow parentPool.
	lane8 := pool getLaneNamed: 'Lane 8' ifNone: [self assert: false].
	lane9 := pool getLaneNamed: 'Lane 9' ifNone: [self assert: false].

	self assert: ((lane9 getAnyObjectNamed: 'pr4_start' ifNone: [self assert: false]) == workflow startNode).

	#('Task 13') do: [:each | 
		task := workflow getTaskNamed: each ifNone: [self assert: false].
		self assert: ((lane9 getAnyObjectNamed: each ifNone: [self assert: false]) == task)].

	#('Task 14') do: [:each | 
		task := workflow getTaskNamed: each ifNone: [self assert: false].
		self assert: ((lane8 getAnyObjectNamed: each ifNone: [self assert: false]) == task)].

	self assert: ((lane9 getAnyObjectNamed: 'pr4_end1' ifNone: [self assert: false]) == (workflow endNodes asArray last)).
	self assert: ((lane8 getAnyObjectNamed: 'pr4_end2' ifNone: [self assert: false]) == (workflow endNodes asArray first)).! !

!XPDLReaderTest7 methodsFor: 'other' stamp: 'BrunoBB 07/08/2016 11:41'!
testObjectsInLanes5
	| pool workflow lane10 task |

	workflow := self getProcess5Workflow.
	pool := workflow parentPool.
	lane10 := pool getLaneNamed: 'Lane 10' ifNone: [self assert: false].

	self assert: ((lane10 getAnyObjectNamed: 'pr5_start' ifNone: [self assert: false]) == workflow startNode).

	#('Task 15' 'Task 16' 'Task 17') do: [:each | 
		task := workflow getTaskNamed: each ifNone: [self assert: false].
		self assert: ((lane10 getAnyObjectNamed: each ifNone: [self assert: false]) == task)].

	self assert: ((lane10 getAnyObjectNamed: 'pr5_end1' ifNone: [self assert: false]) == (workflow endNodes asArray first)).
	self assert: ((lane10 getAnyObjectNamed: 'pr5_end2' ifNone: [self assert: false]) == (workflow endNodes asArray last)).! !

Object subclass: #XPDLProcessDefinitionTemplate
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiReader2_Tests'!

!XPDLProcessDefinitionTemplate class methodsFor: 'all conditions type' stamp: 'BrunoBB 07/02/2016 12:39'!
processDefinition_all_conditions_type

	^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="8bb2bb08-e446-4337-8713-33248e1c6151" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-04-24T16:28:12.8062446-03:00</Created>
    <ModificationDate>2016-04-24T18:51:23.616824-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="b70b067d-2bbb-47d2-848f-d7497632b04d" Name="Main Process" Process="7916b74c-a178-4578-8fe6-fe0963062340" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="0" Width="0" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="0d00fa5e-c571-4a0d-aab2-73d9ea71e6c3" Name="all-type-conditions" Process="329ed66a-2b6e-4ecd-b789-51902f766847" BoundaryVisible="true">
      <Lanes>
        <Lane Id="508c5611-8170-4dd7-b23d-52a5c161633a" Name="runner" ParentPool="0d00fa5e-c571-4a0d-aab2-73d9ea71e6c3">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="7916b74c-a178-4578-8fe6-fe0963062340" Name="Main Process">
      <ProcessHeader>
        <Created>2016-04-24T18:51:40.9745613-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-04-24T16:28:12.807244-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-04-24T16:28:12.807244-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="329ed66a-2b6e-4ecd-b789-51902f766847" Name="all-type-conditions">
      <ProcessHeader>
        <Created>2016-04-24T18:51:40.9745613-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="1ccbd0e0-cf49-45ef-a132-868aa4811b3c" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="128" YCoordinate="62" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="a715571e-c7c2-413a-b596-fbac367d3e51" Name="all-field-types">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="247" YCoordinate="47" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="0e2ff68a-0e9b-47e6-be06-1e83c79033b0" Name="gateway split">
          <Description />
          <Route MarkerVisible="true" />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="272" YCoordinate="157" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="83951997-e022-4561-a030-bf6ce468df1c" Name="integer end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="579" YCoordinate="65" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="6b82975d-1321-485f-9953-e70deaf49e6a" Name="boolean end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="123" YCoordinate="162" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="178f7468-5d12-47ac-9874-1c580ca4b512" Name="time end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="277" YCoordinate="320" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="92b0eab7-684b-4958-9f86-1ad8559c3ca3" Name="date end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="536" YCoordinate="309" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="22605c21-d5ae-4097-8090-80d55fd58337" Name="time stamp end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="122" YCoordinate="294" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="e1e0d091-2f5d-4331-b7d3-252b499662e9" Name="string end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="577" YCoordinate="162" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="c3b7fdea-e723-4a4f-8bcf-8cb4b19cfc2d" From="1ccbd0e0-cf49-45ef-a132-868aa4811b3c" To="a715571e-c7c2-413a-b596-fbac367d3e51">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="158" YCoordinate="77" />
              <Coordinates XCoordinate="247" YCoordinate="77" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f5362b34-ebae-49db-97f7-0bcbc04f2e32" From="a715571e-c7c2-413a-b596-fbac367d3e51" To="0e2ff68a-0e9b-47e6-be06-1e83c79033b0">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="292" YCoordinate="107" />
              <Coordinates XCoordinate="292" YCoordinate="157" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="fac5ec5a-94c9-464a-a52b-902b2fed7975" From="0e2ff68a-0e9b-47e6-be06-1e83c79033b0" To="83951997-e022-4561-a030-bf6ce468df1c">
          <Condition Type="CONDITION">
            <Expression>[:proc | proc amount = 10]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="312" YCoordinate="177" />
              <Coordinates XCoordinate="405" YCoordinate="177" />
              <Coordinates XCoordinate="405" YCoordinate="80" />
              <Coordinates XCoordinate="579" YCoordinate="80" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="8ab18d3f-cf6e-4681-a82a-363abd2c9e52" From="0e2ff68a-0e9b-47e6-be06-1e83c79033b0" To="6b82975d-1321-485f-9953-e70deaf49e6a">
          <Condition Type="CONDITION">
            <Expression>[:proc | proc boolean]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="272" YCoordinate="177" />
              <Coordinates XCoordinate="153" YCoordinate="177" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="6855dba0-0b8f-4b88-8842-64e9feea60e2" From="0e2ff68a-0e9b-47e6-be06-1e83c79033b0" To="178f7468-5d12-47ac-9874-1c580ca4b512">
          <Condition Type="CONDITION">
            <Expression>[:proc | proc time &lt; Time now]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="292" YCoordinate="197" />
              <Coordinates XCoordinate="292" YCoordinate="320" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="7f79be91-be31-4656-a4e1-660ed62f0aa9" From="0e2ff68a-0e9b-47e6-be06-1e83c79033b0" To="92b0eab7-684b-4958-9f86-1ad8559c3ca3">
          <Condition Type="CONDITION">
            <Expression>[:proc | proc date &lt; Date today]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="312" YCoordinate="177" />
              <Coordinates XCoordinate="408" YCoordinate="177" />
              <Coordinates XCoordinate="408" YCoordinate="324" />
              <Coordinates XCoordinate="536" YCoordinate="324" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="fd601054-56e2-4a7c-9c62-cdb4fc71e322" From="0e2ff68a-0e9b-47e6-be06-1e83c79033b0" To="22605c21-d5ae-4097-8090-80d55fd58337">
          <Condition Type="CONDITION">
            <Expression>[:proc | proc timeStamp &lt; TimeStamp now]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="292" YCoordinate="197" />
              <Coordinates XCoordinate="292" YCoordinate="245.5" />
              <Coordinates XCoordinate="137" YCoordinate="245.5" />
              <Coordinates XCoordinate="137" YCoordinate="294" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="400ebb71-f195-40b8-9e67-d3d73989f852" From="0e2ff68a-0e9b-47e6-be06-1e83c79033b0" To="e1e0d091-2f5d-4331-b7d3-252b499662e9">
          <Condition Type="CONDITION">
            <Expression>[:proc | (proc getValueOf: ''name'') = ''bruno'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="312" YCoordinate="177" />
              <Coordinates XCoordinate="577" YCoordinate="177" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-04-24T16:28:12.8077264-03:00&quot;,&quot;description&quot;:&quot;&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-04-24T16:28:12.8077264-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'all gateways process' stamp: 'BrunoBB 04/24/2016 10:18'!
processDefinition_all_gateways

	^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="7bc7c43d-4b10-4f26-a903-e4da386d3ac3" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-04-07T18:01:00.808143-03:00</Created>
    <ModificationDate>2016-04-24T14:16:15.379809-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="81fb5177-be22-4742-9bff-635a215ee440" Name="Main Process" Process="8d616f05-a39a-4e21-87ae-35df54ad21a7" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="c33fc697-3940-48c8-82b9-145fbcd0b9a0" Name="all gateways" Process="d6aa89da-947d-4414-bb53-9681b11f9090" BoundaryVisible="true">
      <Lanes>
        <Lane Id="9e273b63-e027-4d1c-8ff3-518f5f4368a7" Name="manager" ParentPool="c33fc697-3940-48c8-82b9-145fbcd0b9a0">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="485" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="485" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="8d616f05-a39a-4e21-87ae-35df54ad21a7" Name="Main Process">
      <ProcessHeader>
        <Created>2016-04-24T14:16:52.5285128-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-04-07T18:01:00.8092249-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-04-07T18:01:00.8092249-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="d6aa89da-947d-4414-bb53-9681b11f9090" Name="all gateways">
      <ProcessHeader>
        <Created>2016-04-24T14:16:52.5285128-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="aceaa8f0-0ab7-48ba-b8bb-0150c2b0a5ba" Name="start all">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="124" YCoordinate="62" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="a26d692e-9159-47bd-9ff3-8b95096a5373" Name="task-1">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="240" YCoordinate="47" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="930dc0f3-6fe1-4a34-9128-3d207b60167c" Name="task-2">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="402" YCoordinate="144" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="e903e7be-d1d4-4e6f-8202-819d2b4f00fb" Name="task-3">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="565" YCoordinate="47" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="64fb3a51-29b5-4ed9-9efd-63525728cbe9" Name="split 2 and 3">
          <Description />
          <Route GatewayType="Parallel" />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="427" YCoordinate="57" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="a1c9f383-4dfa-4e5d-92ca-00c1a2faa5d3" Name="merge 2 and 3">
          <Description />
          <Route GatewayType="Parallel" />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="590" YCoordinate="154" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="4740c11f-ca4e-4fc3-9112-610432776721" Name="task 4 or 5">
          <Description />
          <Route MarkerVisible="true" />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="590" YCoordinate="242" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="1a278e1d-ce1e-43ad-9e14-778de81c7095" Name="task-4">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="394" YCoordinate="232" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="eb735563-e1e0-4118-ad97-1a4f6a7ec5b8" Name="task-5">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="565" YCoordinate="332" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="f40ff916-4532-4d2a-9e45-e81559284513" Name="task-6">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="394" YCoordinate="332" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="f1f00093-2bbb-45ac-867a-398961a2a081" Name="split last">
          <Description />
          <Route GatewayType="Inclusive" />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="274" YCoordinate="342" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="c7900244-a9ce-48a0-9a6f-7cc024de4baa" Name="task-7">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="141" YCoordinate="332" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="3e844979-e36d-4bfb-9d4e-a7b3130f6227" Name="end all">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="279" YCoordinate="453" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="c76945c6-40bc-4b33-8e9a-ced9b7f77c96" From="aceaa8f0-0ab7-48ba-b8bb-0150c2b0a5ba" To="a26d692e-9159-47bd-9ff3-8b95096a5373">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="154" YCoordinate="77" />
              <Coordinates XCoordinate="240" YCoordinate="77" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="3cf0c3c9-7b91-47b8-86fd-320279ff9390" From="a26d692e-9159-47bd-9ff3-8b95096a5373" To="64fb3a51-29b5-4ed9-9efd-63525728cbe9">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="330" YCoordinate="77" />
              <Coordinates XCoordinate="427" YCoordinate="77" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="0831f13d-ffd8-4de1-909a-7d1f4724af77" From="64fb3a51-29b5-4ed9-9efd-63525728cbe9" To="930dc0f3-6fe1-4a34-9128-3d207b60167c">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="447" YCoordinate="97" />
              <Coordinates XCoordinate="447" YCoordinate="144" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="2831c5f5-7490-4275-ab2b-5577ef00a77e" From="64fb3a51-29b5-4ed9-9efd-63525728cbe9" To="e903e7be-d1d4-4e6f-8202-819d2b4f00fb">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="467" YCoordinate="77" />
              <Coordinates XCoordinate="565" YCoordinate="77" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="c84f8317-a3b7-45f1-ba7b-95c45567afcb" From="930dc0f3-6fe1-4a34-9128-3d207b60167c" To="a1c9f383-4dfa-4e5d-92ca-00c1a2faa5d3">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="492" YCoordinate="174" />
              <Coordinates XCoordinate="590" YCoordinate="174" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="b78def36-340e-4268-920c-fd097ca70e02" From="e903e7be-d1d4-4e6f-8202-819d2b4f00fb" To="a1c9f383-4dfa-4e5d-92ca-00c1a2faa5d3">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="610" YCoordinate="107" />
              <Coordinates XCoordinate="610" YCoordinate="154" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="aa6a02a6-82aa-4704-9134-e2fae86b038a" From="a1c9f383-4dfa-4e5d-92ca-00c1a2faa5d3" To="4740c11f-ca4e-4fc3-9112-610432776721">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="610" YCoordinate="194" />
              <Coordinates XCoordinate="610" YCoordinate="242" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="eb889a91-9460-4cfd-8ab1-3fd816d58cb0" From="4740c11f-ca4e-4fc3-9112-610432776721" To="1a278e1d-ce1e-43ad-9e14-778de81c7095">
          <Condition Type="CONDITION">
            <Expression>[:proc | ((proc taskTwoOption = ''1'') or: [(proc taskTwoOption = ''2'')]) and: [(proc taskThreeOption = ''10'') or: [proc taskThreeOption = ''20'']]
]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="590" YCoordinate="262" />
              <Coordinates XCoordinate="484" YCoordinate="262" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="0a79c933-92f2-436d-924d-43d77313944e" From="4740c11f-ca4e-4fc3-9112-610432776721" To="eb735563-e1e0-4118-ad97-1a4f6a7ec5b8">
          <Condition Type="CONDITION">
            <Expression>[:proc | (proc taskTwoOption = ''3'') and: [proc taskThreeOption = ''30'']
]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="610" YCoordinate="282" />
              <Coordinates XCoordinate="610" YCoordinate="332" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="778bf441-7636-4b4d-b597-3aab97ca7da4" From="1a278e1d-ce1e-43ad-9e14-778de81c7095" To="f40ff916-4532-4d2a-9e45-e81559284513">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="439" YCoordinate="292" />
              <Coordinates XCoordinate="439" YCoordinate="332" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="ec3f385c-dc3b-40e9-8a53-363af88dd722" From="eb735563-e1e0-4118-ad97-1a4f6a7ec5b8" To="f40ff916-4532-4d2a-9e45-e81559284513">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="565" YCoordinate="362" />
              <Coordinates XCoordinate="484" YCoordinate="362" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="16f539c0-30f5-40b8-86c5-3ab7d5c0416f" From="f40ff916-4532-4d2a-9e45-e81559284513" To="f1f00093-2bbb-45ac-867a-398961a2a081">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="394" YCoordinate="362" />
              <Coordinates XCoordinate="314" YCoordinate="362" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="8771b635-6500-4f9d-bcff-b6c306be81c0" From="f1f00093-2bbb-45ac-867a-398961a2a081" To="c7900244-a9ce-48a0-9a6f-7cc024de4baa">
          <Condition Type="CONDITION">
            <Expression>[:proc | proc taskSixTime &lt; (Time fromString: ''14:00'') or: [proc taskFiveDate &lt; (Date fromString: ''12/12/2015'')]
]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="274" YCoordinate="362" />
              <Coordinates XCoordinate="231" YCoordinate="362" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="241a0e43-1982-4b56-bd0e-cef474a68f0f" From="c7900244-a9ce-48a0-9a6f-7cc024de4baa" To="3e844979-e36d-4bfb-9d4e-a7b3130f6227">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="186" YCoordinate="392" />
              <Coordinates XCoordinate="186" YCoordinate="468" />
              <Coordinates XCoordinate="279" YCoordinate="468" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="a94b7b40-aee4-4bfb-88d1-db58ece07a65" From="f1f00093-2bbb-45ac-867a-398961a2a081" To="3e844979-e36d-4bfb-9d4e-a7b3130f6227">
          <Condition Type="CONDITION">
            <Expression>[:proc | proc taskSixTime &gt;= (Time fromString: ''14:00'') or: [proc taskFiveDate &gt;= (Date fromString: ''12/12/2015'')]
]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="294" YCoordinate="382" />
              <Coordinates XCoordinate="294" YCoordinate="453" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-04-07T18:01:00.8092249-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-04-07T18:01:00.8092249-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'visa process' stamp: 'BrunoBB 04/09/2016 15:22'!
processDefinition_check_financial_data

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="81d1922c-d685-41df-9fcd-4ff496379ce0" Name="check-financial-data" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-03-21T12:09:33.2514073-03:00</Created>
    <ModificationDate>2016-04-09T19:15:27.1523051-03:00</ModificationDate>
    <Description>check-financial-data</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="7bda245d-78b1-41a7-8c0f-51f0ee9d5df3" Name="Main Process" Process="91298a5e-f081-44d5-a000-1b61a6a91ddd" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="7f38d6ef-f96c-4853-8fe2-b6e1b942c8c7" Name="check-financial-data" Process="cacbedc3-3bff-41d4-b4fd-6d8f76ae7b82" BoundaryVisible="true">
      <Lanes>
        <Lane Id="a6479c74-6c20-4887-afe8-42e0316128ac" Name="finance officer" ParentPool="7f38d6ef-f96c-4853-8fe2-b6e1b942c8c7">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="128" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="144c74ab-e671-4f80-b0fd-4a169ed2f16d" Name="properties officer" ParentPool="7f38d6ef-f96c-4853-8fe2-b6e1b942c8c7">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="129" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="128" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="38f4e960-d396-450b-8da7-e3ea0c4870e7" Name="debts officer" ParentPool="7f38d6ef-f96c-4853-8fe2-b6e1b942c8c7">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="120" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="257" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="377" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="29" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="91298a5e-f081-44d5-a000-1b61a6a91ddd" Name="Main Process">
      <ProcessHeader>
        <Created>2016-04-09T19:16:00.5086183-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-03-21T12:09:33.2524084-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-03-21T12:09:33.2524084-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="cacbedc3-3bff-41d4-b4fd-6d8f76ae7b82" Name="check-financial-data">
      <ProcessHeader>
        <Created>2016-04-09T19:16:00.5086183-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="88488b0a-3390-460e-b9ce-bda6a9383dcf" Name="start financial check">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="130" YCoordinate="62" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="6784a0c8-3bba-4d72-9e4b-c0ad7b0eb6ba" Name="check-accounts">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="91" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="238" YCoordinate="47" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="previousFields" Value="citizenName citizenSurname originCountry citizenId" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="60c4747f-9802-4113-b711-89bd429310b8" Name="check-properties">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="124" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="221.5" YCoordinate="186" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="previousFields" Value="citizenName citizenSurname originCountry citizenId" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="4cd36a42-8401-410b-a100-aeda0c619caf" Name="check-debts">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="238.5" YCoordinate="322" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="previousFields" Value="citizenName citizenSurname originCountry citizenId" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="60f121a7-dc61-482a-b533-6a567a2a383f" Name="end financial check">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="646" YCoordinate="70" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="84abf1cf-5939-4bae-b4a1-c9c0cfa68018" Name="financial-report">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="127" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="429" YCoordinate="55" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="previousFields" Value="citizenName citizenSurname originCountry citizenId" />
          </ExtendedAttributes>
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="f690680e-c8dc-47d1-b361-2c8414c57f92" From="88488b0a-3390-460e-b9ce-bda6a9383dcf" To="6784a0c8-3bba-4d72-9e4b-c0ad7b0eb6ba">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="160" YCoordinate="77" />
              <Coordinates XCoordinate="238" YCoordinate="77" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="4c3b951c-fd01-4dfe-9015-84ef3e406f15" From="6784a0c8-3bba-4d72-9e4b-c0ad7b0eb6ba" To="60c4747f-9802-4113-b711-89bd429310b8">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="283" YCoordinate="107" />
              <Coordinates XCoordinate="283" YCoordinate="186" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="c0afd4ec-3e41-4220-8df7-e8669434f046" From="60c4747f-9802-4113-b711-89bd429310b8" To="4cd36a42-8401-410b-a100-aeda0c619caf">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="283" YCoordinate="246" />
              <Coordinates XCoordinate="283" YCoordinate="322" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="cc2455a5-86fa-4de5-9afa-04cc0f9586d3" From="4cd36a42-8401-410b-a100-aeda0c619caf" To="84abf1cf-5939-4bae-b4a1-c9c0cfa68018">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="328" YCoordinate="352" />
              <Coordinates XCoordinate="397" YCoordinate="352" />
              <Coordinates XCoordinate="397" YCoordinate="85" />
              <Coordinates XCoordinate="429" YCoordinate="85" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="2b3cf6be-453a-4402-9abb-ff963cb9237d" From="84abf1cf-5939-4bae-b4a1-c9c0cfa68018" To="60f121a7-dc61-482a-b533-6a567a2a383f">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="556" YCoordinate="85" />
              <Coordinates XCoordinate="646" YCoordinate="85" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-03-21T12:09:33.2524084-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-03-21T12:09:33.2524084-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'data entry multirole' stamp: 'BrunoBB 04/01/2016 12:26'!
processDefinition_data_entry

	^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="52f2d5be-3a8f-46a7-a7ec-32e318fa4331" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-04-01T13:14:34.9372935-03:00</Created>
    <ModificationDate>2016-04-01T14:01:47.602767-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Participants>
    <Participant Id="8fdab7c9-f1d0-4003-b04a-2294e7ee9544" Name="data-entry-1">
      <ParticipantType Type="ROLE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="data-entry-1" />
      </ExtendedAttributes>
    </Participant>
    <Participant Id="fe86d584-df06-418a-89f7-760764555011" Name="data-entry-2">
      <ParticipantType Type="ROLE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="data-entry-2" />
      </ExtendedAttributes>
    </Participant>
    <Participant Id="862592f7-7bdf-4217-9697-6425acb8f048" Name="data-entry-3">
      <ParticipantType Type="ROLE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="data-entry-3" />
      </ExtendedAttributes>
    </Participant>
  </Participants>
  <Pools>
    <Pool Id="ffbda6fb-14c6-4c87-b8bf-0355b0718084" Name="Main Process" Process="8920aeb8-5d09-4025-be92-e57d1710b874" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="0" Width="0" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="916da080-1b71-457b-a5eb-702c8730156c" Name="multi-role" Process="43c27433-1a5d-4c9d-aa45-b8157f4c699c" BoundaryVisible="true">
      <Lanes>
        <Lane Id="a379f52b-2307-4c63-a218-e373397ddf94" Name="empry role" ParentPool="916da080-1b71-457b-a5eb-702c8730156c">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="149" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="6162a2b0-07fd-4811-b53b-36d5196493fb" Name="approver" ParentPool="916da080-1b71-457b-a5eb-702c8730156c">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="127" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="149" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="276" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="22" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="8920aeb8-5d09-4025-be92-e57d1710b874" Name="Main Process">
      <ProcessHeader>
        <Created>2016-04-01T14:07:23.633727-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-04-01T13:14:34.9462991-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-04-01T13:14:34.9462991-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="43c27433-1a5d-4c9d-aa45-b8157f4c699c" Name="multi-role">
      <ProcessHeader>
        <Created>2016-04-01T14:07:23.633727-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="e709aafd-7698-40c8-be44-df691a4c4cd4" Name="start multi role">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="163" YCoordinate="81" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="3160c981-3a84-4d94-b4a3-7956f60b80fe" Name="data-entry">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers>
            <Performer>8fdab7c9-f1d0-4003-b04a-2294e7ee9544</Performer>
            <Performer>fe86d584-df06-418a-89f7-760764555011</Performer>
            <Performer>862592f7-7bdf-4217-9697-6425acb8f048</Performer>
          </Performers>
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="336" YCoordinate="66" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="5da08d4b-30cc-44ed-8346-fde613c37a44" Name="data-approved">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="336" YCoordinate="206" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="dc3bafb9-7a6c-4655-8a7d-47239cbcee6a" Name="end multi role">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="600" YCoordinate="221" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="c45913e0-cc2c-4124-8203-47573a2ea4da" From="e709aafd-7698-40c8-be44-df691a4c4cd4" To="3160c981-3a84-4d94-b4a3-7956f60b80fe">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="193" YCoordinate="96" />
              <Coordinates XCoordinate="336" YCoordinate="96" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="6ab0937b-61fd-4e5d-96ca-58fdb1c75b38" From="3160c981-3a84-4d94-b4a3-7956f60b80fe" To="5da08d4b-30cc-44ed-8346-fde613c37a44">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="381" YCoordinate="126" />
              <Coordinates XCoordinate="381" YCoordinate="206" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="5dd472cf-eb39-4db7-b877-c008340e910b" From="5da08d4b-30cc-44ed-8346-fde613c37a44" To="dc3bafb9-7a6c-4655-8a7d-47239cbcee6a">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="426" YCoordinate="236" />
              <Coordinates XCoordinate="600" YCoordinate="236" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-04-01T13:14:34.9503018-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-04-01T13:14:34.9503018-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'default transition' stamp: 'BrunoBB 07/02/2016 14:21'!
processDefinition_default_transition

	^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="1fb6f2c5-cc62-4ac0-b8dd-f575127d1592" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-07-02T17:47:46.8791714-03:00</Created>
    <ModificationDate>2016-07-02T18:20:33.3158395-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="8abb66d3-d64f-4598-a230-6ea367a3f52c" Name="Main Process" Process="18a82012-ae66-4564-86f2-a2cff9527d1e" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="09b185cb-5f24-471c-aec3-6699a383daea" Name="default-transition-process" Process="2fe6420e-370c-4da3-8cf1-5a91d59fbcb1" BoundaryVisible="true">
      <Lanes>
        <Lane Id="e5ca0153-d1cf-4677-a38d-914ff5cb7d60" Name="administrator" ParentPool="09b185cb-5f24-471c-aec3-6699a383daea">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="18a82012-ae66-4564-86f2-a2cff9527d1e" Name="Main Process">
      <ProcessHeader>
        <Created>2016-07-02T18:20:51.0990861-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-07-02T17:47:46.8801669-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-02T17:47:46.8801669-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="2fe6420e-370c-4da3-8cf1-5a91d59fbcb1" Name="default-transition-process">
      <ProcessHeader>
        <Created>2016-07-02T18:20:51.0990861-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="eed35927-d3f1-4ee3-aeba-2c5cca501049" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="151" YCoordinate="64" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="278868ab-db9d-4573-b927-20e1bcf82572" Name="script_1">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:script :proc | script setVariableNamed: ''randomInteger'' withValue: 10]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="275" YCoordinate="49" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="232241b5-a544-4e07-9bf2-fe614018add1" Name="g exclusive">
          <Description />
          <Route MarkerVisible="true" />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="465" YCoordinate="59" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="feb03f7b-e320-4902-bc35-96073713273d" Name="script_3">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:script :proc | ]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="593" YCoordinate="49" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="91f502c0-1f8f-4625-82bb-6fb88afe32db" Name="script_2">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:script :proc | script setVariableNamed: ''age'' withValue: 40]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="440" YCoordinate="148" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="c95fc36c-6784-4ad4-9c05-b448b672153b" Name="script_4">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:script :proc | ]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="131" YCoordinate="148" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="34686edd-7ba8-45a1-b8ee-5a3aed97cd99" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="623" YCoordinate="286" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="c888a975-65c4-4225-8b1c-30104e33dc0c" Name="g inclusive">
          <Description />
          <Route GatewayType="Inclusive" />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="156" YCoordinate="261" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="ab987b86-7f63-4ef9-9988-29f7ff474022" Name="script_6">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:script :proc| ]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="324" YCoordinate="301" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="09f70c01-569a-4dd6-8ac6-fdd9d21de7ab" Name="script_5">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:script :proc | ]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="316" YCoordinate="224" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="1adaa7f4-e7db-4b96-92fa-eb04da5d5384" From="eed35927-d3f1-4ee3-aeba-2c5cca501049" To="278868ab-db9d-4573-b927-20e1bcf82572">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="181" YCoordinate="79" />
              <Coordinates XCoordinate="275" YCoordinate="79" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="1d6e8038-a6fb-4811-84dc-914886c9e64a" From="278868ab-db9d-4573-b927-20e1bcf82572" To="232241b5-a544-4e07-9bf2-fe614018add1">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="365" YCoordinate="79" />
              <Coordinates XCoordinate="465" YCoordinate="79" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="13f08d89-9878-4dba-83dd-7152c57aa962" From="232241b5-a544-4e07-9bf2-fe614018add1" To="91f502c0-1f8f-4625-82bb-6fb88afe32db" Name="">
          <Condition Type="OTHERWISE" />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="485" YCoordinate="99" />
              <Coordinates XCoordinate="485" YCoordinate="148" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="b9ab7fca-6c65-40cc-a0c8-9e623320f36c" From="232241b5-a544-4e07-9bf2-fe614018add1" To="feb03f7b-e320-4902-bc35-96073713273d" Name="">
          <Condition Type="CONDITION">
            <Expression>[:proc | proc randomInteger = 11]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="505" YCoordinate="79" />
              <Coordinates XCoordinate="593" YCoordinate="79" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="60003f10-376b-4183-a3af-abbc0eed0a6b" From="91f502c0-1f8f-4625-82bb-6fb88afe32db" To="c95fc36c-6784-4ad4-9c05-b448b672153b" Name="">
          <Condition Type="CONDITION">
            <Expression>[:proc | proc randomInteger = 10]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="440" YCoordinate="178" />
              <Coordinates XCoordinate="221" YCoordinate="178" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="5f3a14b0-2830-426d-9ada-47bead6166f0" From="feb03f7b-e320-4902-bc35-96073713273d" To="34686edd-7ba8-45a1-b8ee-5a3aed97cd99">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="638" YCoordinate="109" />
              <Coordinates XCoordinate="638" YCoordinate="286" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="4410d1c8-2ec1-4afa-b69c-8ff5fdcb360d" From="c95fc36c-6784-4ad4-9c05-b448b672153b" To="c888a975-65c4-4225-8b1c-30104e33dc0c">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="176" YCoordinate="208" />
              <Coordinates XCoordinate="176" YCoordinate="261" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="a76a403d-553d-485b-90a4-b9abddb22b0a" From="c888a975-65c4-4225-8b1c-30104e33dc0c" To="09f70c01-569a-4dd6-8ac6-fdd9d21de7ab">
          <Condition Type="OTHERWISE" />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="196" YCoordinate="281" />
              <Coordinates XCoordinate="246" YCoordinate="281" />
              <Coordinates XCoordinate="246" YCoordinate="254" />
              <Coordinates XCoordinate="316" YCoordinate="254" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="dbc35333-1554-48e3-954d-0f9f08a7adce" From="c888a975-65c4-4225-8b1c-30104e33dc0c" To="ab987b86-7f63-4ef9-9988-29f7ff474022" Name="">
          <Condition Type="CONDITION">
            <Expression>[:proc | proc randomInteger = 11]</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="176" YCoordinate="301" />
              <Coordinates XCoordinate="176" YCoordinate="331" />
              <Coordinates XCoordinate="324" YCoordinate="331" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="e3f4946c-da23-49f1-9f68-ad2b4637b40b" From="09f70c01-569a-4dd6-8ac6-fdd9d21de7ab" To="34686edd-7ba8-45a1-b8ee-5a3aed97cd99">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="406" YCoordinate="254" />
              <Coordinates XCoordinate="514.5" YCoordinate="254" />
              <Coordinates XCoordinate="514.5" YCoordinate="301" />
              <Coordinates XCoordinate="623" YCoordinate="301" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="6f824397-2734-47eb-9c7f-0c5de115367e" From="ab987b86-7f63-4ef9-9988-29f7ff474022" To="34686edd-7ba8-45a1-b8ee-5a3aed97cd99">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="414" YCoordinate="331" />
              <Coordinates XCoordinate="517.5" YCoordinate="331" />
              <Coordinates XCoordinate="517.5" YCoordinate="301" />
              <Coordinates XCoordinate="623" YCoordinate="301" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-07-02T17:47:46.8801669-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-02T17:47:46.8801669-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'embedded subproc subproc' stamp: 'BrunoBB 07/05/2016 09:27'!
processDefinition_Embedded_Embedded_Proc

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="f4661b29-02a5-44e8-ab79-c6aeacfe857c" Name="multi-embedded" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-06-26T20:16:49.7284-03:00</Created>
    <ModificationDate>2016-07-05T13:25:19.9961082-03:00</ModificationDate>
    <Description>multi-embedded</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="252327ef-bad5-4851-b2f0-344c17d8c9ba" Name="Main Process" Process="acaa4f73-b0a2-4cc9-acdc-e190fd75a4be" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="242b0f72-57fd-4119-84a3-e21b466a39a0" Name="multi-embedded" Process="d3844eb2-c2b9-4b59-925b-0fac7f8f6b4d" BoundaryVisible="true">
      <Lanes>
        <Lane Id="e85d7a42-b158-44c8-817d-651605416fd1" Name="administrator" ParentPool="242b0f72-57fd-4119-84a3-e21b466a39a0">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="acaa4f73-b0a2-4cc9-acdc-e190fd75a4be" Name="Main Process">
      <ProcessHeader>
        <Created>2016-07-05T13:26:11.6743245-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-06-26T20:16:49.729165-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-06-26T20:16:49.729165-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="d3844eb2-c2b9-4b59-925b-0fac7f8f6b4d" Name="multi-embedded">
      <ProcessHeader>
        <Created>2016-07-05T13:26:11.6743245-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets>
        <ActivitySet Id="60c29a18-05c8-4b84-86e2-5caf40101cef" Name="embedded 02">
          <Associations />
          <Artifacts />
          <Activities>
            <Activity Id="a0d9e4ea-424e-42fe-a290-e91293d0215d" Name="start embedded 02">
              <Description />
              <Event>
                <StartEvent Trigger="None" />
              </Event>
              <Documentation />
              <NodeGraphicsInfos>
                <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
                  <Coordinates XCoordinate="108" YCoordinate="69" />
                </NodeGraphicsInfo>
              </NodeGraphicsInfos>
              <ExtendedAttributes>
                <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
              </ExtendedAttributes>
            </Activity>
            <Activity Id="41bdd2fa-6c5e-4251-8846-a4c85c14b7fb" Name="script-embedded-02">
              <Description />
              <Implementation>
                <Task>
                  <TaskScript>
                    <Script />
                  </TaskScript>
                </Task>
              </Implementation>
              <Performers />
              <Documentation />
              <Loop LoopType="None" />
              <NodeGraphicsInfos>
                <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
                  <Coordinates XCoordinate="301" YCoordinate="54" />
                </NodeGraphicsInfo>
              </NodeGraphicsInfos>
              <ExtendedAttributes />
            </Activity>
            <Activity Id="aa448030-633f-4873-b7d6-6af60b345055" Name="end embedded 02">
              <Description />
              <Event>
                <EndEvent Result="None" />
              </Event>
              <Documentation />
              <NodeGraphicsInfos>
                <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
                  <Coordinates XCoordinate="331" YCoordinate="209" />
                </NodeGraphicsInfo>
              </NodeGraphicsInfos>
              <ExtendedAttributes />
            </Activity>
          </Activities>
          <Transitions>
            <Transition Id="70ed2827-e154-4c78-a945-5f948aa344a6" From="a0d9e4ea-424e-42fe-a290-e91293d0215d" To="41bdd2fa-6c5e-4251-8846-a4c85c14b7fb">
              <Condition />
              <Description />
              <ConnectorGraphicsInfos>
                <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
                  <Coordinates XCoordinate="138" YCoordinate="84" />
                  <Coordinates XCoordinate="301" YCoordinate="84" />
                </ConnectorGraphicsInfo>
              </ConnectorGraphicsInfos>
              <ExtendedAttributes />
            </Transition>
            <Transition Id="557b5dc2-d912-48f6-982d-a3a7fe3f76c8" From="41bdd2fa-6c5e-4251-8846-a4c85c14b7fb" To="aa448030-633f-4873-b7d6-6af60b345055">
              <Condition />
              <Description />
              <ConnectorGraphicsInfos>
                <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
                  <Coordinates XCoordinate="346" YCoordinate="114" />
                  <Coordinates XCoordinate="346" YCoordinate="209" />
                </ConnectorGraphicsInfo>
              </ConnectorGraphicsInfos>
              <ExtendedAttributes />
            </Transition>
          </Transitions>
        </ActivitySet>
        <ActivitySet Id="13fccdbc-d9bd-4a36-a69f-9058dc424a3f" Name="embedded 01">
          <Associations />
          <Artifacts />
          <Activities>
            <Activity Id="1f32b1c6-52aa-4952-b71a-bb624e0a0bf2" Name="start embedded 01">
              <Description />
              <Event>
                <StartEvent Trigger="None" />
              </Event>
              <Documentation />
              <NodeGraphicsInfos>
                <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
                  <Coordinates XCoordinate="87" YCoordinate="68" />
                </NodeGraphicsInfo>
              </NodeGraphicsInfos>
              <ExtendedAttributes>
                <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
              </ExtendedAttributes>
            </Activity>
            <Activity Id="d87d6f49-1eb3-41fc-a8b9-df706519cfa3" Name="end embedded 01">
              <Description />
              <Event>
                <EndEvent Result="None" />
              </Event>
              <Documentation />
              <NodeGraphicsInfos>
                <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
                  <Coordinates XCoordinate="101" YCoordinate="207.69999694824219" />
                </NodeGraphicsInfo>
              </NodeGraphicsInfos>
              <ExtendedAttributes />
            </Activity>
            <Activity Id="60c29a18-05c8-4b84-86e2-5caf40101cef" Name="embedded 02">
              <Description />
              <BlockActivity ActivitySetId="60c29a18-05c8-4b84-86e2-5caf40101cef" />
              <Performers />
              <Documentation />
              <Loop LoopType="None" />
              <NodeGraphicsInfos>
                <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
                  <Coordinates XCoordinate="300" YCoordinate="181" />
                </NodeGraphicsInfo>
              </NodeGraphicsInfos>
              <ExtendedAttributes>
                <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPathList&quot;:[]}" />
              </ExtendedAttributes>
            </Activity>
            <Activity Id="af50bc85-160b-4387-9068-cab2330eb458" Name="script-embedded-01">
              <Description />
              <Implementation>
                <Task>
                  <TaskScript>
                    <Script />
                  </TaskScript>
                </Task>
              </Implementation>
              <Performers />
              <Documentation />
              <Loop LoopType="None" />
              <NodeGraphicsInfos>
                <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="138" BorderColor="-16553830" FillColor="-1249281">
                  <Coordinates XCoordinate="276" YCoordinate="53" />
                </NodeGraphicsInfo>
              </NodeGraphicsInfos>
              <ExtendedAttributes />
            </Activity>
          </Activities>
          <Transitions>
            <Transition Id="70e8bc92-18c0-414c-aa3e-b2e775f4378e" From="1f32b1c6-52aa-4952-b71a-bb624e0a0bf2" To="af50bc85-160b-4387-9068-cab2330eb458">
              <Condition />
              <Description />
              <ConnectorGraphicsInfos>
                <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
                  <Coordinates XCoordinate="117" YCoordinate="83" />
                  <Coordinates XCoordinate="276" YCoordinate="83" />
                </ConnectorGraphicsInfo>
              </ConnectorGraphicsInfos>
              <ExtendedAttributes />
            </Transition>
            <Transition Id="0aac92cc-8ce2-4332-9412-87e58e9b11c3" From="af50bc85-160b-4387-9068-cab2330eb458" To="60c29a18-05c8-4b84-86e2-5caf40101cef">
              <Condition />
              <Description />
              <ConnectorGraphicsInfos>
                <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
                  <Coordinates XCoordinate="345" YCoordinate="113" />
                  <Coordinates XCoordinate="345" YCoordinate="181" />
                </ConnectorGraphicsInfo>
              </ConnectorGraphicsInfos>
              <ExtendedAttributes />
            </Transition>
            <Transition Id="6ff45638-02ab-47b3-86b0-a6100f7387a9" From="60c29a18-05c8-4b84-86e2-5caf40101cef" To="d87d6f49-1eb3-41fc-a8b9-df706519cfa3">
              <Condition />
              <Description />
              <ConnectorGraphicsInfos>
                <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
                  <Coordinates XCoordinate="300" YCoordinate="222" />
                  <Coordinates XCoordinate="131" YCoordinate="222" />
                </ConnectorGraphicsInfo>
              </ConnectorGraphicsInfos>
              <ExtendedAttributes />
            </Transition>
          </Transitions>
        </ActivitySet>
      </ActivitySets>
      <DataInputOutputs />
      <Activities>
        <Activity Id="e833ca1a-e7bd-4f7b-9f29-adb5770512ed" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="136" YCoordinate="62" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="3f30270f-c49b-4762-ba94-e36435780165" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="460" YCoordinate="217" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="f3ed9dc2-f2cf-417d-a478-276b2e4c6cf2" Name="script">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script />
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="244" YCoordinate="47" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="13fccdbc-d9bd-4a36-a69f-9058dc424a3f" Name="embedded 01">
          <Description />
          <BlockActivity ActivitySetId="13fccdbc-d9bd-4a36-a69f-9058dc424a3f" />
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="430" YCoordinate="47" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPathList&quot;:[]}" />
          </ExtendedAttributes>
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="0f4c038d-01a4-424a-ab72-130df89467fe" From="e833ca1a-e7bd-4f7b-9f29-adb5770512ed" To="f3ed9dc2-f2cf-417d-a478-276b2e4c6cf2">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="166" YCoordinate="77" />
              <Coordinates XCoordinate="244" YCoordinate="77" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="7fa35531-bc80-4d51-a96e-95061069a807" From="f3ed9dc2-f2cf-417d-a478-276b2e4c6cf2" To="13fccdbc-d9bd-4a36-a69f-9058dc424a3f">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="334" YCoordinate="77" />
              <Coordinates XCoordinate="430" YCoordinate="77" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="a6f07b7f-223b-4912-98c1-6cb464fb2439" From="13fccdbc-d9bd-4a36-a69f-9058dc424a3f" To="3f30270f-c49b-4762-ba94-e36435780165">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="475" YCoordinate="107" />
              <Coordinates XCoordinate="475" YCoordinate="217" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-06-26T20:16:49.7301691-03:00&quot;,&quot;description&quot;:&quot;&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-06-26T20:16:49.7301691-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'visa process' stamp: 'BrunoBB 04/09/2016 15:22'!
processDefinition_home_office_check

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="5acc2526-f142-4613-a3f0-e6816c2a8412" Name="home-office-check" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-03-21T12:00:22.4748017-03:00</Created>
    <ModificationDate>2016-04-09T19:15:27.0712491-03:00</ModificationDate>
    <Description>home-office-check</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="bc97ff1d-5ee8-43a8-b77c-0b2fd548ad72" Name="Main Process" Process="da7905a7-8c92-4502-ab7d-d06de262576e" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="cae5762e-41f8-49ca-a259-33e8389abf9a" Name="home-office-check" Process="a5b187ab-0c31-47c8-85e8-48c6245bdc4e" BoundaryVisible="true">
      <Lanes>
        <Lane Id="9a6561aa-77a3-48da-9f16-0102e557fe31" Name="visa checker" ParentPool="cae5762e-41f8-49ca-a259-33e8389abf9a">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="da7905a7-8c92-4502-ab7d-d06de262576e" Name="Main Process">
      <ProcessHeader>
        <Created>2016-04-09T19:16:00.5066152-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-03-21T12:00:22.4758028-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-03-21T12:00:22.4758028-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="a5b187ab-0c31-47c8-85e8-48c6245bdc4e" Name="home-office-check">
      <ProcessHeader>
        <Created>2016-04-09T19:16:00.5066152-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="0a623a79-ffdf-4ee8-997a-01a528fc8109" Name="start visa check">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="161" YCoordinate="64" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="455042b2-7fd5-4406-b160-9a790fd7e7f9" Name="check-applicant-record">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="143" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="301.5" YCoordinate="49" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="previousFields" Value="citizenName citizenSurname originCountry citizenId" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="bed91f21-8ccf-4589-ac61-7722489ed00f" Name="end check">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="592" YCoordinate="61" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="0834aee4-d587-44fb-8a14-60f1c3c3d77b" Name="applicant-home-office-report">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="157" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="294.5" YCoordinate="189" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="previousFields" Value="citizenName citizenSurname originCountry citizenId" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="0928d715-c7e0-4585-aa2d-9ea4425e89a2" Name="check-financial-data">
          <Description />
          <Implementation>
            <SubFlow Id="cacbedc3-3bff-41d4-b4fd-6d8f76ae7b82" />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="562" YCoordinate="189" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPathList&quot;:[]}" />
          </ExtendedAttributes>
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="c48e7ab0-09ac-43a4-985e-0f71ee38d5d6" From="0a623a79-ffdf-4ee8-997a-01a528fc8109" To="455042b2-7fd5-4406-b160-9a790fd7e7f9">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="191" YCoordinate="79" />
              <Coordinates XCoordinate="301" YCoordinate="79" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="5a391403-034a-4463-93d3-d651ab46519d" From="455042b2-7fd5-4406-b160-9a790fd7e7f9" To="0834aee4-d587-44fb-8a14-60f1c3c3d77b">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="372" YCoordinate="109" />
              <Coordinates XCoordinate="372" YCoordinate="189" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="faa7d768-bc1b-4404-b42c-ce80c58d62c5" From="0928d715-c7e0-4585-aa2d-9ea4425e89a2" To="bed91f21-8ccf-4589-ac61-7722489ed00f">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="607" YCoordinate="189" />
              <Coordinates XCoordinate="607" YCoordinate="91" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="55d03481-99b9-4d6c-988d-3c1ef9292fbe" From="0834aee4-d587-44fb-8a14-60f1c3c3d77b" To="0928d715-c7e0-4585-aa2d-9ea4425e89a2">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="451" YCoordinate="219" />
              <Coordinates XCoordinate="562" YCoordinate="219" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-03-21T12:00:22.4758028-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-03-21T12:00:22.4758028-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'embedded subproc' stamp: 'BrunoBB 06/25/2016 14:11'!
processDefinition_Reusable_Embedded_Proc

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="a882c7ed-83b9-4174-aeda-4c8a49e596e6" Name="ReusableEmbeddedProc" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-06-25T11:26:32.7776919-03:00</Created>
    <ModificationDate>2016-06-25T12:27:08.9719061-03:00</ModificationDate>
    <Description>ReusableEmbeddedProc</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="ff3e2127-e6d8-4fd9-a676-ba0f9611c63f" Name="Main Process" Process="8edf29f3-d072-4ffb-9439-cec9a1d93dde" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="0" Width="0" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="8ab33ae2-e548-48d3-9b30-81e44fd6e52f" Name="ReusableEmbeddedProc" Process="6705db77-f6e8-4c8d-a9b5-b96bb17a957f" BoundaryVisible="true">
      <Lanes>
        <Lane Id="650e7842-3af4-4013-98ba-fe8273df2036" Name="administrator" ParentPool="8ab33ae2-e548-48d3-9b30-81e44fd6e52f">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="8edf29f3-d072-4ffb-9439-cec9a1d93dde" Name="Main Process">
      <ProcessHeader>
        <Created>2016-06-25T12:27:32.4995453-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-06-25T11:26:32.7866975-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-06-25T11:26:32.7866975-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="6705db77-f6e8-4c8d-a9b5-b96bb17a957f" Name="ReusableEmbeddedProc">
      <ProcessHeader>
        <Created>2016-06-25T12:27:32.500546-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets>
        <ActivitySet Id="f123a1c0-9b6d-44cd-bfc5-c78e1d499206" Name="embedded-sub-proc">
          <Associations />
          <Artifacts />
          <Activities>
            <Activity Id="28265013-804f-4101-8ef3-7cf8257893f5" Name="start-embedded">
              <Description />
              <Event>
                <StartEvent Trigger="None" />
              </Event>
              <Documentation />
              <NodeGraphicsInfos>
                <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
                  <Coordinates XCoordinate="131" YCoordinate="50" />
                </NodeGraphicsInfo>
              </NodeGraphicsInfos>
              <ExtendedAttributes>
                <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
              </ExtendedAttributes>
            </Activity>
            <Activity Id="f3d025d8-fb49-4083-8f13-1d319b96dff2" Name="script-embedded">
              <Description />
              <Implementation>
                <Task>
                  <TaskScript>
                    <Script>[:process :script | ]</Script>
                  </TaskScript>
                </Task>
              </Implementation>
              <Performers />
              <Documentation />
              <Loop LoopType="None" />
              <NodeGraphicsInfos>
                <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="140" BorderColor="-16553830" FillColor="-1249281">
                  <Coordinates XCoordinate="309" YCoordinate="35" />
                </NodeGraphicsInfo>
              </NodeGraphicsInfos>
              <ExtendedAttributes />
            </Activity>
            <Activity Id="93743e15-d411-4789-a5cb-039036c30fbf" Name="end-embedded">
              <Description />
              <Event>
                <EndEvent Result="None" />
              </Event>
              <Documentation />
              <NodeGraphicsInfos>
                <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
                  <Coordinates XCoordinate="364" YCoordinate="197" />
                </NodeGraphicsInfo>
              </NodeGraphicsInfos>
              <ExtendedAttributes />
            </Activity>
          </Activities>
          <Transitions>
            <Transition Id="1882f754-5bb3-4ab1-9cbe-9b3c7fff07c9" From="28265013-804f-4101-8ef3-7cf8257893f5" To="f3d025d8-fb49-4083-8f13-1d319b96dff2">
              <Condition />
              <Description />
              <ConnectorGraphicsInfos>
                <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
                  <Coordinates XCoordinate="161" YCoordinate="65" />
                  <Coordinates XCoordinate="309" YCoordinate="65" />
                </ConnectorGraphicsInfo>
              </ConnectorGraphicsInfos>
              <ExtendedAttributes />
            </Transition>
            <Transition Id="398ad9b3-ff8b-4ec6-869a-eba522cf83c9" From="f3d025d8-fb49-4083-8f13-1d319b96dff2" To="93743e15-d411-4789-a5cb-039036c30fbf">
              <Condition />
              <Description />
              <ConnectorGraphicsInfos>
                <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
                  <Coordinates XCoordinate="379" YCoordinate="95" />
                  <Coordinates XCoordinate="379" YCoordinate="197" />
                </ConnectorGraphicsInfo>
              </ConnectorGraphicsInfos>
              <ExtendedAttributes />
            </Transition>
          </Transitions>
        </ActivitySet>
      </ActivitySets>
      <DataInputOutputs />
      <Activities>
        <Activity Id="2dc551e8-5914-4178-a0c3-0e9623ea5b79" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="131" YCoordinate="56" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="0c647959-ac91-4bdc-b8f0-aacf2542d134" Name="script">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:process :script | ]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="236" YCoordinate="41" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="f123a1c0-9b6d-44cd-bfc5-c78e1d499206" Name="embedded-sub-proc">
          <Description />
          <BlockActivity ActivitySetId="f123a1c0-9b6d-44cd-bfc5-c78e1d499206" />
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="421" YCoordinate="41" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPathList&quot;:[]}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="67983f98-d3f0-4cc5-b8f6-b677764b11db" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="168" YCoordinate="232" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="5197c000-5be0-433a-8758-d2498820ee86" Name="reusabe-sub-proc">
          <Description />
          <Implementation>
            <SubFlow Id="b71cb2f4-7b83-40ff-96e6-fb3ae1b592d0" />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="421" YCoordinate="217" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPathList&quot;:[]}" />
          </ExtendedAttributes>
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="1dd29765-0dfe-4347-aa57-c926b95da752" From="2dc551e8-5914-4178-a0c3-0e9623ea5b79" To="0c647959-ac91-4bdc-b8f0-aacf2542d134">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="161" YCoordinate="71" />
              <Coordinates XCoordinate="236" YCoordinate="71" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="0b335f9a-4cfd-43bf-a952-cda0360edc3b" From="0c647959-ac91-4bdc-b8f0-aacf2542d134" To="f123a1c0-9b6d-44cd-bfc5-c78e1d499206">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="326" YCoordinate="71" />
              <Coordinates XCoordinate="421" YCoordinate="71" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="0b47ceea-03e1-4190-b8d7-3bd59527ef52" From="f123a1c0-9b6d-44cd-bfc5-c78e1d499206" To="5197c000-5be0-433a-8758-d2498820ee86">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="466" YCoordinate="101" />
              <Coordinates XCoordinate="466" YCoordinate="217" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="5f1eaa6a-794a-4071-a2da-b982567d8ef7" From="5197c000-5be0-433a-8758-d2498820ee86" To="67983f98-d3f0-4cc5-b8f6-b677764b11db">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="421" YCoordinate="247" />
              <Coordinates XCoordinate="198" YCoordinate="247" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-06-25T11:26:32.7906989-03:00&quot;,&quot;description&quot;:&quot;&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-06-25T11:26:32.7906989-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'embedded subproc' stamp: 'BrunoBB 06/25/2016 14:11'!
processDefinition_Reusable_Sub_Proc

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="ad693448-2981-4a5b-802a-7f101d5413c1" Name="reusabe-sub-proc" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-06-25T11:35:04.0973177-03:00</Created>
    <ModificationDate>2016-06-25T12:27:09.0789725-03:00</ModificationDate>
    <Description>reusabe-sub-proc</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="fb571814-68c2-46a8-945a-098e8830a075" Name="Main Process" Process="6aa1b319-5e31-4f35-972b-9453d04d8ad3" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="0" Width="0" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="0d325027-0e24-43f0-8d29-634ef253135d" Name="Reusable-Script" Process="b71cb2f4-7b83-40ff-96e6-fb3ae1b592d0" BoundaryVisible="true">
      <Lanes>
        <Lane Id="5a559ab4-49f5-49ef-9bdb-f13b9eba0428" Name="administrator" ParentPool="0d325027-0e24-43f0-8d29-634ef253135d">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="229" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="229" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="6aa1b319-5e31-4f35-972b-9453d04d8ad3" Name="Main Process">
      <ProcessHeader>
        <Created>2016-06-25T12:27:32.5335684-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-06-25T11:35:04.0983184-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-06-25T11:35:04.0983184-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="b71cb2f4-7b83-40ff-96e6-fb3ae1b592d0" Name="Reusable-Script">
      <ProcessHeader>
        <Created>2016-06-25T12:27:32.5335684-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="b7cfcba9-f158-42ea-a2cf-5e5651fbe1fe" Name="start-resusable">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="156" YCoordinate="127" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="52d816b1-1d64-4aa9-8ce2-9509d36df8cb" Name="script-reusable">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:proc :script | ]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="328" YCoordinate="112" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="8b374405-1d94-4718-b02a-ee502551d610" Name="end-reusable">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="512" YCoordinate="127" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="14ea5642-cf5b-4fd9-bc7d-9f2ca248794b" From="b7cfcba9-f158-42ea-a2cf-5e5651fbe1fe" To="52d816b1-1d64-4aa9-8ce2-9509d36df8cb">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="186" YCoordinate="142" />
              <Coordinates XCoordinate="328" YCoordinate="142" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="afd26a2f-e631-4bee-90c3-7f62fc065603" From="52d816b1-1d64-4aa9-8ce2-9509d36df8cb" To="8b374405-1d94-4718-b02a-ee502551d610">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="418" YCoordinate="142" />
              <Coordinates XCoordinate="512" YCoordinate="142" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-06-25T11:35:04.0983184-03:00&quot;,&quot;description&quot;:&quot;&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-06-25T11:35:04.0983184-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'simple registration' stamp: 'BrunoBB 03/31/2016 15:47'!
processDefinition_simple_registration

	^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="928591b1-254b-48bf-b8a5-1143e2f39f3b" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-03-30T19:55:34.2905721-03:00</Created>
    <ModificationDate>2016-03-30T19:59:47.9035828-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="bf80a638-e1da-46f5-a7fb-5506a1267897" Name="Main Process" Process="461bcfa3-952a-4d2e-958a-5ce873510e7c" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="0" Width="0" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="c9a3f0bd-4ac5-4ea3-ba95-85ed4af2e55c" Name="Simple Registration" Process="7a40afc1-246e-45c3-a268-aadcec628a45" BoundaryVisible="true">
      <Lanes>
        <Lane Id="3081ae74-c7bb-468e-b905-a4e6234cc25b" Name="anonymous-user" ParentPool="c9a3f0bd-4ac5-4ea3-ba95-85ed4af2e55c">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="140" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="7ff06800-352b-4615-b547-4f3c5f0499c9" Name="approver" ParentPool="c9a3f0bd-4ac5-4ea3-ba95-85ed4af2e55c">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="154" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="140" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="294" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="31" YCoordinate="21" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="461bcfa3-952a-4d2e-958a-5ce873510e7c" Name="Main Process">
      <ProcessHeader>
        <Created>2016-03-30T20:00:05.9397147-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-03-30T19:55:34.2985775-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-03-30T19:55:34.2985775-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="7a40afc1-246e-45c3-a268-aadcec628a45" Name="Simple Registration">
      <ProcessHeader>
        <Created>2016-03-30T20:00:05.9407145-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="67bcc06b-e76f-4c6f-b416-62a01c50bda7" Name="start-registration">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="151" YCoordinate="70" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="f41c9dc5-a211-4607-8ef4-bdf1a4c2ea4d" Name="simple-registration">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="352" YCoordinate="55" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="04668b75-4fa7-46bd-aa98-660b6170a299" Name="registration-approval">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="352" YCoordinate="205" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="5ec06ba7-aee0-47cc-8783-5777f107bb04" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="577" YCoordinate="220" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="fc77e949-7ffc-4f89-9b50-ccf43380b4c5" From="67bcc06b-e76f-4c6f-b416-62a01c50bda7" To="f41c9dc5-a211-4607-8ef4-bdf1a4c2ea4d">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="181" YCoordinate="85" />
              <Coordinates XCoordinate="352" YCoordinate="85" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="e62687d5-87d6-4355-82e7-34a20862c578" From="f41c9dc5-a211-4607-8ef4-bdf1a4c2ea4d" To="04668b75-4fa7-46bd-aa98-660b6170a299">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="397" YCoordinate="115" />
              <Coordinates XCoordinate="397" YCoordinate="205" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="0e7362b3-7c52-49f7-9895-b7242757bc70" From="04668b75-4fa7-46bd-aa98-660b6170a299" To="5ec06ba7-aee0-47cc-8783-5777f107bb04">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="442" YCoordinate="235" />
              <Coordinates XCoordinate="577" YCoordinate="235" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-03-30T19:55:34.3025802-03:00&quot;,&quot;description&quot;:&quot;&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-03-30T19:55:34.3025802-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'visa process' stamp: 'BrunoBB 04/09/2016 15:21'!
processDefinition_visa_apply

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="46e112f9-4980-4e3f-afac-d994f19bec6e" Name="visa-apply" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-03-21T11:36:14.304377-03:00</Created>
    <ModificationDate>2016-04-09T19:15:26.9781894-03:00</ModificationDate>
    <Description>visa-apply</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="68eca0e2-94e3-4fb2-85dc-fb4ae90bf422" Name="Main Process" Process="5f73033c-877f-45a3-a086-49f5922476a9" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="9d765082-798f-4914-af88-79f1349092bf" Name="visa-appliance" Process="0a6f4c00-cfca-4385-bef0-2c9002ba48bd" BoundaryVisible="true">
      <Lanes>
        <Lane Id="c6e9dca2-89ce-445a-94d6-c4a70cb2f8a8" Name="visa officer" ParentPool="9d765082-798f-4914-af88-79f1349092bf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="219" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="cee8c23c-6cc5-4771-9e2a-a84a28268513" Name="visa manager" ParentPool="9d765082-798f-4914-af88-79f1349092bf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="200" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="219" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="419" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="5f73033c-877f-45a3-a086-49f5922476a9" Name="Main Process">
      <ProcessHeader>
        <Created>2016-04-09T19:16:00.4665876-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-03-21T11:36:14.3128395-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-03-21T11:36:14.3128395-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="0a6f4c00-cfca-4385-bef0-2c9002ba48bd" Name="visa-appliance">
      <ProcessHeader>
        <Created>2016-04-09T19:16:00.4665876-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="854440b4-f5a9-4887-8205-6876f24a8b27" Name="visa apply start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="160" YCoordinate="62" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="9ba98e4a-cd0a-48ff-851c-3f417c02aebf" Name="citizen-appliance">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="122" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="291" YCoordinate="47" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="01e139b8-8cc6-4a82-aa65-a3a1710afec9" Name="check-basic-data">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="122" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="518" YCoordinate="47" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="previousFields" Value="citizenName citizenSurname citizenEmail citizenPhone citizenBirth gender originCountry citizenId" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="77d4dc20-c0f6-4e87-87bf-2b28f922cf2f" Name="accept basic data">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="398" YCoordinate="147" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="bafb54c7-ae94-4a71-ba1b-c919865f1564" Name="visa apply end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="663" YCoordinate="187" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="83a29e8b-e5f5-4169-90aa-e5913a11e50d" Name="check-previous-appliance">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="161" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="155" YCoordinate="264" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="previousFields" Value="citizenName citizenSurname originCountry citizenId" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="5526731c-8eb8-4350-bb5c-7a0242618fb9" Name="emit-visa">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="633" YCoordinate="357" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="previousFields" Value="citizenName citizenSurname originCountry citizenId" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="2ed5c416-5342-4f5b-93d8-04b88122319d" Name="home-office-check">
          <Description />
          <Implementation>
            <SubFlow Id="a5b187ab-0c31-47c8-85e8-48c6245bdc4e" />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="190.5" YCoordinate="357" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPathList&quot;:[]}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="c19f3ef5-0a07-48d3-94b5-5071ac36fa0c" Name="analyze-appliance">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="118" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="361" YCoordinate="357" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="previousFields" Value="citizenName citizenSurname originCountry citizenId" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="b32ddded-6380-4112-8cf8-36e085e626a3" Name="granted">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="535" YCoordinate="367" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="cc467c38-b145-4d97-85a3-52a06ae08a93" From="854440b4-f5a9-4887-8205-6876f24a8b27" To="9ba98e4a-cd0a-48ff-851c-3f417c02aebf">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="190" YCoordinate="77" />
              <Coordinates XCoordinate="291" YCoordinate="77" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="804d8162-7062-4671-bc46-ce2f2489541b" From="9ba98e4a-cd0a-48ff-851c-3f417c02aebf" To="01e139b8-8cc6-4a82-aa65-a3a1710afec9">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="413" YCoordinate="77" />
              <Coordinates XCoordinate="518" YCoordinate="77" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="18e1da5e-26a3-447f-a8f0-b436ce21f36f" From="01e139b8-8cc6-4a82-aa65-a3a1710afec9" To="77d4dc20-c0f6-4e87-87bf-2b28f922cf2f">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="579" YCoordinate="107" />
              <Coordinates XCoordinate="579" YCoordinate="127" />
              <Coordinates XCoordinate="418" YCoordinate="127" />
              <Coordinates XCoordinate="418" YCoordinate="147" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="21c29d35-c0a9-486c-85ab-6b66df791800" From="77d4dc20-c0f6-4e87-87bf-2b28f922cf2f" To="bafb54c7-ae94-4a71-ba1b-c919865f1564">
          <Condition Type="CONDITION">
            <Expression>[:process | process checkResult = ''rejected'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="438" YCoordinate="167" />
              <Coordinates XCoordinate="678" YCoordinate="167" />
              <Coordinates XCoordinate="678" YCoordinate="187" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="650309b1-016f-417a-ba4e-12376af4ba0a" From="77d4dc20-c0f6-4e87-87bf-2b28f922cf2f" To="83a29e8b-e5f5-4169-90aa-e5913a11e50d">
          <Condition Type="CONDITION">
            <Expression>[:process | process checkResult = ''passed'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="398" YCoordinate="167" />
              <Coordinates XCoordinate="235" YCoordinate="167" />
              <Coordinates XCoordinate="235" YCoordinate="264" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="6b8b30f8-0bed-43cd-8bd2-ced51a43b40a" From="83a29e8b-e5f5-4169-90aa-e5913a11e50d" To="2ed5c416-5342-4f5b-93d8-04b88122319d">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="235" YCoordinate="324" />
              <Coordinates XCoordinate="235" YCoordinate="357" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="b1546742-424d-4c8c-8bce-ef08bb858566" From="5526731c-8eb8-4350-bb5c-7a0242618fb9" To="bafb54c7-ae94-4a71-ba1b-c919865f1564">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="678" YCoordinate="357" />
              <Coordinates XCoordinate="678" YCoordinate="217" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="c0564ab9-307b-4ef6-9060-0411925b8e29" From="2ed5c416-5342-4f5b-93d8-04b88122319d" To="c19f3ef5-0a07-48d3-94b5-5071ac36fa0c">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="280" YCoordinate="387" />
              <Coordinates XCoordinate="361" YCoordinate="387" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="8759c752-04d8-434b-bd66-6ef8400843e7" From="c19f3ef5-0a07-48d3-94b5-5071ac36fa0c" To="b32ddded-6380-4112-8cf8-36e085e626a3">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="479" YCoordinate="387" />
              <Coordinates XCoordinate="535" YCoordinate="387" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="337ccff4-7eab-4444-aea2-c866c0405be9" From="b32ddded-6380-4112-8cf8-36e085e626a3" To="5526731c-8eb8-4350-bb5c-7a0242618fb9">
          <Condition Type="CONDITION">
            <Expression>[:process | process applianceResult = ''approved'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="575" YCoordinate="387" />
              <Coordinates XCoordinate="633" YCoordinate="387" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="d7a62ef0-4e96-495e-9a43-d58e10db0995" From="b32ddded-6380-4112-8cf8-36e085e626a3" To="bafb54c7-ae94-4a71-ba1b-c919865f1564">
          <Condition Type="CONDITION">
            <Expression>[:process | process applianceResult ~= ''approved'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="555" YCoordinate="367" />
              <Coordinates XCoordinate="555" YCoordinate="202" />
              <Coordinates XCoordinate="663" YCoordinate="202" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-03-21T11:36:14.3299372-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-03-21T11:36:14.3299372-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'timer process' stamp: 'brunobb 08/10/2017 13:25'!
xpdlDefinition_Timer_Process

	^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="af566964-bfdb-41f7-9a4d-d183ab07f183" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2017-03-05T12:11:30.7964825-03:00</Created>
    <ModificationDate>2017-07-30T17:20:07.0272857-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="bcc0800f-fabb-4a29-80dd-bf9f4f11705a" Name="Main Process" Process="e75ec3e2-d2b1-4332-b7ef-c4664186c88d" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="61d93c40-e922-454a-ba4a-5b761b3112b0" Name="timer-process" Process="691a183a-46e1-4168-978e-f288a183f498" BoundaryVisible="true">
      <Lanes>
        <Lane Id="4070c504-c494-416d-886d-bd63666a158d" Name="executer" ParentPool="61d93c40-e922-454a-ba4a-5b761b3112b0">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="263" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="263" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="e75ec3e2-d2b1-4332-b7ef-c4664186c88d" Name="Main Process">
      <ProcessHeader>
        <Created>2017-07-30T17:20:32.710603-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;order&quot;:1,&quot;useParentCaseNumber&quot;:true,&quot;enableAlarms&quot;:true,&quot;enableNotifications&quot;:true,&quot;creationDate&quot;:&quot;2017-03-05T12:11:30.8134929-03:00&quot;},&quot;processProperties&quot;:{&quot;version&quot;:{&quot;numberVersion&quot;:&quot;1.0&quot;,&quot;isActive&quot;:true},&quot;versionCreationDate&quot;:&quot;2017-03-05T12:11:30.8134929-03:00&quot;,&quot;supportsScopes&quot;:true,&quot;caseAccessType&quot;:&quot;Public&quot;,&quot;renderVersion&quot;:2,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="691a183a-46e1-4168-978e-f288a183f498" Name="timer-process">
      <ProcessHeader>
        <Created>2017-07-30T17:20:32.710603-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="eaf4610e-b80c-4a60-b0d0-4b996a6e1ad4" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="153" YCoordinate="75" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="b3efd02b-14a2-4bc3-8760-2eb8f64f4f4f" Name="form_task1">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="299" YCoordinate="60" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="abe8d510-cebc-4da6-b660-5aa8df44ef5a" Name="alert_timer_script">
          <Description />
          <Event>
            <IntermediateEvent Trigger="Timer" Target="b3efd02b-14a2-4bc3-8760-2eb8f64f4f4f" IsAttached="true">
              <TriggerTimer TimeDate="2017-03-05T00:00:00" />
            </IntermediateEvent>
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="22" Width="22" BorderColor="-6909623" FillColor="-66833">
              <Coordinates XCoordinate="344" YCoordinate="120" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="activationBlock" Value="&lt;p style=&quot;text-align:left;text-indent:0pt;margin:0pt 0pt 0pt 0pt;&quot;&gt;&lt;span style=&quot;color:#000000;background-color:transparent;font-family:Segoe UI;font-size:8pt;font-weight:normal;font-style:normal;&quot;&gt;[:lastExecutedTime :currentTime | (lastExecutedTime plusDays: 1) &amp;lt; currentTime ]&lt;/span&gt;&lt;/p&gt;" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="47aecb55-e3a9-4b7e-b431-dfbc742d161d" Name="alert_script">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:script :process |  | tempVar |script incrementVariableNamed: ''cycle'' by: 1.]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="299" YCoordinate="207" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="495b107d-be40-49e1-b60e-cc71947eee4a" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="545" YCoordinate="75" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="ddc35ddc-2228-4b5f-87f8-9830d7fc5b4a" From="eaf4610e-b80c-4a60-b0d0-4b996a6e1ad4" To="b3efd02b-14a2-4bc3-8760-2eb8f64f4f4f">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="183" YCoordinate="90" />
              <Coordinates XCoordinate="299" YCoordinate="90" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="dde39a03-77d7-43db-be51-75decc5ada5b" From="abe8d510-cebc-4da6-b660-5aa8df44ef5a" To="47aecb55-e3a9-4b7e-b431-dfbc742d161d">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="344" YCoordinate="120" />
              <Coordinates XCoordinate="344" YCoordinate="207" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="d544327e-cf7a-493a-9b66-4f526a56ed31" From="b3efd02b-14a2-4bc3-8760-2eb8f64f4f4f" To="495b107d-be40-49e1-b60e-cc71947eee4a">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="389" YCoordinate="90" />
              <Coordinates XCoordinate="545" YCoordinate="90" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;order&quot;:1,&quot;useParentCaseNumber&quot;:true,&quot;enableAlarms&quot;:true,&quot;enableNotifications&quot;:true,&quot;creationDate&quot;:&quot;2017-03-05T12:11:30.8533566-03:00&quot;},&quot;processProperties&quot;:{&quot;version&quot;:{&quot;numberVersion&quot;:&quot;1.0&quot;,&quot;isActive&quot;:true},&quot;versionCreationDate&quot;:&quot;2017-03-05T12:11:30.8533566-03:00&quot;,&quot;supportsScopes&quot;:true,&quot;caseAccessType&quot;:&quot;Public&quot;,&quot;renderVersion&quot;:2,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'timer process' stamp: 'brunobb 08/10/2017 13:44'!
xpdlDefinition_Timer_Process_Start

	^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="af566964-bfdb-41f7-9a4d-d183ab07f183" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2017-03-05T12:11:30.7964825-03:00</Created>
    <ModificationDate>2017-07-31T08:55:12.5969241-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="bcc0800f-fabb-4a29-80dd-bf9f4f11705a" Name="Main Process" Process="e75ec3e2-d2b1-4332-b7ef-c4664186c88d" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="61d93c40-e922-454a-ba4a-5b761b3112b0" Name="timer-process-start" Process="691a183a-46e1-4168-978e-f288a183f498" BoundaryVisible="true">
      <Lanes>
        <Lane Id="4070c504-c494-416d-886d-bd63666a158d" Name="executer" ParentPool="61d93c40-e922-454a-ba4a-5b761b3112b0">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="263" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="263" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="e75ec3e2-d2b1-4332-b7ef-c4664186c88d" Name="Main Process">
      <ProcessHeader>
        <Created>2017-07-31T09:19:34.0805413-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;order&quot;:1,&quot;useParentCaseNumber&quot;:true,&quot;enableAlarms&quot;:true,&quot;enableNotifications&quot;:true,&quot;creationDate&quot;:&quot;2017-03-05T12:11:30.8134929-03:00&quot;},&quot;processProperties&quot;:{&quot;version&quot;:{&quot;numberVersion&quot;:&quot;1.0&quot;,&quot;isActive&quot;:true},&quot;versionCreationDate&quot;:&quot;2017-03-05T12:11:30.8134929-03:00&quot;,&quot;supportsScopes&quot;:true,&quot;caseAccessType&quot;:&quot;Public&quot;,&quot;renderVersion&quot;:2,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="691a183a-46e1-4168-978e-f288a183f498" Name="timer-process-start">
      <ProcessHeader>
        <Created>2017-07-31T09:19:34.0805413-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="abe8d510-cebc-4da6-b660-5aa8df44ef5a" Name="alert_timer_script">
          <Description />
          <Event>
            <IntermediateEvent Trigger="Timer" Target="b3efd02b-14a2-4bc3-8760-2eb8f64f4f4f" IsAttached="true">
              <TriggerTimer TimeDate="2017-03-05T00:00:00" />
            </IntermediateEvent>
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="22" Width="22" BorderColor="-6909623" FillColor="-66833">
              <Coordinates XCoordinate="332" YCoordinate="120" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="activationBlock" Value="&lt;p style=&quot;text-align:left;text-indent:0pt;margin:0pt 0pt 0pt 0pt;&quot;&gt;&lt;span style=&quot;color:#000000;background-color:transparent;font-family:Segoe UI;font-size:8pt;font-weight:normal;font-style:normal;&quot;&gt;[:lastExecutedTime :currentTime | (lastExecutedTime plusDays: 1) &amp;lt; currentTime ]&lt;/span&gt;&lt;/p&gt;" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="47aecb55-e3a9-4b7e-b431-dfbc742d161d" Name="alert_script">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:script :process |  | tempVar |script incrementVariableNamed: ''alert'' by: 1.]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="287" YCoordinate="185" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="495b107d-be40-49e1-b60e-cc71947eee4a" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="494" YCoordinate="75" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="b3efd02b-14a2-4bc3-8760-2eb8f64f4f4f" Name="form_task1">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:script :process |  | tempVar |script incrementVariableNamed: ''cycle'' by: 1.]</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="287" YCoordinate="60" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="eaf4610e-b80c-4a60-b0d0-4b996a6e1ad4" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="Timer">
              <TriggerTimer TimeDate="2017-07-31T00:00:00" />
            </StartEvent>
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="155" YCoordinate="75" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;cost&quot;:0}" />
            <ExtendedAttribute Name="activationBlock" Value="&lt;p style=&quot;text-align:left;text-indent:0pt;margin:0pt 0pt 0pt 0pt;&quot;&gt;&lt;span style=&quot;color:#000000;background-color:transparent;font-family:Segoe UI;font-size:8pt;font-weight:normal;font-style:normal;&quot;&gt;[:lastExecutedTime :currentTime | (lastExecutedTime plusDays: 1) &amp;lt; currentTime ]&lt;/span&gt;&lt;/p&gt;" />
          </ExtendedAttributes>
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="ddc35ddc-2228-4b5f-87f8-9830d7fc5b4a" From="eaf4610e-b80c-4a60-b0d0-4b996a6e1ad4" To="b3efd02b-14a2-4bc3-8760-2eb8f64f4f4f">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="185" YCoordinate="90" />
              <Coordinates XCoordinate="287" YCoordinate="90" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="dde39a03-77d7-43db-be51-75decc5ada5b" From="abe8d510-cebc-4da6-b660-5aa8df44ef5a" To="47aecb55-e3a9-4b7e-b431-dfbc742d161d">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="332" YCoordinate="120" />
              <Coordinates XCoordinate="332" YCoordinate="185" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="d544327e-cf7a-493a-9b66-4f526a56ed31" From="b3efd02b-14a2-4bc3-8760-2eb8f64f4f4f" To="495b107d-be40-49e1-b60e-cc71947eee4a">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="377" YCoordinate="90" />
              <Coordinates XCoordinate="494" YCoordinate="90" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;order&quot;:1,&quot;useParentCaseNumber&quot;:true,&quot;enableAlarms&quot;:true,&quot;enableNotifications&quot;:true,&quot;creationDate&quot;:&quot;2017-03-05T12:11:30.8533566-03:00&quot;,&quot;description&quot;:&quot;&quot;},&quot;processProperties&quot;:{&quot;version&quot;:{&quot;numberVersion&quot;:&quot;1.0&quot;,&quot;isActive&quot;:true},&quot;versionCreationDate&quot;:&quot;2017-03-05T12:11:30.8533566-03:00&quot;,&quot;supportsScopes&quot;:true,&quot;caseAccessType&quot;:&quot;Public&quot;,&quot;renderVersion&quot;:2,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'multiple pools' stamp: 'BrunoBB 07/06/2016 08:17'!
xpdlExample_MultiplePools

	^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="5a63eb60-0ad4-4cd7-86d8-d9690fe1dbee" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-10-26T17:09:36.6828921-03:00</Created>
    <ModificationDate>2016-07-06T11:25:55.3655194-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="bfb9e736-ab6b-4f95-bcea-133239daf0dc" Name="Main Process" Process="d9658fe7-dfa5-4e69-b390-55e3fa3ae40e" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="41adedee-44fe-44b0-b75c-5f58dbc24ce1" Name="Process 1" Process="067fdf7c-5cdd-4b23-8ea4-06e0427129b5" BoundaryVisible="true">
      <Lanes>
        <Lane Id="626dd4fd-26c2-4c4d-8a51-1c8dc9c98e5b" Name="Lane 1" ParentPool="41adedee-44fe-44b0-b75c-5f58dbc24ce1">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="123" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="9ab33988-e632-4a26-a49e-de790311360b" Name="Lane 3" ParentPool="41adedee-44fe-44b0-b75c-5f58dbc24ce1">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="116" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="123" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="b1b5c9ec-d9df-47c2-80eb-fd58a4d85941" Name="Lane 2" ParentPool="41adedee-44fe-44b0-b75c-5f58dbc24ce1">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="126" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="239" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="365" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="17" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="a210de08-da46-4c3b-bcfc-6a31b86e073b" Name="Process 2" Process="ac43d86e-33a7-4bde-9304-d5fd33244425" BoundaryVisible="true">
      <Lanes>
        <Lane Id="fd98baf4-8358-4bba-8536-f53bfe60e95c" Name="Lane 5" ParentPool="a210de08-da46-4c3b-bcfc-6a31b86e073b">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="121" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="b1597a44-7373-4c76-98af-249d0da3c0c7" Name="Lane 4" ParentPool="a210de08-da46-4c3b-bcfc-6a31b86e073b">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="129" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="121" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="250" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="29" YCoordinate="394" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="d9658fe7-dfa5-4e69-b390-55e3fa3ae40e" Name="Main Process">
      <ProcessHeader>
        <Created>2016-07-06T12:16:55.1383308-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;0001-01-01T00:00:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-06T11:25:27.1999281-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="067fdf7c-5cdd-4b23-8ea4-06e0427129b5" Name="Process 1">
      <ProcessHeader>
        <Created>2016-07-06T12:16:55.170352-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="3dbcd4e1-cdee-44ea-b07a-a5a2833df93c" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="121" YCoordinate="56" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="e6d4c401-6d0a-45f6-90ed-439bdd9352cb" Name="Task 1">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="226" YCoordinate="41" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="f827860f-e06a-4fe9-bb83-bc7737623959" Name="Task 2">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="369" YCoordinate="41" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="25e320fb-7228-42a8-a947-4f9bb3542c1e" Name="important">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="394" YCoordinate="159" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="2c8fbdf2-5e03-4c6d-b602-c5c1d499266f" Name="Task 3">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="491" YCoordinate="166" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="bf6e8e5f-79ab-4d38-a2d6-001314321bf1" Name="Task 4">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="556" YCoordinate="40" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="0b561a85-853b-44c6-a103-e4e31efdbd7f" Name="end 1">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="656" YCoordinate="181" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="82073a2a-7e6f-476c-8905-f13ae2040f28" Name="Task 5">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="213" YCoordinate="167" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="c3f26afe-55cf-4ab7-a686-f4d1437dc328" Name="Task 6">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="213" YCoordinate="292" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="82b09aab-6386-4b2f-9a6a-2ee2e4ca21f2" Name="define">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="411" YCoordinate="302" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="48418692-5a89-46a0-9936-a456437a11f1" Name="end 2">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="626" YCoordinate="307" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="3d5d2d6a-0182-432c-ad19-bd563de23760" From="3dbcd4e1-cdee-44ea-b07a-a5a2833df93c" To="e6d4c401-6d0a-45f6-90ed-439bdd9352cb" Name="tr1">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="151" YCoordinate="71" />
              <Coordinates XCoordinate="226" YCoordinate="71" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="b2c5de8a-b49f-4c9a-9fad-31e287d63c1e" From="e6d4c401-6d0a-45f6-90ed-439bdd9352cb" To="f827860f-e06a-4fe9-bb83-bc7737623959" Name="tr2">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="316" YCoordinate="71" />
              <Coordinates XCoordinate="369" YCoordinate="71" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f11b137b-2bd8-46d3-9121-643e560caaf5" From="f827860f-e06a-4fe9-bb83-bc7737623959" To="25e320fb-7228-42a8-a947-4f9bb3542c1e" Name="tr3">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="414" YCoordinate="101" />
              <Coordinates XCoordinate="414" YCoordinate="159" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="0f154c7a-6d4b-41de-ab54-1856acad2b9c" From="25e320fb-7228-42a8-a947-4f9bb3542c1e" To="2c8fbdf2-5e03-4c6d-b602-c5c1d499266f" Name="tr7">
          <Condition Type="CONDITION">
            <Expression />
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="434" YCoordinate="179" />
              <Coordinates XCoordinate="460.5" YCoordinate="179" />
              <Coordinates XCoordinate="460.5" YCoordinate="196" />
              <Coordinates XCoordinate="491" YCoordinate="196" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="518ed041-31a0-4a17-a5e0-1b90fcddfe33" From="25e320fb-7228-42a8-a947-4f9bb3542c1e" To="bf6e8e5f-79ab-4d38-a2d6-001314321bf1" Name="tr4">
          <Condition Type="CONDITION">
            <Expression />
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="434" YCoordinate="179" />
              <Coordinates XCoordinate="475" YCoordinate="179" />
              <Coordinates XCoordinate="475" YCoordinate="70" />
              <Coordinates XCoordinate="556" YCoordinate="70" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="3d509589-410f-4c73-b3fc-a006aea96aa8" From="bf6e8e5f-79ab-4d38-a2d6-001314321bf1" To="0b561a85-853b-44c6-a103-e4e31efdbd7f" Name="tr5">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="646" YCoordinate="70" />
              <Coordinates XCoordinate="671" YCoordinate="70" />
              <Coordinates XCoordinate="671" YCoordinate="181" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="52b86ba3-9ea9-4be8-9df8-c7bf4bf1a91b" From="2c8fbdf2-5e03-4c6d-b602-c5c1d499266f" To="0b561a85-853b-44c6-a103-e4e31efdbd7f" Name="tr8">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="581" YCoordinate="196" />
              <Coordinates XCoordinate="656" YCoordinate="196" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="0b49e38f-725e-481b-b834-a4df109467d9" From="25e320fb-7228-42a8-a947-4f9bb3542c1e" To="82073a2a-7e6f-476c-8905-f13ae2040f28" Name="tr6">
          <Condition Type="CONDITION">
            <Expression />
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="394" YCoordinate="179" />
              <Coordinates XCoordinate="330" YCoordinate="179" />
              <Coordinates XCoordinate="330" YCoordinate="197" />
              <Coordinates XCoordinate="303" YCoordinate="197" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="952fe7fc-c7c1-4541-853c-591f6cd15e42" From="82073a2a-7e6f-476c-8905-f13ae2040f28" To="c3f26afe-55cf-4ab7-a686-f4d1437dc328" Name="tr9">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="258" YCoordinate="227" />
              <Coordinates XCoordinate="258" YCoordinate="292" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="8165fe88-fd72-499b-98eb-b59b0bf0ace8" From="c3f26afe-55cf-4ab7-a686-f4d1437dc328" To="82b09aab-6386-4b2f-9a6a-2ee2e4ca21f2" Name="tr10">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="303" YCoordinate="322" />
              <Coordinates XCoordinate="411" YCoordinate="322" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="d2c3f3a9-c48a-4f21-8b7e-6e7e8d28410a" From="82b09aab-6386-4b2f-9a6a-2ee2e4ca21f2" To="2c8fbdf2-5e03-4c6d-b602-c5c1d499266f" Name="tr11">
          <Condition Type="CONDITION">
            <Expression />
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="431" YCoordinate="302" />
              <Coordinates XCoordinate="431" YCoordinate="264" />
              <Coordinates XCoordinate="536" YCoordinate="264" />
              <Coordinates XCoordinate="536" YCoordinate="226" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="62c983eb-dc46-480f-bfcc-c326d40499f2" From="82b09aab-6386-4b2f-9a6a-2ee2e4ca21f2" To="48418692-5a89-46a0-9936-a456437a11f1" Name="tr12">
          <Condition Type="CONDITION">
            <Expression />
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="451" YCoordinate="322" />
              <Coordinates XCoordinate="626" YCoordinate="322" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;0001-01-01T00:00:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-06T11:25:27.2054826-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="ac43d86e-33a7-4bde-9304-d5fd33244425" Name="Process 2">
      <ProcessHeader>
        <Created>2016-07-06T12:16:55.2824267-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="fcb52689-0af2-4b22-8e3e-7f61360cf186" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="151" YCoordinate="439" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="69d9b864-b64a-4c26-a7b4-279883250a9a" Name="Task 7">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="264" YCoordinate="424" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="a50009f8-f914-4926-a507-6ac67759c2d2" Name="do it">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="474" YCoordinate="434" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="f06863dc-728a-4024-a027-2f2359ecbe38" Name="Task 8">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="148" YCoordinate="554" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="851598b7-2a2e-4d3e-b3fc-af83d898b639" Name="end 1">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="613" YCoordinate="439" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="9be72181-a75f-45d5-8b83-462058b9c48f" Name="Task 9">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="333" YCoordinate="554" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="d76deaed-cb0b-4e02-ba6b-ab2bf00386fa" Name="end 2">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="577" YCoordinate="569" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="fd739520-cdc1-4a4c-a95d-5b73ffc81dae" From="fcb52689-0af2-4b22-8e3e-7f61360cf186" To="69d9b864-b64a-4c26-a7b4-279883250a9a" Name="tr1">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="181" YCoordinate="454" />
              <Coordinates XCoordinate="264" YCoordinate="454" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="80721a20-f9f0-4dbf-9b02-54542d8478b1" From="69d9b864-b64a-4c26-a7b4-279883250a9a" To="a50009f8-f914-4926-a507-6ac67759c2d2" Name="tr2">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="354" YCoordinate="454" />
              <Coordinates XCoordinate="474" YCoordinate="454" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="fb167906-fb0e-4878-b808-e1897a96651a" From="a50009f8-f914-4926-a507-6ac67759c2d2" To="f06863dc-728a-4024-a027-2f2359ecbe38" Name="tr4">
          <Condition Type="CONDITION">
            <Expression />
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="494" YCoordinate="474" />
              <Coordinates XCoordinate="494" YCoordinate="503" />
              <Coordinates XCoordinate="193" YCoordinate="503" />
              <Coordinates XCoordinate="193" YCoordinate="556" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="fc2ce353-8820-41ab-a24e-4f3a529b544d" From="a50009f8-f914-4926-a507-6ac67759c2d2" To="851598b7-2a2e-4d3e-b3fc-af83d898b639" Name="tr3">
          <Condition Type="CONDITION">
            <Expression />
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="514" YCoordinate="454" />
              <Coordinates XCoordinate="613" YCoordinate="454" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="c3d65c33-dce3-40aa-b399-6df05579a68b" From="f06863dc-728a-4024-a027-2f2359ecbe38" To="9be72181-a75f-45d5-8b83-462058b9c48f" Name="tr5">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="238" YCoordinate="584" />
              <Coordinates XCoordinate="333" YCoordinate="584" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="e67010b1-b3d9-4f02-b55b-d157defb1528" From="9be72181-a75f-45d5-8b83-462058b9c48f" To="d76deaed-cb0b-4e02-ba6b-ab2bf00386fa" Name="tr6">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="423" YCoordinate="584" />
              <Coordinates XCoordinate="577" YCoordinate="584" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;0001-01-01T00:00:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-06T11:25:27.2064807-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'script process' stamp: 'BrunoBB 06/24/2016 10:51'!
xpdlExample_process_with_script

	^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="2cc9f171-a9db-4116-a1a2-86957e38b63f" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-06-21T16:59:42.9321613-03:00</Created>
    <ModificationDate>2016-06-24T14:49:41.4605166-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="d95f408e-9738-492e-ab80-44c5cf77a491" Name="Main Process" Process="e9031899-fd8e-41eb-a9ca-adae6e78038e" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="5518f598-db18-437b-8208-f9a3ca257b19" Name="Process with Scripts" Process="ba47f6f1-66ed-4873-98f8-cbb947485f85" BoundaryVisible="true">
      <Lanes>
        <Lane Id="b04b321c-6fb5-4ac9-87e5-d34773e574d9" Name="manager" ParentPool="5518f598-db18-437b-8208-f9a3ca257b19">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="260" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="260" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="e9031899-fd8e-41eb-a9ca-adae6e78038e" Name="Main Process">
      <ProcessHeader>
        <Created>2016-06-24T14:50:39.6191662-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-06-21T16:59:42.9501883-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-06-21T16:59:42.9501883-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="ba47f6f1-66ed-4873-98f8-cbb947485f85" Name="Process with Scripts">
      <ProcessHeader>
        <Created>2016-06-24T14:50:39.6191662-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="2734b747-67de-41a7-972f-1719325d357f" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="153" YCoordinate="70" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="7ef89a98-ff30-4fe3-acd4-295afd6589d5" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="290" YCoordinate="200" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="7502145a-2597-457c-8024-2730c37a8b64" Name="script">
          <Description />
          <Implementation>
            <Task>
              <TaskScript>
                <Script>[:script :process |    Smalltalk at: #Test_Temps put: process.   script setVariableNamed: ''myTempVar'' withValue: 64].</Script>
              </TaskScript>
            </Task>
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="260" YCoordinate="55" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="f9209be5-f2d5-4aba-808f-f793a98e2699" From="2734b747-67de-41a7-972f-1719325d357f" To="7502145a-2597-457c-8024-2730c37a8b64">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="183" YCoordinate="85" />
              <Coordinates XCoordinate="260" YCoordinate="85" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="8497eb4e-7425-4b72-9bc3-f5ddb4f34c83" From="7502145a-2597-457c-8024-2730c37a8b64" To="7ef89a98-ff30-4fe3-acd4-295afd6589d5">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="305" YCoordinate="115" />
              <Coordinates XCoordinate="305" YCoordinate="200" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-06-21T16:59:42.9763742-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-06-21T16:59:42.9763742-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'three level subprocesses' stamp: 'BrunoBB 03/21/2016 06:07'!
xpdlExample_ProcessFixIssue

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="0021eafb-ce63-4827-95a8-99ed5cb45b56" Name="fix-issue" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-10-10T17:38:38.3889014-03:00</Created>
    <ModificationDate>2015-10-31T19:19:12.2006179-03:00</ModificationDate>
    <Description>fix-issue</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Participants>
    <Participant Id="7e43ffdb-0cbc-479f-a59a-0457fb8ce275" Name="organizer">
      <ParticipantType Type="ROLE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="organizer" />
      </ExtendedAttributes>
    </Participant>
    <Participant Id="e6d17186-ba9d-4b01-8a53-bc607d9068e3" Name="automaticProcess">
      <ParticipantType Type="RESOURCE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="automaticProcess" />
      </ExtendedAttributes>
    </Participant>
  </Participants>
  <Pools>
    <Pool Id="2c171c41-a6aa-4f6e-a4f8-3faa2643d531" Name="Main Process" Process="4d900569-414f-48f1-9698-ba54a5c0bb96" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="7904a971-b4f0-4f66-9729-b5caff198eec" Name="fix-issue" Process="0f193f2e-eea8-4702-a3a9-f31ab3198aa3" BoundaryVisible="true">
      <Lanes>
        <Lane Id="f59dfcaa-4364-486a-b5c3-1523a2fa314c" Name="developer" ParentPool="7904a971-b4f0-4f66-9729-b5caff198eec">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="273" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="273" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <Associations />
  <Artifacts />
  <WorkflowProcesses>
    <WorkflowProcess Id="4d900569-414f-48f1-9698-ba54a5c0bb96" Name="Main Process">
      <ProcessHeader>
        <Created>2015-10-31T19:19:49.3915092-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="0f193f2e-eea8-4702-a3a9-f31ab3198aa3" Name="fix-issue">
      <ProcessHeader>
        <Created>2015-10-31T19:19:49.3915092-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="ed05d89b-c585-4ad0-9f24-5dc655402749" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="143" YCoordinate="72" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="aa8093d3-1bc3-480a-acf8-4bcb6a14b6a5" Name="analyze-issue">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="276" YCoordinate="57" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="23110288-092a-4633-b6d3-aee28763cee4" Name="report-fixes">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="586" YCoordinate="57" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="10a9288f-4785-4e16-8bd1-1b25ec3071b3" Name="internal-test">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="586" YCoordinate="189" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="a7f0e8a9-c09a-4e21-860a-7ccbdc25cb9e" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="393" YCoordinate="204" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="70d89556-61a0-46a3-b9e9-f0536e1878d9" Name="report-to-architect">
          <Description />
          <Implementation>
            <SubFlow Id="260dacb0-875f-4db1-9346-4185528f1506" />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="147" YCoordinate="189" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPath&quot;:&quot;&quot;}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="dfcd873a-20dc-483a-a5e4-08397387d383" Name="can fix">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="442" YCoordinate="67" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="7e6a750b-7e3a-4a39-8a88-ff7656eb6050" From="ed05d89b-c585-4ad0-9f24-5dc655402749" To="aa8093d3-1bc3-480a-acf8-4bcb6a14b6a5" Name="start-analyze">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="173" YCoordinate="87" />
              <Coordinates XCoordinate="276" YCoordinate="87" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="67005781-0b9d-4e38-b4a5-845d586c8f80" From="dfcd873a-20dc-483a-a5e4-08397387d383" To="23110288-092a-4633-b6d3-aee28763cee4" Name="create-report">
          <Condition Type="CONDITION">
            <Expression>[:form | form developerCanFix = ''yes'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="482" YCoordinate="87" />
              <Coordinates XCoordinate="586" YCoordinate="87" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9bab740a-0def-470c-a558-b8a26861904a" From="23110288-092a-4633-b6d3-aee28763cee4" To="10a9288f-4785-4e16-8bd1-1b25ec3071b3" Name="do-internal-test">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="631" YCoordinate="117" />
              <Coordinates XCoordinate="631" YCoordinate="189" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="949f62da-2286-4e05-9bbb-e61a3ee957d3" From="10a9288f-4785-4e16-8bd1-1b25ec3071b3" To="a7f0e8a9-c09a-4e21-860a-7ccbdc25cb9e" Name="finish-internal-test">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="586" YCoordinate="219" />
              <Coordinates XCoordinate="423" YCoordinate="219" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="adbad26d-c890-4460-afb7-3d1637c1992e" From="dfcd873a-20dc-483a-a5e4-08397387d383" To="70d89556-61a0-46a3-b9e9-f0536e1878d9" Name="no-fix-report">
          <Condition Type="CONDITION">
            <Expression>[:form | form developerCanFix = ''no'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="462" YCoordinate="107" />
              <Coordinates XCoordinate="462" YCoordinate="148" />
              <Coordinates XCoordinate="192" YCoordinate="148" />
              <Coordinates XCoordinate="192" YCoordinate="189" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="1903c236-7dab-4c63-a09d-7215c553f606" From="70d89556-61a0-46a3-b9e9-f0536e1878d9" To="a7f0e8a9-c09a-4e21-860a-7ccbdc25cb9e" Name="architect-done">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="237" YCoordinate="219" />
              <Coordinates XCoordinate="393" YCoordinate="219" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f2eb6df7-93a9-4002-a2e9-13084c98e940" From="aa8093d3-1bc3-480a-acf8-4bcb6a14b6a5" To="dfcd873a-20dc-483a-a5e4-08397387d383" Name="evaluate-fix">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="366" YCoordinate="87" />
              <Coordinates XCoordinate="442" YCoordinate="87" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'three level subprocesses' stamp: 'BrunoBB 03/21/2016 06:07'!
xpdlExample_ProcessReportToArchitect

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="1924f872-8d80-4df6-b416-1817b8f9c93c" Name="report-to-architect" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-10-10T17:42:36.4909979-03:00</Created>
    <ModificationDate>2015-10-31T19:19:12.394743-03:00</ModificationDate>
    <Description>report-to-architect</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Participants>
    <Participant Id="7e43ffdb-0cbc-479f-a59a-0457fb8ce275" Name="organizer">
      <ParticipantType Type="ROLE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="organizer" />
      </ExtendedAttributes>
    </Participant>
    <Participant Id="e6d17186-ba9d-4b01-8a53-bc607d9068e3" Name="automaticProcess">
      <ParticipantType Type="RESOURCE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="automaticProcess" />
      </ExtendedAttributes>
    </Participant>
  </Participants>
  <Pools>
    <Pool Id="dd453389-40a7-400c-9a21-0bf48ad62b36" Name="Main Process" Process="cc08648d-6618-4fb6-881a-963de0172570" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="fcd24662-cac6-4f38-a675-690ed8bffb9c" Name="architect-process" Process="260dacb0-875f-4db1-9346-4185528f1506" BoundaryVisible="true">
      <Lanes>
        <Lane Id="9d014f82-8c80-4e75-b6a7-b403baa5174a" Name="architect" ParentPool="fcd24662-cac6-4f38-a675-690ed8bffb9c">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="282" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="282" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="26" YCoordinate="28" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <Associations />
  <Artifacts />
  <WorkflowProcesses>
    <WorkflowProcess Id="cc08648d-6618-4fb6-881a-963de0172570" Name="Main Process">
      <ProcessHeader>
        <Created>2015-10-31T19:19:49.4595538-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="260dacb0-875f-4db1-9346-4185528f1506" Name="architect-process">
      <ProcessHeader>
        <Created>2015-10-31T19:19:49.4595538-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="893fce24-fb1a-4c0f-983b-54c10ff5a374" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="124" YCoordinate="77" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="f091a68d-330f-416a-8055-3f54e9d30047" Name="analyze-developer-report">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="291" YCoordinate="62" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="53e7efda-1ff9-48c9-9957-5ddd98dcaff3" Name="has-solution">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="516" YCoordinate="72" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="b0250340-87e3-4475-82d1-c4f8ff9348aa" Name="report-solution">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="293" YCoordinate="233" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="9606869c-fa23-45e7-b1d6-142450b0a10a" Name="report-workaround">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="598" YCoordinate="137" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="b578fd82-c940-40a7-b6ab-9bb9d329d219" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="492" YCoordinate="248" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="74073e00-8b7c-43cb-837f-361aac53f568" From="893fce24-fb1a-4c0f-983b-54c10ff5a374" To="f091a68d-330f-416a-8055-3f54e9d30047" Name="start-dev-analysis">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="154" YCoordinate="92" />
              <Coordinates XCoordinate="291" YCoordinate="92" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="1ecf8804-f7f5-4be3-9824-f7447e3f2101" From="f091a68d-330f-416a-8055-3f54e9d30047" To="53e7efda-1ff9-48c9-9957-5ddd98dcaff3" Name="evaluate-a-solution">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="381" YCoordinate="92" />
              <Coordinates XCoordinate="516" YCoordinate="92" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="e6c9a119-9c6b-4a30-b091-13520157cb0e" From="53e7efda-1ff9-48c9-9957-5ddd98dcaff3" To="b0250340-87e3-4475-82d1-c4f8ff9348aa" Name="create-solution">
          <Condition Type="CONDITION">
            <Expression>[:form | form hasSolution = ''yes'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="536" YCoordinate="112" />
              <Coordinates XCoordinate="536" YCoordinate="164.5" />
              <Coordinates XCoordinate="338" YCoordinate="164.5" />
              <Coordinates XCoordinate="338" YCoordinate="233" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="1bdb9bbc-f85f-4ec8-bd0a-79050142f3cd" From="53e7efda-1ff9-48c9-9957-5ddd98dcaff3" To="9606869c-fa23-45e7-b1d6-142450b0a10a" Name="create-workaround">
          <Condition Type="CONDITION">
            <Expression>[:form | form hasSolution = ''no'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="556" YCoordinate="92" />
              <Coordinates XCoordinate="625" YCoordinate="92" />
              <Coordinates XCoordinate="625" YCoordinate="137" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f63638f4-d2fb-404a-81da-ae30ceab2603" From="b0250340-87e3-4475-82d1-c4f8ff9348aa" To="b578fd82-c940-40a7-b6ab-9bb9d329d219" Name="end-solution">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="383" YCoordinate="263" />
              <Coordinates XCoordinate="492" YCoordinate="263" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="06887fd3-f3de-465c-a79c-d719d6cbaa08" From="9606869c-fa23-45e7-b1d6-142450b0a10a" To="b578fd82-c940-40a7-b6ab-9bb9d329d219" Name="end-workaround">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="643" YCoordinate="197" />
              <Coordinates XCoordinate="643" YCoordinate="263" />
              <Coordinates XCoordinate="522" YCoordinate="263" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'three level subprocesses' stamp: 'BrunoBB 03/21/2016 06:07'!
xpdlExample_ProcessTestCase

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="f9e1b674-bcb7-422c-9c50-49390d1e3cfb" Name="test-case" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-10-10T16:11:13.7791404-03:00</Created>
    <ModificationDate>2015-11-01T14:32:59.5172039-03:00</ModificationDate>
    <Description>test-case</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Participants>
    <Participant Id="7e43ffdb-0cbc-479f-a59a-0457fb8ce275" Name="organizer">
      <ParticipantType Type="ROLE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="organizer" />
      </ExtendedAttributes>
    </Participant>
    <Participant Id="e6d17186-ba9d-4b01-8a53-bc607d9068e3" Name="automaticProcess">
      <ParticipantType Type="RESOURCE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="automaticProcess" />
      </ExtendedAttributes>
    </Participant>
  </Participants>
  <Pools>
    <Pool Id="b68fc2af-b6b7-4f25-aab5-dafe86796f0a" Name="Main Process" Process="71a0ff46-d937-49a6-ae0f-a14291afbe5d" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="80699622-c62b-4fa1-8464-570b9fdc95cf" Name="test-case-process" Process="5d349866-3f8e-432e-887e-eee94a0c66fb" BoundaryVisible="true">
      <Lanes>
        <Lane Id="08dc3675-c926-4e14-844b-d828d3cef9c2" Name="tester" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="141" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="5e7dbf23-6b47-4341-8abe-8fdecf2fc01a" Name="test-expert" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="135" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="141" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="13b461de-b265-412f-baa1-44ed46796f4a" Name="developer" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="120" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="276" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="396" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <Associations />
  <Artifacts />
  <WorkflowProcesses>
    <WorkflowProcess Id="71a0ff46-d937-49a6-ae0f-a14291afbe5d" Name="Main Process">
      <ProcessHeader>
        <Created>2015-11-01T14:33:17.5319269-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="5d349866-3f8e-432e-887e-eee94a0c66fb" Name="test-case-process">
      <ProcessHeader>
        <Created>2015-11-01T14:33:17.5319269-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="a5c4f59b-8f98-4ee9-8bac-b7feaf8f9486" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="127" YCoordinate="224" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="629" YCoordinate="210" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="test-case" CompletionQuantity="5">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers>
            <Performer>e6d17186-ba9d-4b01-8a53-bc607d9068e3</Performer>
            <Performer>7e43ffdb-0cbc-479f-a59a-0457fb8ce275</Performer>
          </Performers>
          <Documentation />
          <Loop LoopType="Standard">
            <LoopStandard LoopCounter="0" LoopMaximum="0">
              <LoopCondition>[:form | form approved = ''false'']</LoopCondition>
            </LoopStandard>
          </Loop>
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="234" YCoordinate="209" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="caf25880-c312-4f57-b5d2-30a76003ec41" Name="test-ok">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="599" YCoordinate="54" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="e170b610-a543-438c-90ac-de6a6bb9d7e9" Name="execute-test" StartQuantity="2" CompletionQuantity="10">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="MultiInstance">
            <LoopMultiInstance LoopCounter="0" />
          </Loop>
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="234" YCoordinate="54" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="c2e6b767-63dc-4952-b137-614349439ae4" Name="analyze-issue-report" CompletionQuantity="9">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="MultiInstance">
            <LoopMultiInstance LoopCounter="0">
              <MI_Condition>[:form | form numberOfLoops]</MI_Condition>
            </LoopMultiInstance>
          </Loop>
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="378" YCoordinate="195" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="8d074c00-d99c-4975-93cc-79071176332a" Name="is-issue">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="455" YCoordinate="64" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" Name="fix-issue">
          <Description />
          <Implementation>
            <SubFlow Id="0f193f2e-eea8-4702-a3a9-f31ab3198aa3" />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="336" YCoordinate="336" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPath&quot;:&quot;&quot;}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="2a43f725-58bd-45a8-b456-5da85c4faf32" Name="accept-issue">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="541" YCoordinate="243" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="f9d3a6e6-af6b-46dc-9fcc-c1c2f97b3271" From="a5c4f59b-8f98-4ee9-8bac-b7feaf8f9486" To="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="start-case">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="157" YCoordinate="239" />
              <Coordinates XCoordinate="234" YCoordinate="239" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="04ee69b1-afd5-4e5c-ad2b-19c999c0b1b6" From="caf25880-c312-4f57-b5d2-30a76003ec41" To="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="test-finished">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="644" YCoordinate="114" />
              <Coordinates XCoordinate="644" YCoordinate="210" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9137256c-6786-4850-b12d-2b8566694299" From="2a43f725-58bd-45a8-b456-5da85c4faf32" To="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="reject-issue">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''reject'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="581" YCoordinate="263" />
              <Coordinates XCoordinate="605" YCoordinate="263" />
              <Coordinates XCoordinate="605" YCoordinate="225" />
              <Coordinates XCoordinate="629" YCoordinate="225" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9575aef3-2919-455a-8179-2d9a86547aa3" From="2a43f725-58bd-45a8-b456-5da85c4faf32" To="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" Name="fix">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''accept'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="561" YCoordinate="283" />
              <Coordinates XCoordinate="561" YCoordinate="366" />
              <Coordinates XCoordinate="426" YCoordinate="366" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="ec8c36e0-4ae6-4cc1-a5b6-4c459e63fb16" From="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" To="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="test-again">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="336" YCoordinate="377" />
              <Coordinates XCoordinate="279" YCoordinate="377" />
              <Coordinates XCoordinate="279" YCoordinate="269" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="536e43b6-c876-4e84-846b-01b2efe43b8b" From="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" To="e170b610-a543-438c-90ac-de6a6bb9d7e9" Name="run-test" Quantity="5">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="279" YCoordinate="209" />
              <Coordinates XCoordinate="279" YCoordinate="114" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9c75e177-6817-4c98-82b9-db9f481db34a" From="e170b610-a543-438c-90ac-de6a6bb9d7e9" To="8d074c00-d99c-4975-93cc-79071176332a" Name="evaluate-issue" Quantity="10">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="324" YCoordinate="84" />
              <Coordinates XCoordinate="455" YCoordinate="84" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="b432225c-69cb-4e5e-9da1-500917b1b7e4" From="8d074c00-d99c-4975-93cc-79071176332a" To="c2e6b767-63dc-4952-b137-614349439ae4" Name="report-issue">
          <Condition Type="CONDITION">
            <Expression>[:form | form result = ''failed'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="475" YCoordinate="104" />
              <Coordinates XCoordinate="475" YCoordinate="149.5" />
              <Coordinates XCoordinate="423" YCoordinate="149.5" />
              <Coordinates XCoordinate="423" YCoordinate="195" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f50d67c8-61c2-45db-ad73-888d412e5704" From="8d074c00-d99c-4975-93cc-79071176332a" To="caf25880-c312-4f57-b5d2-30a76003ec41" Name="test-ok">
          <Condition Type="CONDITION">
            <Expression>[:form | form result ~= ''failed'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="495" YCoordinate="84" />
              <Coordinates XCoordinate="599" YCoordinate="84" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="be21efdb-ab66-4603-80ef-3867afd145b3" From="c2e6b767-63dc-4952-b137-614349439ae4" To="2a43f725-58bd-45a8-b456-5da85c4faf32" Name="evaluate-report" Quantity="9">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="468" YCoordinate="225" />
              <Coordinates XCoordinate="503" YCoordinate="225" />
              <Coordinates XCoordinate="503" YCoordinate="263" />
              <Coordinates XCoordinate="541" YCoordinate="263" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'other' stamp: 'BrunoBB 03/21/2016 06:07'!
xpdlExample_ProcessTestCase2
	"With Seaside component <WaSeasideBpmIntegrationTestForm>"
^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="f9e1b674-bcb7-422c-9c50-49390d1e3cfb" Name="test-case" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-10-10T16:11:13.7791404-03:00</Created>
    <ModificationDate>2015-10-26T14:42:49.0423722-03:00</ModificationDate>
    <Description>test-case</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="b68fc2af-b6b7-4f25-aab5-dafe86796f0a" Name="Main Process" Process="71a0ff46-d937-49a6-ae0f-a14291afbe5d" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="80699622-c62b-4fa1-8464-570b9fdc95cf" Name="test-case-process" Process="5d349866-3f8e-432e-887e-eee94a0c66fb" BoundaryVisible="true">
      <Lanes>
        <Lane Id="08dc3675-c926-4e14-844b-d828d3cef9c2" Name="tester" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="141" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="5e7dbf23-6b47-4341-8abe-8fdecf2fc01a" Name="test-expert" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="135" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="141" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="13b461de-b265-412f-baa1-44ed46796f4a" Name="developer" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="120" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="276" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="396" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="71a0ff46-d937-49a6-ae0f-a14291afbe5d" Name="Main Process">
      <ProcessHeader>
        <Created>2015-12-13T17:36:10.5960661-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;0001-01-01T00:00:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2015-12-13T17:20:04.6415129-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="5d349866-3f8e-432e-887e-eee94a0c66fb" Name="test-case-process">
      <ProcessHeader>
        <Created>2015-12-13T17:36:10.5960661-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="a5c4f59b-8f98-4ee9-8bac-b7feaf8f9486" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="127" YCoordinate="224" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="629" YCoordinate="210" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="test-case">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="234" YCoordinate="209" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="caf25880-c312-4f57-b5d2-30a76003ec41" Name="test-ok">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="599" YCoordinate="54" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="e170b610-a543-438c-90ac-de6a6bb9d7e9" Name="execute-test">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="MultiInstance">
            <LoopMultiInstance LoopCounter="0" />
          </Loop>
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="234" YCoordinate="54" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="seasideComponent" Value="WaSeasideBpmIntegrationTestForm" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="c2e6b767-63dc-4952-b137-614349439ae4" Name="analyze-issue-report">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="MultiInstance" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="377" YCoordinate="195" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="8d074c00-d99c-4975-93cc-79071176332a" Name="is-issue">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="455" YCoordinate="64" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" Name="fix-issue">
          <Description />
          <Implementation>
            <SubFlow Id="0f193f2e-eea8-4702-a3a9-f31ab3198aa3" />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="334" YCoordinate="336" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPathList&quot;:[]}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="2a43f725-58bd-45a8-b456-5da85c4faf32" Name="accept-issue">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="541" YCoordinate="243" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="f9d3a6e6-af6b-46dc-9fcc-c1c2f97b3271" From="a5c4f59b-8f98-4ee9-8bac-b7feaf8f9486" To="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="start-case">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="157" YCoordinate="239" />
              <Coordinates XCoordinate="234" YCoordinate="239" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="04ee69b1-afd5-4e5c-ad2b-19c999c0b1b6" From="caf25880-c312-4f57-b5d2-30a76003ec41" To="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="test-finished">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="644" YCoordinate="114" />
              <Coordinates XCoordinate="644" YCoordinate="210" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9137256c-6786-4850-b12d-2b8566694299" From="2a43f725-58bd-45a8-b456-5da85c4faf32" To="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="reject-issue">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''reject'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="561" YCoordinate="243" />
              <Coordinates XCoordinate="561" YCoordinate="225" />
              <Coordinates XCoordinate="629" YCoordinate="225" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9575aef3-2919-455a-8179-2d9a86547aa3" From="2a43f725-58bd-45a8-b456-5da85c4faf32" To="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" Name="fix">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''accept'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="561" YCoordinate="283" />
              <Coordinates XCoordinate="561" YCoordinate="366" />
              <Coordinates XCoordinate="424" YCoordinate="366" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="ec8c36e0-4ae6-4cc1-a5b6-4c459e63fb16" From="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" To="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="test-again">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="334" YCoordinate="366" />
              <Coordinates XCoordinate="279" YCoordinate="366" />
              <Coordinates XCoordinate="279" YCoordinate="269" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="536e43b6-c876-4e84-846b-01b2efe43b8b" From="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" To="e170b610-a543-438c-90ac-de6a6bb9d7e9" Name="run-test">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="279" YCoordinate="209" />
              <Coordinates XCoordinate="279" YCoordinate="114" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9c75e177-6817-4c98-82b9-db9f481db34a" From="e170b610-a543-438c-90ac-de6a6bb9d7e9" To="8d074c00-d99c-4975-93cc-79071176332a" Name="evaluate-issue">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="324" YCoordinate="84" />
              <Coordinates XCoordinate="455" YCoordinate="84" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="b432225c-69cb-4e5e-9da1-500917b1b7e4" From="8d074c00-d99c-4975-93cc-79071176332a" To="c2e6b767-63dc-4952-b137-614349439ae4" Name="report-issue">
          <Condition Type="CONDITION">
            <Expression>[:form | form result = ''failed'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="475" YCoordinate="104" />
              <Coordinates XCoordinate="475" YCoordinate="149.5" />
              <Coordinates XCoordinate="422" YCoordinate="149.5" />
              <Coordinates XCoordinate="422" YCoordinate="195" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f50d67c8-61c2-45db-ad73-888d412e5704" From="8d074c00-d99c-4975-93cc-79071176332a" To="caf25880-c312-4f57-b5d2-30a76003ec41" Name="test-ok">
          <Condition Type="CONDITION">
            <Expression>[:form | form result ~= ''failed'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="495" YCoordinate="84" />
              <Coordinates XCoordinate="599" YCoordinate="84" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="be21efdb-ab66-4603-80ef-3867afd145b3" From="c2e6b767-63dc-4952-b137-614349439ae4" To="2a43f725-58bd-45a8-b456-5da85c4faf32" Name="evaluate-report">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="467" YCoordinate="225" />
              <Coordinates XCoordinate="503" YCoordinate="225" />
              <Coordinates XCoordinate="503" YCoordinate="263" />
              <Coordinates XCoordinate="541" YCoordinate="263" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;0001-01-01T00:00:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2015-12-13T17:20:04.6575218-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'other' stamp: 'BrunoBB 03/21/2016 06:07'!
xpdlExample_ProcessTestCase3
	"With Seaside component <WaSeasideBpmIntegrationTestForm> and PERFORMERS"
^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="f9e1b674-bcb7-422c-9c50-49390d1e3cfb" Name="test-case" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-10-10T16:11:13.7791404-03:00</Created>
    <ModificationDate>2015-11-01T14:32:59.5172039-03:00</ModificationDate>
    <Description>test-case</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Participants>
    <Participant Id="7e43ffdb-0cbc-479f-a59a-0457fb8ce275" Name="organizer">
      <ParticipantType Type="ROLE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="organizer" />
      </ExtendedAttributes>
    </Participant>
    <Participant Id="e6d17186-ba9d-4b01-8a53-bc607d9068e3" Name="automaticProcess">
      <ParticipantType Type="RESOURCE" />
      <Description />
      <ExtendedAttributes>
        <ExtendedAttribute Name="automaticProcess" />
      </ExtendedAttributes>
    </Participant>
  </Participants>
  <Pools>
    <Pool Id="b68fc2af-b6b7-4f25-aab5-dafe86796f0a" Name="Main Process" Process="71a0ff46-d937-49a6-ae0f-a14291afbe5d" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="80699622-c62b-4fa1-8464-570b9fdc95cf" Name="test-case-process" Process="5d349866-3f8e-432e-887e-eee94a0c66fb" BoundaryVisible="true">
      <Lanes>
        <Lane Id="08dc3675-c926-4e14-844b-d828d3cef9c2" Name="tester" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="141" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="5e7dbf23-6b47-4341-8abe-8fdecf2fc01a" Name="test-expert" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="135" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="141" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="13b461de-b265-412f-baa1-44ed46796f4a" Name="developer" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="120" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="276" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="396" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <Associations />
  <Artifacts />
  <WorkflowProcesses>
    <WorkflowProcess Id="71a0ff46-d937-49a6-ae0f-a14291afbe5d" Name="Main Process">
      <ProcessHeader>
        <Created>2015-11-01T14:33:17.5319269-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="5d349866-3f8e-432e-887e-eee94a0c66fb" Name="test-case-process">
      <ProcessHeader>
        <Created>2015-11-01T14:33:17.5319269-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="a5c4f59b-8f98-4ee9-8bac-b7feaf8f9486" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="127" YCoordinate="224" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="629" YCoordinate="210" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="test-case" CompletionQuantity="5">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers>
            <Performer>e6d17186-ba9d-4b01-8a53-bc607d9068e3</Performer>
            <Performer>7e43ffdb-0cbc-479f-a59a-0457fb8ce275</Performer>
          </Performers>
          <Documentation />
          <Loop LoopType="Standard">
            <LoopStandard LoopCounter="0" LoopMaximum="0">
              <LoopCondition>[:form | form approved = ''false'']</LoopCondition>
            </LoopStandard>
          </Loop>
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="234" YCoordinate="209" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="caf25880-c312-4f57-b5d2-30a76003ec41" Name="test-ok">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="599" YCoordinate="54" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="e170b610-a543-438c-90ac-de6a6bb9d7e9" Name="execute-test" StartQuantity="2" CompletionQuantity="10">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="MultiInstance">
            <LoopMultiInstance LoopCounter="0" />
          </Loop>
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="234" YCoordinate="54" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="c2e6b767-63dc-4952-b137-614349439ae4" Name="analyze-issue-report" CompletionQuantity="9">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="MultiInstance">
            <LoopMultiInstance LoopCounter="0">
              <MI_Condition>[:form | form numberOfLoops]</MI_Condition>
            </LoopMultiInstance>
          </Loop>
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="378" YCoordinate="195" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="8d074c00-d99c-4975-93cc-79071176332a" Name="is-issue">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="455" YCoordinate="64" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" Name="fix-issue">
          <Description />
          <Implementation>
            <SubFlow Id="0f193f2e-eea8-4702-a3a9-f31ab3198aa3" />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="336" YCoordinate="336" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPath&quot;:&quot;&quot;}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="2a43f725-58bd-45a8-b456-5da85c4faf32" Name="accept-issue">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="541" YCoordinate="243" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="f9d3a6e6-af6b-46dc-9fcc-c1c2f97b3271" From="a5c4f59b-8f98-4ee9-8bac-b7feaf8f9486" To="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="start-case">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="157" YCoordinate="239" />
              <Coordinates XCoordinate="234" YCoordinate="239" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="04ee69b1-afd5-4e5c-ad2b-19c999c0b1b6" From="caf25880-c312-4f57-b5d2-30a76003ec41" To="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="test-finished">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="644" YCoordinate="114" />
              <Coordinates XCoordinate="644" YCoordinate="210" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9137256c-6786-4850-b12d-2b8566694299" From="2a43f725-58bd-45a8-b456-5da85c4faf32" To="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="reject-issue">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''reject'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="581" YCoordinate="263" />
              <Coordinates XCoordinate="605" YCoordinate="263" />
              <Coordinates XCoordinate="605" YCoordinate="225" />
              <Coordinates XCoordinate="629" YCoordinate="225" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9575aef3-2919-455a-8179-2d9a86547aa3" From="2a43f725-58bd-45a8-b456-5da85c4faf32" To="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" Name="fix">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''accept'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="561" YCoordinate="283" />
              <Coordinates XCoordinate="561" YCoordinate="366" />
              <Coordinates XCoordinate="426" YCoordinate="366" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="ec8c36e0-4ae6-4cc1-a5b6-4c459e63fb16" From="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" To="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="test-again">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="336" YCoordinate="377" />
              <Coordinates XCoordinate="279" YCoordinate="377" />
              <Coordinates XCoordinate="279" YCoordinate="269" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="536e43b6-c876-4e84-846b-01b2efe43b8b" From="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" To="e170b610-a543-438c-90ac-de6a6bb9d7e9" Name="run-test" Quantity="5">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="279" YCoordinate="209" />
              <Coordinates XCoordinate="279" YCoordinate="114" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9c75e177-6817-4c98-82b9-db9f481db34a" From="e170b610-a543-438c-90ac-de6a6bb9d7e9" To="8d074c00-d99c-4975-93cc-79071176332a" Name="evaluate-issue" Quantity="10">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="324" YCoordinate="84" />
              <Coordinates XCoordinate="455" YCoordinate="84" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="b432225c-69cb-4e5e-9da1-500917b1b7e4" From="8d074c00-d99c-4975-93cc-79071176332a" To="c2e6b767-63dc-4952-b137-614349439ae4" Name="report-issue">
          <Condition Type="CONDITION">
            <Expression>[:form | form result = ''failed'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="475" YCoordinate="104" />
              <Coordinates XCoordinate="475" YCoordinate="149.5" />
              <Coordinates XCoordinate="423" YCoordinate="149.5" />
              <Coordinates XCoordinate="423" YCoordinate="195" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f50d67c8-61c2-45db-ad73-888d412e5704" From="8d074c00-d99c-4975-93cc-79071176332a" To="caf25880-c312-4f57-b5d2-30a76003ec41" Name="test-ok">
          <Condition Type="CONDITION">
            <Expression>[:form | form result ~= ''failed'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="495" YCoordinate="84" />
              <Coordinates XCoordinate="599" YCoordinate="84" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="be21efdb-ab66-4603-80ef-3867afd145b3" From="c2e6b767-63dc-4952-b137-614349439ae4" To="2a43f725-58bd-45a8-b456-5da85c4faf32" Name="evaluate-report" Quantity="9">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="468" YCoordinate="225" />
              <Coordinates XCoordinate="503" YCoordinate="225" />
              <Coordinates XCoordinate="503" YCoordinate="263" />
              <Coordinates XCoordinate="541" YCoordinate="263" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'other' stamp: 'BrunoBB 03/21/2016 06:07'!
xpdlExample_smalltalksRegistration

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="8148afcc-cedd-43aa-a3b5-02c2e139a8be" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-11-04T18:12:00.7664854-03:00</Created>
    <ModificationDate>2015-11-04T18:50:44.5377471-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="801429ce-765d-40a6-93dc-a165527f1f31" Name="Main Process" Process="8a78607f-5738-4c53-a530-623a6b9ebace" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="0" Width="0" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="a43d4dcf-8d80-4103-844f-92a8bbed537a" Name="registration" Process="0cf57dea-36b0-4563-bf15-82594a9b5357" BoundaryVisible="true">
      <Lanes>
        <Lane Id="36ce8d0d-803d-4c28-9a0a-295a6acd4f54" Name="anonymous" ParentPool="a43d4dcf-8d80-4103-844f-92a8bbed537a">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="95" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="20afc436-2f54-467b-98db-ce9efd585d1b" Name="analyser" ParentPool="a43d4dcf-8d80-4103-844f-92a8bbed537a">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="130" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="95" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="b0f9f1da-a184-4e87-8f37-0b380e0e8679" Name="security" ParentPool="a43d4dcf-8d80-4103-844f-92a8bbed537a">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="132" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="225" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="357" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <Associations />
  <Artifacts />
  <WorkflowProcesses>
    <WorkflowProcess Id="8a78607f-5738-4c53-a530-623a6b9ebace" Name="Main Process">
      <ProcessHeader>
        <Created>2015-11-04T18:51:02.2776143-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="0cf57dea-36b0-4563-bf15-82594a9b5357" Name="registration">
      <ProcessHeader>
        <Created>2015-11-04T18:51:02.2776143-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="662b09c8-7052-447c-8302-e9aaf81c18fe" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="140" YCoordinate="57" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="0438b960-3704-41ad-b51d-a83d65be2042" Name="registration">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="264" YCoordinate="42" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="d9c190e4-4394-4158-a1d5-08ef8b45fed4" Name="analyze-data">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="264" YCoordinate="163" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="adfae70c-7c98-44ca-af98-4e11b836d5b4" Name="security-issue">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="433" YCoordinate="173" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="eebeaec2-eac8-4762-b7de-5567e47e3331" Name="accept-registration">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="111" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="526" YCoordinate="163" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="9b7c8145-b89b-4319-8ec8-886e04e956c5" Name="end 1">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="682" YCoordinate="178" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="24ec6aab-2be2-4090-b517-437b875c6cc0" Name="security-report">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="408" YCoordinate="289" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="3b4ef9a1-de03-4783-93c5-c849cf45a872" Name="end 2">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="588" YCoordinate="304" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="d3fa076a-9241-4d51-af06-8c6202cd6fed" From="662b09c8-7052-447c-8302-e9aaf81c18fe" To="0438b960-3704-41ad-b51d-a83d65be2042">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="170" YCoordinate="72" />
              <Coordinates XCoordinate="264" YCoordinate="72" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="d8944b28-c89b-41d0-b0bb-85d3aa5c1784" From="0438b960-3704-41ad-b51d-a83d65be2042" To="d9c190e4-4394-4158-a1d5-08ef8b45fed4">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="309" YCoordinate="102" />
              <Coordinates XCoordinate="309" YCoordinate="163" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="d2515cc3-8026-49d0-b8e2-c3841fe7723e" From="d9c190e4-4394-4158-a1d5-08ef8b45fed4" To="adfae70c-7c98-44ca-af98-4e11b836d5b4">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="354" YCoordinate="193" />
              <Coordinates XCoordinate="433" YCoordinate="193" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="2848d8db-a643-4897-bb48-cf7a8b6c9747" From="adfae70c-7c98-44ca-af98-4e11b836d5b4" To="eebeaec2-eac8-4762-b7de-5567e47e3331">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''accept'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="473" YCoordinate="193" />
              <Coordinates XCoordinate="526" YCoordinate="193" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="def6083f-038c-4472-bde0-3118307d89bb" From="eebeaec2-eac8-4762-b7de-5567e47e3331" To="9b7c8145-b89b-4319-8ec8-886e04e956c5">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="637" YCoordinate="193" />
              <Coordinates XCoordinate="682" YCoordinate="193" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="42322d75-c5eb-43ff-8e2e-288a066fc13c" From="adfae70c-7c98-44ca-af98-4e11b836d5b4" To="24ec6aab-2be2-4090-b517-437b875c6cc0">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''reject'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="453" YCoordinate="213" />
              <Coordinates XCoordinate="453" YCoordinate="289" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="aa3a6c29-42ed-4e80-bb0d-f00d3e70ba8b" From="24ec6aab-2be2-4090-b517-437b875c6cc0" To="3b4ef9a1-de03-4783-93c5-c849cf45a872">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="498" YCoordinate="319" />
              <Coordinates XCoordinate="588" YCoordinate="319" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'other' stamp: 'BrunoBB 03/21/2016 06:07'!
xpdlExample_smalltalksRegistration_bizagi30

^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="8148afcc-cedd-43aa-a3b5-02c2e139a8be" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-11-04T18:12:00.7664854-03:00</Created>
    <ModificationDate>2015-11-04T18:50:44.5377471-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="801429ce-765d-40a6-93dc-a165527f1f31" Name="Main Process" Process="8a78607f-5738-4c53-a530-623a6b9ebace" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="0" Width="0" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="a43d4dcf-8d80-4103-844f-92a8bbed537a" Name="registration" Process="0cf57dea-36b0-4563-bf15-82594a9b5357" BoundaryVisible="true">
      <Lanes>
        <Lane Id="36ce8d0d-803d-4c28-9a0a-295a6acd4f54" Name="anonymous" ParentPool="a43d4dcf-8d80-4103-844f-92a8bbed537a">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="95" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="20afc436-2f54-467b-98db-ce9efd585d1b" Name="analyser" ParentPool="a43d4dcf-8d80-4103-844f-92a8bbed537a">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="130" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="95" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="b0f9f1da-a184-4e87-8f37-0b380e0e8679" Name="security" ParentPool="a43d4dcf-8d80-4103-844f-92a8bbed537a">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="132" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="225" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="357" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="8a78607f-5738-4c53-a530-623a6b9ebace" Name="Main Process">
      <ProcessHeader>
        <Created>2015-11-23T21:14:44.7863166-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;0001-01-01T00:00:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2015-11-23T21:13:48.6931891-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="0cf57dea-36b0-4563-bf15-82594a9b5357" Name="registration">
      <ProcessHeader>
        <Created>2015-11-23T21:14:44.8293451-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="662b09c8-7052-447c-8302-e9aaf81c18fe" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="140" YCoordinate="57" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="0438b960-3704-41ad-b51d-a83d65be2042" Name="registration">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="264" YCoordinate="42" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="d9c190e4-4394-4158-a1d5-08ef8b45fed4" Name="analyze-data">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="264" YCoordinate="163" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="adfae70c-7c98-44ca-af98-4e11b836d5b4" Name="security-issue">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="433" YCoordinate="173" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="eebeaec2-eac8-4762-b7de-5567e47e3331" Name="accept-registration">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="111" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="526" YCoordinate="163" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="9b7c8145-b89b-4319-8ec8-886e04e956c5" Name="end 1">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="682" YCoordinate="178" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="24ec6aab-2be2-4090-b517-437b875c6cc0" Name="security-report">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="408" YCoordinate="289" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="3b4ef9a1-de03-4783-93c5-c849cf45a872" Name="end 2">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="588" YCoordinate="304" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="d3fa076a-9241-4d51-af06-8c6202cd6fed" From="662b09c8-7052-447c-8302-e9aaf81c18fe" To="0438b960-3704-41ad-b51d-a83d65be2042">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="170" YCoordinate="72" />
              <Coordinates XCoordinate="264" YCoordinate="72" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="d8944b28-c89b-41d0-b0bb-85d3aa5c1784" From="0438b960-3704-41ad-b51d-a83d65be2042" To="d9c190e4-4394-4158-a1d5-08ef8b45fed4">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="309" YCoordinate="102" />
              <Coordinates XCoordinate="309" YCoordinate="163" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="d2515cc3-8026-49d0-b8e2-c3841fe7723e" From="d9c190e4-4394-4158-a1d5-08ef8b45fed4" To="adfae70c-7c98-44ca-af98-4e11b836d5b4">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="354" YCoordinate="193" />
              <Coordinates XCoordinate="433" YCoordinate="193" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="2848d8db-a643-4897-bb48-cf7a8b6c9747" From="adfae70c-7c98-44ca-af98-4e11b836d5b4" To="eebeaec2-eac8-4762-b7de-5567e47e3331">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''accept'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="473" YCoordinate="193" />
              <Coordinates XCoordinate="526" YCoordinate="193" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="def6083f-038c-4472-bde0-3118307d89bb" From="eebeaec2-eac8-4762-b7de-5567e47e3331" To="9b7c8145-b89b-4319-8ec8-886e04e956c5">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="637" YCoordinate="193" />
              <Coordinates XCoordinate="682" YCoordinate="193" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="42322d75-c5eb-43ff-8e2e-288a066fc13c" From="adfae70c-7c98-44ca-af98-4e11b836d5b4" To="24ec6aab-2be2-4090-b517-437b875c6cc0">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''reject'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="453" YCoordinate="213" />
              <Coordinates XCoordinate="453" YCoordinate="289" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="aa3a6c29-42ed-4e80-bb0d-f00d3e70ba8b" From="24ec6aab-2be2-4090-b517-437b875c6cc0" To="3b4ef9a1-de03-4783-93c5-c849cf45a872">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="498" YCoordinate="319" />
              <Coordinates XCoordinate="588" YCoordinate="319" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;0001-01-01T00:00:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2015-11-23T21:13:48.901327-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'multiple pools 2' stamp: 'BrunoBB 07/08/2016 10:29'!
xpdlExample_VariousMultiplePools

	^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="7a32c2ce-1859-49e7-81c6-d52d4810cb58" Name="Diagram 1" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2016-07-08T11:50:35.9406729-03:00</Created>
    <ModificationDate>2016-07-08T14:28:33.442983-03:00</ModificationDate>
    <Description>Diagram 1</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="b433546e-481c-4f98-9429-b07a96d776ec" Name="Main Process" Process="f82caeb7-823e-4952-98f6-ba1ad17964f3" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="aea83da5-4e68-4040-87ba-5999cecf76ee" Name="Process 1" Process="ac2026ce-3711-4d01-b753-61820888fe8d" BoundaryVisible="true">
      <Lanes>
        <Lane Id="449af12e-9647-4289-ad1c-c6eacc88a6d3" Name="Lane 2" ParentPool="aea83da5-4e68-4040-87ba-5999cecf76ee">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="82" Width="424" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="e50f0f06-1c72-45bf-b718-26e315fa8b71" Name="Lane 3" ParentPool="aea83da5-4e68-4040-87ba-5999cecf76ee">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="69" Width="424" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="82" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="a8e66475-10ed-40ad-b55d-f8aae0a603b3" Name="Lane 1" ParentPool="aea83da5-4e68-4040-87ba-5999cecf76ee">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="85" Width="424" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="151" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="236" Width="474" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="29" YCoordinate="29" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="b624b0f9-05f9-41b6-b6ec-620b48352e96" Name="Process 2" Process="79357901-9d0f-44e7-8390-038955a3614b" BoundaryVisible="true">
      <Lanes>
        <Lane Id="added31c-85e3-4889-8397-caf0a181201b" Name="Lane 5" ParentPool="b624b0f9-05f9-41b6-b6ec-620b48352e96">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="150" Width="478" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="d25dd234-6bd2-457c-87be-10bef0c360bf" Name="Lane 4" ParentPool="b624b0f9-05f9-41b6-b6ec-620b48352e96">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="158" Width="478" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="150" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="308" Width="528" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="516" YCoordinate="27" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="73fecaab-92ca-4930-ba19-c55be25b80cc" Name="Process 3" Process="c2db903e-8c1a-4186-9c38-f8b9d836f692" BoundaryVisible="true">
      <Lanes>
        <Lane Id="780f6cbb-314f-4c79-bdd5-c78ce57834c7" Name="Lane 7" ParentPool="73fecaab-92ca-4930-ba19-c55be25b80cc">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="86" Width="431" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="a7be7b65-41dc-4aa5-a532-0290ba17b88c" Name="Lane 6" ParentPool="73fecaab-92ca-4930-ba19-c55be25b80cc">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="82" Width="431" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="86" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="168" Width="481" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="280" YCoordinate="361" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="4a1e0ec4-d771-4b76-a3c0-fa7f803d5ced" Name="Process 4" Process="8181a5a4-d693-4665-8b42-4bfcc92f1d23" BoundaryVisible="true">
      <Lanes>
        <Lane Id="55266abd-9854-4ca6-bfd4-f043f62bb40c" Name="Lane 9" ParentPool="4a1e0ec4-d771-4b76-a3c0-fa7f803d5ced">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="154" Width="200" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="7164c650-e099-42c9-a647-ec0f8c65c29f" Name="Lane 8" ParentPool="4a1e0ec4-d771-4b76-a3c0-fa7f803d5ced">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="157" Width="200" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="154" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="311" Width="250" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="791" YCoordinate="355" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="bfd8299c-98c5-46f3-90ea-2441be1c8695" Name="Process 5" Process="38f559f3-e3b6-4f99-b906-ae34fa282c3c" BoundaryVisible="true">
      <Lanes>
        <Lane Id="07697df3-6d50-44cd-b654-bbf3ac654838" Name="Lane 10" ParentPool="bfd8299c-98c5-46f3-90ea-2441be1c8695">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="184" Width="711" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="184" Width="761" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="3" YCoordinate="544" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <WorkflowProcesses>
    <WorkflowProcess Id="f82caeb7-823e-4952-98f6-ba1ad17964f3" Name="Main Process">
      <ProcessHeader>
        <Created>2016-07-08T14:29:00.0424968-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-07-08T11:50:35.9416736-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-08T11:50:35.9416736-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="ac2026ce-3711-4d01-b753-61820888fe8d" Name="Process 1">
      <ProcessHeader>
        <Created>2016-07-08T14:29:00.0424968-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="f77494b8-5c2b-4d88-8309-4e3f17e4210d" Name="pr1_start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="247" YCoordinate="48" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="891ea8a1-bfb8-4ab0-9b95-210c4d7688ab" Name="Task 1">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="127" YCoordinate="117" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="82170314-0ec7-4c5d-9c61-f3001af6bd23" Name="Task 2">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="272" YCoordinate="186" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="702f9f3f-79c4-455f-8d8f-45e6d0fa576c" Name="pr1_end2">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="405" YCoordinate="201" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="6bd642ce-6331-4ae8-8603-e2aa3c35dbe1" Name="pr1_end1">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="157" YCoordinate="213" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="10c6c538-f9b1-4f4c-8bb6-266559950fbd" From="f77494b8-5c2b-4d88-8309-4e3f17e4210d" To="891ea8a1-bfb8-4ab0-9b95-210c4d7688ab" Name="tr: start t1">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="262" YCoordinate="78" />
              <Coordinates XCoordinate="262" YCoordinate="95" />
              <Coordinates XCoordinate="172" YCoordinate="95" />
              <Coordinates XCoordinate="172" YCoordinate="117" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="224aa1d5-0fef-4c1f-8f85-f602f9dc1db6" From="891ea8a1-bfb8-4ab0-9b95-210c4d7688ab" To="82170314-0ec7-4c5d-9c61-f3001af6bd23" Name="tr: t1 t2">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="217" YCoordinate="147" />
              <Coordinates XCoordinate="234" YCoordinate="147" />
              <Coordinates XCoordinate="234" YCoordinate="216" />
              <Coordinates XCoordinate="272" YCoordinate="216" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="3f96d668-07e9-4e44-b543-d4dfc6d39c18" From="82170314-0ec7-4c5d-9c61-f3001af6bd23" To="702f9f3f-79c4-455f-8d8f-45e6d0fa576c" Name="tr: t2 end2">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="362" YCoordinate="216" />
              <Coordinates XCoordinate="405" YCoordinate="216" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="dbd76257-9dd9-4e38-9d02-3dccd8b92f7e" From="891ea8a1-bfb8-4ab0-9b95-210c4d7688ab" To="6bd642ce-6331-4ae8-8603-e2aa3c35dbe1" Name="tr: t1 end1">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="172" YCoordinate="177" />
              <Coordinates XCoordinate="172" YCoordinate="213" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-07-08T11:50:35.9426734-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-08T11:50:35.9426734-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="79357901-9d0f-44e7-8390-038955a3614b" Name="Process 2">
      <ProcessHeader>
        <Created>2016-07-08T14:29:00.0675151-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="0a1333e4-5bc2-45c7-8998-b820c6530703" Name="pr2_start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="616" YCoordinate="46" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="0ec26871-17f0-4c21-9bd4-34de8cd6ad15" Name="Task 3">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="725" YCoordinate="31" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="982bf83f-72fd-46ac-9515-842a9f8ec8f2" Name="Task 4">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="878" YCoordinate="31" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="92ea0a72-d846-4edb-aa0e-6a2833e607a5" Name="Task 5">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="896" YCoordinate="186" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="d12a785d-835f-42d2-8f5b-fd209896f1d3" Name="Task 6">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="766" YCoordinate="111" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="6ac41377-ac84-48d3-9751-1d50be016216" Name="Task 7">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="641" YCoordinate="185" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="ada88ece-ea06-4368-898c-fb59aa414c92" Name="pr2_end2">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="671" YCoordinate="287" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="295e96e9-4d3f-4f36-9449-51cebc351791" Name="Task 8">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="896" YCoordinate="272" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="2da6b9aa-09a6-40bb-a642-424b0e68dc00" Name="pr2_end1">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="796" YCoordinate="226" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="7015d1c7-6a70-46d8-a2e0-0beb5f7b965a" From="0a1333e4-5bc2-45c7-8998-b820c6530703" To="0ec26871-17f0-4c21-9bd4-34de8cd6ad15" Name="tr: start t3">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="646" YCoordinate="61" />
              <Coordinates XCoordinate="725" YCoordinate="61" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="a3821d1a-d5b1-4cc3-bd8a-9fdb96dcd224" From="0ec26871-17f0-4c21-9bd4-34de8cd6ad15" To="982bf83f-72fd-46ac-9515-842a9f8ec8f2" Name="tr: t3 t4">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="815" YCoordinate="61" />
              <Coordinates XCoordinate="878" YCoordinate="61" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="4c99b7e0-6070-465f-b79d-38c1fb20bd1f" From="982bf83f-72fd-46ac-9515-842a9f8ec8f2" To="92ea0a72-d846-4edb-aa0e-6a2833e607a5" Name="tr: t4 t5">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="923" YCoordinate="91" />
              <Coordinates XCoordinate="923" YCoordinate="138.5" />
              <Coordinates XCoordinate="941" YCoordinate="138.5" />
              <Coordinates XCoordinate="941" YCoordinate="186" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="54d82288-e216-4416-89d4-f60ddd62724b" From="92ea0a72-d846-4edb-aa0e-6a2833e607a5" To="d12a785d-835f-42d2-8f5b-fd209896f1d3" Name="tr: t5 t6">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="896" YCoordinate="216" />
              <Coordinates XCoordinate="873.5" YCoordinate="216" />
              <Coordinates XCoordinate="873.5" YCoordinate="141" />
              <Coordinates XCoordinate="856" YCoordinate="141" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="692b3bbe-8d0a-4a48-8f01-079bc9ae8087" From="d12a785d-835f-42d2-8f5b-fd209896f1d3" To="6ac41377-ac84-48d3-9751-1d50be016216" Name="tr: t6 t7">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="766" YCoordinate="141" />
              <Coordinates XCoordinate="752.5" YCoordinate="141" />
              <Coordinates XCoordinate="752.5" YCoordinate="215" />
              <Coordinates XCoordinate="731" YCoordinate="215" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f23f1bf9-79ec-4823-a243-0ca42a6a67c3" From="6ac41377-ac84-48d3-9751-1d50be016216" To="ada88ece-ea06-4368-898c-fb59aa414c92" Name="tr: t7 end2">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="686" YCoordinate="245" />
              <Coordinates XCoordinate="686" YCoordinate="287" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="0c2fb34c-980d-4b43-8d27-0071546843f6" From="92ea0a72-d846-4edb-aa0e-6a2833e607a5" To="295e96e9-4d3f-4f36-9449-51cebc351791" Name="tr: t5 t8">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="941" YCoordinate="246" />
              <Coordinates XCoordinate="941" YCoordinate="272" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="5e9298ab-26c4-4843-abb6-c83f8e29bd66" From="295e96e9-4d3f-4f36-9449-51cebc351791" To="ada88ece-ea06-4368-898c-fb59aa414c92" Name="tr: t8 end2">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="896" YCoordinate="302" />
              <Coordinates XCoordinate="701" YCoordinate="302" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="bef8ac2e-083b-4b49-a082-c2c703f57445" From="d12a785d-835f-42d2-8f5b-fd209896f1d3" To="2da6b9aa-09a6-40bb-a642-424b0e68dc00" Name="tr: t6 end1">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="811" YCoordinate="171" />
              <Coordinates XCoordinate="811" YCoordinate="226" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-07-08T11:52:10.0501493-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-08T11:52:10.0501493-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="c2db903e-8c1a-4186-9c38-f8b9d836f692" Name="Process 3">
      <ProcessHeader>
        <Created>2016-07-08T14:29:00.068514-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="79652b6f-1d6f-4fe1-b76c-3ad32869f526" Name="pr3_start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="365" YCoordinate="390" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="75619f23-d2d9-4581-b26e-a96d2e395c60" Name="Task 9">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="444" YCoordinate="375" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="f658643a-cf77-46e0-99f4-28833dab30d7" Name="Task 10">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="588" YCoordinate="375" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="4f2e28a0-fd24-45aa-8237-f816f07db605" Name="Task 11">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="657" YCoordinate="462" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="5649bd94-7a57-4a8c-afc1-a4ff79286712" Name="Task 12">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="500" YCoordinate="462" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="2cf70c39-cc61-46e4-9cfc-b24a2a8a4482" Name="pr3_end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="404" YCoordinate="477" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="62115651-c1fd-4731-b91d-7cb6d6b88957" From="79652b6f-1d6f-4fe1-b76c-3ad32869f526" To="75619f23-d2d9-4581-b26e-a96d2e395c60" Name="tr: start t9">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="395" YCoordinate="405" />
              <Coordinates XCoordinate="444" YCoordinate="405" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="056898a1-77a3-471d-9d4c-a338f1a311b9" From="75619f23-d2d9-4581-b26e-a96d2e395c60" To="f658643a-cf77-46e0-99f4-28833dab30d7" Name="tr: t9 t10">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="534" YCoordinate="405" />
              <Coordinates XCoordinate="588" YCoordinate="405" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="a895fc8e-bae7-4607-bb51-0c9a29b513a6" From="f658643a-cf77-46e0-99f4-28833dab30d7" To="4f2e28a0-fd24-45aa-8237-f816f07db605" Name="tr: t10 t11">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="678" YCoordinate="416" />
              <Coordinates XCoordinate="702" YCoordinate="416" />
              <Coordinates XCoordinate="702" YCoordinate="462" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="c44be328-d7b1-4e7f-a8f5-6757d08e6b1f" From="4f2e28a0-fd24-45aa-8237-f816f07db605" To="5649bd94-7a57-4a8c-afc1-a4ff79286712" Name="tr: t11 t12">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="657" YCoordinate="492" />
              <Coordinates XCoordinate="590" YCoordinate="492" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="6475e7db-e4e0-4842-9e85-1ca8422781c1" From="5649bd94-7a57-4a8c-afc1-a4ff79286712" To="2cf70c39-cc61-46e4-9cfc-b24a2a8a4482" Name="tr: t12 end">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="500" YCoordinate="492" />
              <Coordinates XCoordinate="434" YCoordinate="492" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-07-08T11:53:11.2628898-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-08T11:53:11.2628898-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="8181a5a4-d693-4665-8b42-4bfcc92f1d23" Name="Process 4">
      <ProcessHeader>
        <Created>2016-07-08T14:29:00.068514-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="ec78141d-7b88-46be-af86-cadb97a52aed" Name="pr4_start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="928" YCoordinate="381" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="d2de2da2-f9e9-42c9-800b-d3cad06d6911" Name="Task 13">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="898" YCoordinate="446" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="6b7af09b-fc91-4d99-b808-4a2033e1afe3" Name="Task 14">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="898" YCoordinate="520" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="b05c04dd-6d0b-41ba-8f45-5200e026dd45" Name="pr4_end2">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="928" YCoordinate="611" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="06d1ad6e-3888-4e9b-ab76-f8a25cb9c5e1" Name="pr4_end1">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="1013" YCoordinate="461" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="a4f22283-1f13-460e-a7fc-7992ac723995" From="ec78141d-7b88-46be-af86-cadb97a52aed" To="d2de2da2-f9e9-42c9-800b-d3cad06d6911" Name="tr: start t13">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="943" YCoordinate="411" />
              <Coordinates XCoordinate="943" YCoordinate="446" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9fc2444b-2eb9-43da-8d9e-942fe1858357" From="d2de2da2-f9e9-42c9-800b-d3cad06d6911" To="6b7af09b-fc91-4d99-b808-4a2033e1afe3" Name="tr: t13 t14">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="943" YCoordinate="506" />
              <Coordinates XCoordinate="943" YCoordinate="520" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="50901038-4825-4e5a-9896-12cc0f87ec1a" From="6b7af09b-fc91-4d99-b808-4a2033e1afe3" To="b05c04dd-6d0b-41ba-8f45-5200e026dd45" Name="tr: t14 end2">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="943" YCoordinate="580" />
              <Coordinates XCoordinate="943" YCoordinate="611" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="012b351c-65ac-476c-b364-17c1940f48e7" From="d2de2da2-f9e9-42c9-800b-d3cad06d6911" To="06d1ad6e-3888-4e9b-ab76-f8a25cb9c5e1" Name="tr: t13 end1">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="988" YCoordinate="476" />
              <Coordinates XCoordinate="1013" YCoordinate="476" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-07-08T11:53:58.8725235-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-08T11:53:58.8725235-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="38f559f3-e3b6-4f99-b906-ae34fa282c3c" Name="Process 5">
      <ProcessHeader>
        <Created>2016-07-08T14:29:00.068514-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="4a17d75f-cb9b-4105-8133-0f8cb03cfd65" Name="pr5_start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="118" YCoordinate="563" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="54a20b17-6b37-4121-a8fe-65bae707f527" Name="Task 15">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="226" YCoordinate="548" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="d841b5a9-396c-4495-aa08-5a5715a41009" Name="Task 16">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="657" YCoordinate="548" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="9bfa62ca-bb50-48ae-a6f1-bc08246f8cb6" Name="Task 17">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="657" YCoordinate="640" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="563f37b9-814e-4c15-a2d9-4200f2663e1f" Name="pr5_end2">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="544" YCoordinate="655" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="64f335cf-c155-4372-a85a-4b4fd09b7296" Name="pr5_end1">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="256" YCoordinate="660" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="8fbfa35a-e69e-4ad8-96b7-f31cbce54c9f" From="4a17d75f-cb9b-4105-8133-0f8cb03cfd65" To="54a20b17-6b37-4121-a8fe-65bae707f527" Name="tr: start t15">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="148" YCoordinate="578" />
              <Coordinates XCoordinate="226" YCoordinate="578" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="462cc8f6-1999-42cf-8329-2109ce2fba62" From="54a20b17-6b37-4121-a8fe-65bae707f527" To="d841b5a9-396c-4495-aa08-5a5715a41009" Name="tr: t15 t16">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="316" YCoordinate="578" />
              <Coordinates XCoordinate="657" YCoordinate="578" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="0d38a024-fde1-44f3-aa6a-70c64d016d53" From="d841b5a9-396c-4495-aa08-5a5715a41009" To="9bfa62ca-bb50-48ae-a6f1-bc08246f8cb6" Name="tr: t16 t17">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="702" YCoordinate="608" />
              <Coordinates XCoordinate="702" YCoordinate="640" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="724540b7-7225-409a-a89d-c1d195b5c81e" From="9bfa62ca-bb50-48ae-a6f1-bc08246f8cb6" To="563f37b9-814e-4c15-a2d9-4200f2663e1f" Name="tr: t17 end2">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="657" YCoordinate="670" />
              <Coordinates XCoordinate="574" YCoordinate="670" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="8100ef2d-019c-4026-a55f-31613aa04b1a" From="54a20b17-6b37-4121-a8fe-65bae707f527" To="64f335cf-c155-4372-a85a-4b4fd09b7296" Name="tr: t15 end1">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="271" YCoordinate="608" />
              <Coordinates XCoordinate="271" YCoordinate="660" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false,&quot;creationDate&quot;:&quot;2016-07-08T11:54:55.3865225-03:00&quot;},&quot;processProperties&quot;:{&quot;versionCreationDate&quot;:&quot;2016-07-08T11:54:55.3865225-03:00&quot;,&quot;supportsScopes&quot;:false,&quot;formsVersion&quot;:0}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!XPDLProcessDefinitionTemplate class methodsFor: 'all conditions type' stamp: 'BrunoBB 07/02/2016 12:40'!
xpdlReaderForAllConditionsType

	^(XPDLReader2 for: 'all-type-conditions' withString: self processDefinition_all_conditions_type)
			connectProcesses;
			yourself! !

!XPDLProcessDefinitionTemplate class methodsFor: 'all gateways process' stamp: 'BrunoBB 07/02/2016 12:40'!
xpdlReaderForAllGatewaysProcess

	^(XPDLReader2 for: 'all gateways' withString: self processDefinition_all_gateways)
			connectProcesses;
			yourself! !

!XPDLProcessDefinitionTemplate class methodsFor: 'data entry multirole' stamp: 'BrunoBB 07/15/2016 10:02'!
xpdlReaderForDataEntryProcess

	^(XPDLReader2 for: 'multi-role' withString: self processDefinition_data_entry)
			connectProcesses;
			yourself! !

!XPDLProcessDefinitionTemplate class methodsFor: 'default transition' stamp: 'BrunoBB 07/15/2016 10:02'!
xpdlReaderForDefaultTransition

	^(XPDLReader2 for: 'default-transition-process' withString: self processDefinition_default_transition)
			connectProcesses;
			yourself! !

!XPDLProcessDefinitionTemplate class methodsFor: 'embedded subproc subproc' stamp: 'BrunoBB 06/26/2016 16:29'!
xpdlReaderForEmbeddedEmbeddedProcess

	^(XPDLReader2 for: 'multi-embedded' withString: self processDefinition_Embedded_Embedded_Proc)
			connectProcesses;
			yourself! !

!XPDLProcessDefinitionTemplate class methodsFor: 'embedded subproc' stamp: 'BrunoBB 06/25/2016 13:19'!
xpdlReaderForReusableEmbeddedProcess

	^(XPDLReader2 for: 'ReusableEmbeddedProc' withString: self processDefinition_Reusable_Embedded_Proc)
			addXPDLDocument: (XMLDOMParser parse: self processDefinition_Reusable_Sub_Proc) namedAs: 'Reusable-Script';
			connectProcesses;
			yourself! !

!XPDLProcessDefinitionTemplate class methodsFor: 'script process' stamp: 'BrunoBB 06/22/2016 10:30'!
xpdlReaderForScriptProcess

	^(XPDLReader2 for: 'Process with Scripts' withString: self xpdlExample_process_with_script)
			connectProcesses;
			yourself! !

!XPDLProcessDefinitionTemplate class methodsFor: 'simple registration' stamp: 'BrunoBB 03/31/2016 15:48'!
xpdlReaderForSimpleRegistrationProcess

	^(XPDLReader2 for: 'Simple Registration' withString: self processDefinition_simple_registration)
			connectProcesses;
			yourself! !

!XPDLProcessDefinitionTemplate class methodsFor: 'timer process' stamp: 'BrunoBB 03/05/2017 09:05'!
xpdlReaderForTimerProcess

	^(XPDLReader2 for: 'timer-process' withString: self xpdlDefinition_Timer_Process)
			connectProcesses;
			yourself! !

!XPDLProcessDefinitionTemplate class methodsFor: 'timer process' stamp: 'brunobb 07/31/2017 05:05'!
xpdlReaderForTimerProcessStart

	^(XPDLReader2 for: 'timer-process-start' withString: self xpdlDefinition_Timer_Process_Start)
			connectProcesses;
			yourself! !

!XPDLProcessDefinitionTemplate class methodsFor: 'visa process' stamp: 'BrunoBB 07/02/2016 12:21'!
xpdlReaderForVisaProcess

	^(XPDLReader2 for: 'VisaAppliance' withString: self processDefinition_visa_apply)
			addXPDLDocument: (XMLDOMParser parse: self processDefinition_home_office_check) namedAs: 'Home-Office';
			addXPDLDocument:  (XMLDOMParser parse: self processDefinition_check_financial_data) namedAs: 'Check-Financial-Data';
			connectProcesses;
			yourself! !
